; ====================================================;
;                                                     ;
;    ntoskrnl.inc for EC v2 Fasm classic projects     ;
;                   (version 1.0.3)                   ;
;                                                     ;
;         Copyright  Ramon Sala - 2018-2021          ;
;                                                     ;
; ====================================================;

if ~defined NTOSKRNL_INC
define NTOSKRNL_INC 1

FSRTL_FAT_LEGAL                                 equ     01H
FSRTL_HPFS_LEGAL                                equ     02H
FSRTL_NTFS_LEGAL                                equ     04H
FSRTL_WILD_CHARACTER                            equ     08H
FSRTL_OLE_LEGAL                                 equ     10H
FSRTL_NTFS_STREAM_LEGAL                         equ     (FSRTL_NTFS_LEGAL or FSRTL_OLE_LEGAL)

FSRTL_VOLUME_DISMOUNT                           equ     1
FSRTL_VOLUME_DISMOUNT_FAILED                    equ     2
FSRTL_VOLUME_LOCK                               equ     3
FSRTL_VOLUME_LOCK_FAILED                        equ     4
FSRTL_VOLUME_UNLOCK                             equ     5
FSRTL_VOLUME_MOUNT                              equ     6
FSRTL_VOLUME_NEEDS_CHKDSK                       equ     7
FSRTL_VOLUME_WORM_NEAR_FULL                     equ     8
FSRTL_VOLUME_WEARING_OUT                        equ     9
FSRTL_VOLUME_FORCED_CLOSED                      equ     10
FSRTL_VOLUME_INFO_MAKE_COMPAT                   equ     11
FSRTL_VOLUME_PREPARING_EJECT                    equ     12
FSRTL_VOLUME_CHANGE_SIZE                        equ     13
FSRTL_VOLUME_BACKGROUND_FORMAT                  equ     14

FSRTL_ECP_LOOKASIDE_FLAG_NONPAGED_POOL          equ     00000002H

FSRTL_UNC_PROVIDER_FLAGS_MAILSLOTS_SUPPORTED    equ     00000001H
FSRTL_UNC_PROVIDER_FLAGS_CSC_ENABLED            equ     00000002H
FSRTL_UNC_PROVIDER_FLAGS_DOMAIN_SVC_AWARE       equ     00000004H

FSRTL_ALLOCATE_ECPLIST_FLAG_CHARGE_QUOTA        equ     00000001H

FSRTL_ALLOCATE_ECP_FLAG_CHARGE_QUOTA            equ     00000001H
FSRTL_ALLOCATE_ECP_FLAG_NONPAGED_POOL           equ     00000002H

FSRTL_ECP_LOOKASIDE_FLAG_NONPAGED_POOL          equ     00000002H

FSRTL_VIRTDISK_FULLY_ALLOCATED                  equ     00000001H
FSRTL_VIRTDISK_NO_DRIVE_LETTER                  equ     00000002H

IO_FORCE_ACCESS_CHECK                           equ     0001H
IO_NO_PARAMETER_CHECKING                        equ     0100H

IO_REPARSE                                      equ     0
IO_REMOUNT                                      equ     1

;SYSDBG_COMMAND enumeration
SysDbgQueryModuleInformation                    equ     0
SysDbgQueryTraceInformation                     equ     1
SysDbgSetTracepoint                             equ     2
SysDbgSetSpecialCall                            equ     3
SysDbgClearSpecialCalls                         equ     4
SysDbgQuerySpecialCalls                         equ     5
SysDbgBreakPoint                                equ     6
SysDbgQueryVersion                              equ     7
SysDbgReadVirtual                               equ     8
SysDbgWriteVirtual                              equ     9
SysDbgReadPhysical                              equ     10
SysDbgWritePhysical                             equ     11
SysDbgReadControlSpace                          equ     12
SysDbgWriteControlSpace                         equ     13
SysDbgReadIoSpace                               equ     14
SysDbgWriteIoSpace                              equ     15
SysDbgReadMsr                                   equ     16
SysDbgWriteMsr                                  equ     17
SysDbgReadBusData                               equ     18
SysDbgWriteBusData                              equ     19
SysDbgCheckLowMemory                            equ     20
SysDbgEnableKernelDebugger                      equ     21
SysDbgDisableKernelDebugger                     equ     22
SysDbgGetAutoKdEnable                           equ     23
SysDbgSetAutoKdEnable                           equ     24
SysDbgGetPrintBufferSize                        equ     25
SysDbgSetPrintBufferSize                        equ     26
SysDbgGetKdUmExceptionEnable                    equ     27
SysDbgSetKdUmExceptionEnable                    equ     28
SysDbgGetTriageDump                             equ     29
SysDbgGetKdBlockEnable                          equ     30
SysDbgSetKdBlockEnable                          equ     31
SysDbgRegisterForUmBreakInfo                    equ     32
SysDbgGetUmBreakPid                             equ     33
SysDbgClearUmBreakPid                           equ     34
SysDbgGetUmAttachPid                            equ     35
SysDbgClearUmAttachPid                          equ     36

;PSPROCESSPRIORITYMOD Enumeration
PsProcessPriorityForeground                     equ     0
PsProcessPriorityBackground                     equ     1
PsProcessPrioritySpinning                       equ     2

;JOBOBJECTINFOCLASS Enumeration
JobObjectBasicAccountingInformation             equ     1
JobObjectBasicLimitInformation                  equ     2
JobObjectBasicProcessIdList                     equ     3
JobObjectBasicUIRestrictions                    equ     4
JobObjectSecurityLimitInformation               equ     5
JobObjectEndOfJobTimeInformation                equ     6
JobObjectAssociateCompletionPortInformation     equ     7
JobObjectBasicAndIoAccountingInformation        equ     8
JobObjectExtendedLimitInformation               equ     9
JobObjectJobSetInformation                      equ     10
MaxJobObjectInfoClass                           equ     11

;WAIT_TYPE Enumeration
WaitAll                                         equ     0
WaitAny                                         equ     1


;======================================== Structures ======================================;
struct OWNER_ENTRY
    OwnerThread                                 dd       ?
    union
        OwnerCount                              dd       ?
        TableSize                               dd       ?
    ends
ends

struct ALPC_MESSAGE_ATTRIBUTES
    AllocatedAttributes                         dd       ?
    ValidAttributes                             dd       ?
ends

struct LOADER_PARTITION_INFORMATION_EX
    PartitionStyle  dd ?
    PartitionNumber dd ?
    union
        Signature   dd ?
        DeviceId    GUID
    ends
    Flags           dd ?
ends

struct ERESOURCE_UNION
    Address               xptr ?
    CreatorBackTraceIndex dd   ?
ends

struct ERESOURCE
    SystemResourcesList LIST_ENTRY 
    OwnerTable          xptr        ?
    ActiveCount         dw          ?
    Flag                dw          ?
    SharedWaiters       xptr        ?
    ExclusiveWaiters    xptr        ?
    OwnerEntry          OWNER_ENTRY
    ActiveEntries       dd          ?
    ContentionCount     dd          ?
    NumberOfSharedWaiters    dd     ?
    NumberOfExclusiveWaiters dd     ?
    union
                    ERESOURCE_UNION
    ends
    SpinLock            dd          ?
ends

struct BOOTDISK_INFORMATION_LITE
    NumberEntries  dd   ?
    Entries        LOADER_PARTITION_INFORMATION_EX
ends

struct FSRTL_MUP_PROVIDER_INFO_LEVEL_1
    ProviderId  dd ?
ends

struct FSRTL_MUP_PROVIDER_INFO_LEVEL_2
  ProviderId    dd ?
  ProviderName  UNICODE_STRING
ends

struct PO_FX_COMPONENT
    Id                         GUID 
    IdleStateCount             dd ?
    DeepestWakeableIdleState   dd ?
    IdleStates                 xptr  ?
ends

struct PO_FX_COMPONENT_IDLE_STATE
    TransitionLatency    xptr  ?
    ResidencyRequirement xptr  ?
    NominalPower         xptr  ?
ends

struct PO_FX_DEVICE
    Version                            dd   ?
    ComponentCount                     dd   ?
    ComponentActiveConditionCallback   xptr ?
    ComponentIdleConditionCallback     xptr ?
    ComponentIdleStateCallback         xptr ?
    DevicePowerRequiredCallback        xptr ?
    DevicePowerNotRequiredCallback     xptr ?
    PowerControlCallback               xptr ?
    DeviceContext                      xptr ?
    Components                         PO_FX_COMPONENT ANYSIZE_ARRAY dup(?)
ends


;======================================== Functions =======================================;
if defined APP_WIN64
    import ntoskrnl,\
    _alldiv,'_alldiv',\
    _alldvrm,'_alldvrm',\
    _allmul,'_allmul',\
    _allrem,'_allrem',\
    _allshl,'_allshl',\
    _allshr,'_allshr',\
    _aulldiv,'_aulldiv',\
    _aulldvrm,'_aulldvrm',\
    _aullrem,'_aullrem',\
    _aullshr,'_aullshr',\
    _except_handler2,'_except_handler2',\
    _except_handler3,'_except_handler3',\
    _finite,'_finite',\
    _global_unwind2,'_global_unwind2',\
    _i64toa_s,'_i64toa_s',\
    _i64tow_s,'_i64tow_s',\
    _itoa,'_itoa',\
    _itoa_s,'_itoa_s',\
    _itow,'_itow',\
    _itow_s,'_itow_s',\
    _local_unwind2,'_local_unwind2',\
    _ltoa_s,'_ltoa_s',\
    _ltow_s,'_ltow_s',\
    _makepath_s,'_makepath_s',\
    _purecall,'_purecall',\
    _setjmp,'_setjmp',\
    _setjmpex,'_setjmpex',\
    _snprintf,'_snprintf',\
    _snprintf_s,'_snprintf_s',\
    _splitpath_s,'_splitpath_s',\
    _stricmp,'_stricmp',\
    _strlwr,'_strlwr',\
    _strnicmp,'_strnicmp',\
    _strnset,'_strnset',\
    _strnset_s,'_strnset_s',\
    _strrev,'_strrev',\
    _strset,'_strset',\
    _strset_s,'_strset_s',\
    _strtoui64,'_strtoui64',\
    _strupr,'_strupr',\
    _swprintf,'_swprintf',\
    _ui64toa_s,'_ui64toa_s',\
    _ui64tow_s,'_ui64tow_s',\
    _ultoa_s,'_ultoa_s',\
    _ultow_s,'_ultow_s',\
    _vsnprintf,'_vsnprintf',\
    _vsnprintf_s,'_vsnprintf_s',\
    _vsnwprintf,'_vsnwprintf',\
    _vsnwprintf_s,'_vsnwprintf_s',\
    _vswprintf,'_vswprintf',\
    _wcsicmp,'_wcsicmp',\
    _wcslwr,'_wcslwr',\
    _wcslwr_s,'_wcslwr_s',\
    _wcsnicmp,'_wcsnicmp',\
    _wcsnset,'_wcsnset',\
    _wcsnset_s,'_wcsnset_s',\
    _wcsrev,'_wcsrev',\
    _wcsset_s,'_wcsset_s',\
    _wcsupr,'_wcsupr',\
    _wmakepath_s,'_wmakepath_s',\
    _wsplitpath_s,'_wsplitpath_s',\
    _wtoi,'_wtoi',\
    _wtol,'_wtol',\
    AlpcGetHeaderSize,'AlpcGetHeaderSize',\
    AlpcGetMessageAttribute,'AlpcGetMessageAttribute',\
    AlpcInitializeMessageAttribute,'AlpcInitializeMessageAttribute',\
    atoi,'atoi',\
    atol,'atol',\
    bsearch,'bsearch',\
    bsearch_s,'bsearch_s',\
    CcAsyncCopyRead,'CcAsyncCopyRead',\
    CcCanIWrite,'CcCanIWrite',\
    CcCoherencyFlushAndPurgeCache,'CcCoherencyFlushAndPurgeCache',\
    CcCopyRead,'CcCopyRead',\
    CcCopyReadEx,'CcCopyReadEx',\
    CcCopyWrite,'CcCopyWrite',\
    CcCopyWriteEx,'CcCopyWriteEx',\
    CcCopyWriteWontFlush,'CcCopyWriteWontFlush',\
    CcDeferWrite,'CcDeferWrite',\
    CcFastCopyRead,'CcFastCopyRead',\
    CcFastCopyWrite,'CcFastCopyWrite',\
    CcFastMdlReadWait,'CcFastMdlReadWait',\
    CcFastReadWait,'CcFastReadWait',\
    CcFlushCache,'CcFlushCache',\
    CcGetDirtyPages,'CcGetDirtyPages',\
    CcGetFileObjectFromBcb,'CcGetFileObjectFromBcb',\
    CcGetFileObjectFromSectionPtrs,'CcGetFileObjectFromSectionPtrs',\
    CcGetFileObjectFromSectionPtrsRef,'CcGetFileObjectFromSectionPtrsRef',\
    CcGetFlushedValidData,'CcGetFlushedValidData',\
    CcGetLsnForFileObject,'CcGetLsnForFileObject',\
    CcInitializeCacheMap,'CcInitializeCacheMap',\
    CcIsThereDirtyData,'CcIsThereDirtyData',\
    CcIsThereDirtyDataEx,'CcIsThereDirtyDataEx',\
    CcIsThereDirtyLoggedPages,'CcIsThereDirtyLoggedPages',\
    CcMapData,'CcMapData',\
    CcMdlRead,'CcMdlRead',\
    CcMdlReadComplete,'CcMdlReadComplete',\
    CcMdlWriteAbort,'CcMdlWriteAbort',\
    CcMdlWriteComplete,'CcMdlWriteComplete',\
    CcPinMappedData,'CcPinMappedData',\
    CcPinRead,'CcPinRead',\
    CcPrepareMdlWrite,'CcPrepareMdlWrite',\
    CcPreparePinWrite,'CcPreparePinWrite',\
    CcPurgeCacheSection,'CcPurgeCacheSection',\
    CcRemapBcb,'CcRemapBcb',\
    CcRepinBcb,'CcRepinBcb',\
    CcScheduleReadAhead,'CcScheduleReadAhead',\
    CcScheduleReadAheadEx,'CcScheduleReadAheadEx',\
    CcSetAdditionalCacheAttributes,'CcSetAdditionalCacheAttributes',\
    CcSetAdditionalCacheAttributesEx,'CcSetAdditionalCacheAttributesEx',\
    CcSetBcbOwnerPointer,'CcSetBcbOwnerPointer',\
    CcSetDirtyPageThreshold,'CcSetDirtyPageThreshold',\
    CcSetDirtyPinnedData,'CcSetDirtyPinnedData',\
    CcSetFileSizes,'CcSetFileSizes',\
    CcSetFileSizesEx,'CcSetFileSizesEx',\
    CcSetLoggedDataThreshold,'CcSetLoggedDataThreshold',\
    CcSetLogHandleForFile,'CcSetLogHandleForFile',\
    CcSetLogHandleForFileEx,'CcSetLogHandleForFileEx',\
    CcSetParallelFlushFile,'CcSetParallelFlushFile',\
    CcSetReadAheadGranularity,'CcSetReadAheadGranularity',\
    CcSetReadAheadGranularityEx,'CcSetReadAheadGranularityEx',\
    CcUninitializeCacheMap,'CcUninitializeCacheMap',\
    CcUnmapFileOffsetFromSystemCache,'CcUnmapFileOffsetFromSystemCache',\
    CcUnpinData,'CcUnpinData',\
    CcUnpinDataForThread,'CcUnpinDataForThread',\
    CcUnpinRepinnedBcb,'CcUnpinRepinnedBcb',\
    CcWaitForCurrentLazyWriterActivity,'CcWaitForCurrentLazyWriterActivity',\
    CcZeroData,'CcZeroData',\
    CmCallbackGetKeyObjectID,'CmCallbackGetKeyObjectID',\
    CmCallbackGetKeyObjectIDEx,'CmCallbackGetKeyObjectIDEx',\
    CmCallbackReleaseKeyObjectIDEx,'CmCallbackReleaseKeyObjectIDEx',\
    CmGetBoundTransaction,'CmGetBoundTransaction',\
    CmGetCallbackVersion,'CmGetCallbackVersion',\
    CmRegisterCallback,'CmRegisterCallback',\
    CmRegisterCallbackEx,'CmRegisterCallbackEx',\
    CmSetCallbackObjectContext,'CmSetCallbackObjectContext',\
    CmUnRegisterCallback,'CmUnRegisterCallback',\
    DbgBreakPoint,'DbgBreakPoint',\
    DbgBreakPointWithStatus,'DbgBreakPointWithStatus',\
    DbgCommandString,'DbgCommandString',\
    DbgLoadImageSymbols,'DbgLoadImageSymbols',\
    DbgPrint,'DbgPrint',\
    DbgPrintEx,'DbgPrintEx',\
    DbgPrintReturnControlC,'DbgPrintReturnControlC',\
    DbgPrompt,'DbgPrompt',\
    DbgQueryDebugFilterState,'DbgQueryDebugFilterState',\
    DbgSetDebugFilterState,'DbgSetDebugFilterState',\
    DbgSetDebugPrintCallback,'DbgSetDebugPrintCallback',\
    EmClientQueryRuleState,'EmClientQueryRuleState',\
    EtwActivityIdControl,'EtwActivityIdControl',\
    EtwEventEnabled,'EtwEventEnabled',\
    EtwProviderEnabled,'EtwProviderEnabled',\
    EtwRegister,'EtwRegister',\
    EtwUnregister,'EtwUnregister',\
    EtwWrite,'EtwWrite',\
    EtwWriteEx,'EtwWriteEx',\
    EtwWriteString,'EtwWriteString',\
    EtwWriteTransfer,'EtwWriteTransfer',\
    ExAcquireFastMutex,'ExAcquireFastMutex',\
    ExAcquireFastMutexUnsafe,'ExAcquireFastMutexUnsafe',\
    ExAcquireResourceExclusiveLite,'ExAcquireResourceExclusiveLite',\
    ExAcquireResourceSharedLite,'ExAcquireResourceSharedLite',\
    ExAcquireRundownProtection,'ExAcquireRundownProtection',\
    ExAcquireRundownProtectionEx,'ExAcquireRundownProtectionEx',\
    ExAcquireSharedStarveExclusive,'ExAcquireSharedStarveExclusive',\
    ExAcquireSharedWaitForExclusive,'ExAcquireSharedWaitForExclusive',\
    ExAcquireSpinLockExclusive,'ExAcquireSpinLockExclusive',\
    ExAcquireSpinLockExclusiveAtDpcLevel,'ExAcquireSpinLockExclusiveAtDpcLevel',\
    ExAcquireSpinLockShared,'ExAcquireSpinLockShared',\
    ExAcquireSpinLockSharedAtDpcLevel,'ExAcquireSpinLockSharedAtDpcLevel',\
    ExAllocateCacheAwarePushLock,'ExAllocateCacheAwarePushLock',\
    ExAllocateCacheAwareRundownProtection,'ExAllocateCacheAwareRundownProtection',\
    ExAllocateFromPagedLookasideList,'ExAllocateFromPagedLookasideList',\
    ExAllocatePool,'ExAllocatePool',\
    ExAllocatePoolWithQuota,'ExAllocatePoolWithQuota',\
    ExAllocatePoolWithQuotaTag,'ExAllocatePoolWithQuotaTag',\
    ExAllocatePoolWithTag,'ExAllocatePoolWithTag',\
    ExAllocatePoolWithTagPriority,'ExAllocatePoolWithTagPriority',\
    ExAllocateTimer,'ExAllocateTimer',\
    ExBlockPushLock,'ExBlockPushLock',\
    ExCancelTimer,'ExCancelTimer',\
    ExConvertExclusiveToSharedLite,'ExConvertExclusiveToSharedLite',\
    ExCreateCallback,'ExCreateCallback',\
    ExDeleteLookasideListEx,'ExDeleteLookasideListEx',\
    ExDeleteNPagedLookasideList,'ExDeleteNPagedLookasideList',\
    ExDeletePagedLookasideList,'ExDeletePagedLookasideList',\
    ExDeleteResourceLite,'ExDeleteResourceLite',\
    ExDeleteTimer,'ExDeleteTimer',\
    ExDisableResourceBoostLite,'ExDisableResourceBoostLite',\
    ExEnterCriticalRegionAndAcquireFastMutexUnsafe,'ExEnterCriticalRegionAndAcquireFastMutexUnsafe',\
    ExEnterCriticalRegionAndAcquireResourceExclusive,'ExEnterCriticalRegionAndAcquireResourceExclusive',\
    ExEnterCriticalRegionAndAcquireResourceShared,'ExEnterCriticalRegionAndAcquireResourceShared',\
    ExEnterCriticalRegionAndAcquireSharedWaitForExclusive,'ExEnterCriticalRegionAndAcquireSharedWaitForExclusive',\
    ExEnumHandleTable,'ExEnumHandleTable',\
    ExExtendZone,'ExExtendZone',\
    ExfAcquirePushLockExclusive,'ExfAcquirePushLockExclusive',\
    ExfAcquirePushLockShared,'ExfAcquirePushLockShared',\
    ExFlushLookasideListEx,'ExFlushLookasideListEx',\
    ExFreeCacheAwarePushLock,'ExFreeCacheAwarePushLock',\
    ExFreePool,'ExFreePool',\
    ExFreePoolWithTag,'ExFreePoolWithTag',\
    ExFreeToPagedLookasideList,'ExFreeToPagedLookasideList',\
    ExfReleasePushLock,'ExfReleasePushLock',\
    ExfReleasePushLockExclusive,'ExfReleasePushLockExclusive',\
    ExfReleasePushLockShared,'ExfReleasePushLockShared',\
    ExfTryToWakePushLock,'ExfTryToWakePushLock',\
    ExfUnblockPushLock,'ExfUnblockPushLock',\
    ExGetCurrentProcessorCounts,'ExGetCurrentProcessorCounts',\
    ExGetCurrentProcessorCpuUsage,'ExGetCurrentProcessorCpuUsage',\
    ExGetExclusiveWaiterCount,'ExGetExclusiveWaiterCount',\
    ExGetFirmwareEnvironmentVariable,'ExGetFirmwareEnvironmentVariable',\
    ExGetPreviousMode,'ExGetPreviousMode',\
    ExGetSharedWaiterCount,'ExGetSharedWaiterCount',\
    Exi386InterlockedDecrementLong,'Exi386InterlockedDecrementLong',\
    Exi386InterlockedExchangeUlong,'Exi386InterlockedExchangeUlong',\
    Exi386InterlockedIncrementLong,'Exi386InterlockedIncrementLong',\
    ExInitializeLookasideListEx,'ExInitializeLookasideListEx',\
    ExInitializeNPagedLookasideList,'ExInitializeNPagedLookasideList',\
    ExInitializePagedLookasideList,'ExInitializePagedLookasideList',\
    ExInitializePushLock,'ExInitializePushLock',\
    ExInitializeResourceLite,'ExInitializeResourceLite',\
    ExInitializeRundownProtection,'ExInitializeRundownProtection',\
    ExInitializeRundownProtectionCacheAware,'ExInitializeRundownProtectionCacheAware',\
    ExInitializeZone,'ExInitializeZone',\
    ExInterlockedAddLargeInteger,'ExInterlockedAddLargeInteger',\
    ExInterlockedAddUlong,'ExInterlockedAddUlong',\
    ExInterlockedDecrementLong,'ExInterlockedDecrementLong',\
    ExInterlockedExchangeUlong,'ExInterlockedExchangeUlong',\
    ExInterlockedExtendZone,'ExInterlockedExtendZone',\
    ExInterlockedIncrementLong,'ExInterlockedIncrementLong',\
    ExInterlockedInsertHeadList,'ExInterlockedInsertHeadList',\
    ExInterlockedInsertTailList,'ExInterlockedInsertTailList',\
    ExInterlockedPopEntryList,'ExInterlockedPopEntryList',\
    ExInterlockedPushEntryList,'ExInterlockedPushEntryList',\
    ExInterlockedRemoveHeadList,'ExInterlockedRemoveHeadList',\
    ExIsManufacturingModeEnabled,'ExIsManufacturingModeEnabled',\
    ExIsProcessorFeaturePresent,'ExIsProcessorFeaturePresent',\
    ExIsResourceAcquiredExclusiveLite,'ExIsResourceAcquiredExclusiveLite',\
    ExIsResourceAcquiredSharedLite,'ExIsResourceAcquiredSharedLite',\
    ExLocalTimeToSystemTime,'ExLocalTimeToSystemTime',\
    ExNotifyCallback,'ExNotifyCallback',\
    ExpInterlockedFlushSList,'ExpInterlockedFlushSList',\
    ExpInterlockedPopEntrySList,'ExpInterlockedPopEntrySList',\
    ExpInterlockedPushEntrySList,'ExpInterlockedPushEntrySList',\
    ExQueryDepthSList,'ExQueryDepthSList',\
    ExQueryPoolBlockSize,'ExQueryPoolBlockSize',\
    ExQueryTimerResolution,'ExQueryTimerResolution',\
    ExQueueWorkItem,'ExQueueWorkItem',\
    ExRaiseAccessViolation,'ExRaiseAccessViolation',\
    ExRaiseDatatypeMisalignment,'ExRaiseDatatypeMisalignment',\
    ExRaiseException,'ExRaiseException',\
    ExRaiseHardError,'ExRaiseHardError',\
    ExRaiseStatus,'ExRaiseStatus',\
    ExRegisterCallback,'ExRegisterCallback',\
    ExReinitializeResourceLite,'ExReinitializeResourceLite',\
    ExReInitializeRundownProtection,'ExReInitializeRundownProtection',\
    ExReInitializeRundownProtectionCacheAware,'ExReInitializeRundownProtectionCacheAware',\
    ExReleaseCacheAwarePushLockExclusive,'ExReleaseCacheAwarePushLockExclusive',\
    ExReleaseFastMutex,'ExReleaseFastMutex',\
    ExReleaseFastMutexUnsafe,'ExReleaseFastMutexUnsafe',\
    ExReleaseFastMutexUnsafeAndLeaveCriticalRegion,'ExReleaseFastMutexUnsafeAndLeaveCriticalRegion',\
    ExReleaseResourceAndLeaveCriticalRegion,'ExReleaseResourceAndLeaveCriticalRegion',\
    ExReleaseResourceForThreadLite,'ExReleaseResourceForThreadLite',\
    ExReleaseResourceLite,'ExReleaseResourceLite',\
    ExReleaseRundownProtection,'ExReleaseRundownProtection',\
    ExReleaseRundownProtectionCacheAware,'ExReleaseRundownProtectionCacheAware',\
    ExReleaseRundownProtectionCacheAwareEx,'ExReleaseRundownProtectionCacheAwareEx',\
    ExReleaseRundownProtectionEx,'ExReleaseRundownProtectionEx',\
    ExReleaseSpinLockExclusive,'ExReleaseSpinLockExclusive',\
    ExReleaseSpinLockExclusiveFromDpcLevel,'ExReleaseSpinLockExclusiveFromDpcLevel',\
    ExReleaseSpinLockShared,'ExReleaseSpinLockShared',\
    ExReleaseSpinLockSharedFromDpcLevel,'ExReleaseSpinLockSharedFromDpcLevel',\
    ExRundownCompleted,'ExRundownCompleted',\
    ExRundownCompletedCacheAware,'ExRundownCompletedCacheAware',\
    ExSetFirmwareEnvironmentVariable,'ExSetFirmwareEnvironmentVariable',\
    ExSetLicenseTamperState,'ExSetLicenseTamperState',\
    ExSetResourceOwnerPointer,'ExSetResourceOwnerPointer',\
    ExSetResourceOwnerPointerEx,'ExSetResourceOwnerPointerEx',\
    ExSetTimer,'ExSetTimer',\
    ExSetTimerResolution,'ExSetTimerResolution',\
    ExSystemExceptionFilter,'ExSystemExceptionFilter',\
    ExSystemTimeToLocalTime,'ExSystemTimeToLocalTime',\
    ExTimedWaitForUnblockPushLock,'ExTimedWaitForUnblockPushLock',\
    ExTryConvertSharedSpinLockExclusive,'ExTryConvertSharedSpinLockExclusive',\
    ExTryToAcquireFastMutex,'ExTryToAcquireFastMutex',\
    ExUnregisterCallback,'ExUnregisterCallback',\
    ExUuidCreate,'ExUuidCreate',\
    ExVerifySuite,'ExVerifySuite',\
    ExWaitForRundownProtectionRelease,'ExWaitForRundownProtectionRelease',\
    ExWaitForUnblockPushLock,'ExWaitForUnblockPushLock',\
    FirstEntrySList,'FirstEntrySList',\
    FsRtlAcknowledgeEcp,'FsRtlAcknowledgeEcp',\
    FsRtlAcquireFileExclusive,'FsRtlAcquireFileExclusive',\
    FsRtlAddBaseMcbEntry,'FsRtlAddBaseMcbEntry',\
    FsRtlAddBaseMcbEntryEx,'FsRtlAddBaseMcbEntryEx',\
    FsRtlAddLargeMcbEntry,'FsRtlAddLargeMcbEntry',\
    FsRtlAddMcbEntry,'FsRtlAddMcbEntry',\
    FsRtlAddToTunnelCache,'FsRtlAddToTunnelCache',\
    FsRtlAllocateExtraCreateParameter,'FsRtlAllocateExtraCreateParameter',\
    FsRtlAllocateExtraCreateParameterFromLookasideList,'FsRtlAllocateExtraCreateParameterFromLookasideList',\
    FsRtlAllocateExtraCreateParameterList,'FsRtlAllocateExtraCreateParameterList',\
    FsRtlAllocateFileLock,'FsRtlAllocateFileLock',\
    FsRtlAllocatePool,'FsRtlAllocatePool',\
    FsRtlAllocatePoolWithQuota,'FsRtlAllocatePoolWithQuota',\
    FsRtlAllocatePoolWithQuotaTag,'FsRtlAllocatePoolWithQuotaTag',\
    FsRtlAllocatePoolWithTag,'FsRtlAllocatePoolWithTag',\
    FsRtlAllocateResource,'FsRtlAllocateResource',\
    FsRtlAreNamesEqual,'FsRtlAreNamesEqual',\
    FsRtlAreThereCurrentOrInProgressFileLocks,'FsRtlAreThereCurrentOrInProgressFileLocks',\
    FsRtlAreThereWaitingFileLocks,'FsRtlAreThereWaitingFileLocks',\
    FsRtlAreVolumeStartupApplicationsComplete,'FsRtlAreVolumeStartupApplicationsComplete',\
    FsRtlBalanceReads,'FsRtlBalanceReads',\
    FsRtlCancellableWaitForMultipleObjects,'FsRtlCancellableWaitForMultipleObjects',\
    FsRtlCancellableWaitForSingleObject,'FsRtlCancellableWaitForSingleObject',\
    FsRtlChangeBackingFileObject,'FsRtlChangeBackingFileObject',\
    FsRtlCheckLockForOplockRequest,'FsRtlCheckLockForOplockRequest',\
    FsRtlCheckLockForReadAccess,'FsRtlCheckLockForReadAccess',\
    FsRtlCheckLockForWriteAccess,'FsRtlCheckLockForWriteAccess',\
    FsRtlCheckOplock,'FsRtlCheckOplock',\
    FsRtlCheckOplockEx,'FsRtlCheckOplockEx',\
    FsRtlCopyRead,'FsRtlCopyRead',\
    FsRtlCopyWrite,'FsRtlCopyWrite',\
    FsRtlCreateSectionForDataScan,'FsRtlCreateSectionForDataScan',\
    FsRtlCurrentBatchOplock,'FsRtlCurrentBatchOplock',\
    FsRtlCurrentOplock,'FsRtlCurrentOplock',\
    FsRtlCurrentOplockH,'FsRtlCurrentOplockH',\
    FsRtlDeleteExtraCreateParameterLookasideList,'FsRtlDeleteExtraCreateParameterLookasideList',\
    FsRtlDeleteKeyFromTunnelCache,'FsRtlDeleteKeyFromTunnelCache',\
    FsRtlDeleteTunnelCache,'FsRtlDeleteTunnelCache',\
    FsRtlDeregisterUncProvider,'FsRtlDeregisterUncProvider',\
    FsRtlDissectDbcs,'FsRtlDissectDbcs',\
    FsRtlDissectName,'FsRtlDissectName',\
    FsRtlDoesDbcsContainWildCards,'FsRtlDoesDbcsContainWildCards',\
    FsRtlDoesNameContainWildCards,'FsRtlDoesNameContainWildCards',\
    FsRtlFastCheckLockForRead,'FsRtlFastCheckLockForRead',\
    FsRtlFastCheckLockForWrite,'FsRtlFastCheckLockForWrite',\
    FsRtlFastUnlockAll,'FsRtlFastUnlockAll',\
    FsRtlFastUnlockAllByKey,'FsRtlFastUnlockAllByKey',\
    FsRtlFastUnlockSingle,'FsRtlFastUnlockSingle',\
    FsRtlFindExtraCreateParameter,'FsRtlFindExtraCreateParameter',\
    FsRtlFindInTunnelCache,'FsRtlFindInTunnelCache',\
    FsRtlFreeExtraCreateParameter,'FsRtlFreeExtraCreateParameter',\
    FsRtlFreeExtraCreateParameterList,'FsRtlFreeExtraCreateParameterList',\
    FsRtlFreeFileLock,'FsRtlFreeFileLock',\
    FsRtlGetEcpListFromIrp,'FsRtlGetEcpListFromIrp',\
    FsRtlGetFileSize,'FsRtlGetFileSize',\
    FsRtlGetNextBaseMcbEntry,'FsRtlGetNextBaseMcbEntry',\
    FsRtlGetNextExtraCreateParameter,'FsRtlGetNextExtraCreateParameter',\
    FsRtlGetNextFileLock,'FsRtlGetNextFileLock',\
    FsRtlGetNextLargeMcbEntry,'FsRtlGetNextLargeMcbEntry',\
    FsRtlGetNextMcbEntry,'FsRtlGetNextMcbEntry',\
    FsRtlGetSectorSizeInformation,'FsRtlGetSectorSizeInformation',\
    FsRtlGetSupportedFeatures,'FsRtlGetSupportedFeatures',\
    FsRtlGetVirtualDiskNestingLevel,'FsRtlGetVirtualDiskNestingLevel',\
    FsRtlIncrementCcFastMdlReadWait,'FsRtlIncrementCcFastMdlReadWait',\
    FsRtlIncrementCcFastReadNotPossible,'FsRtlIncrementCcFastReadNotPossible',\
    FsRtlIncrementCcFastReadNoWait,'FsRtlIncrementCcFastReadNoWait',\
    FsRtlIncrementCcFastReadResourceMiss,'FsRtlIncrementCcFastReadResourceMiss',\
    FsRtlIncrementCcFastReadWait,'FsRtlIncrementCcFastReadWait',\
    FsRtlInitExtraCreateParameterLookasideList,'FsRtlInitExtraCreateParameterLookasideList',\
    FsRtlInitializeExtraCreateParameter,'FsRtlInitializeExtraCreateParameter',\
    FsRtlInitializeExtraCreateParameterList,'FsRtlInitializeExtraCreateParameterList',\
    FsRtlInitializeFileLock,'FsRtlInitializeFileLock',\
    FsRtlInitializeLargeMcb,'FsRtlInitializeLargeMcb',\
    FsRtlInitializeMcb,'FsRtlInitializeMcb',\
    FsRtlInitializeOplock,'FsRtlInitializeOplock',\
    FsRtlInitializeTunnelCache,'FsRtlInitializeTunnelCache',\
    FsRtlInsertExtraCreateParameter,'FsRtlInsertExtraCreateParameter',\
    FsRtlInsertPerFileContext,'FsRtlInsertPerFileContext',\
    FsRtlInsertPerFileObjectContext,'FsRtlInsertPerFileObjectContext',\
    FsRtlInsertPerStreamContext,'FsRtlInsertPerStreamContext',\
    FsRtlIsDbcsInExpression,'FsRtlIsDbcsInExpression',\
    FsRtlIsEcpAcknowledged,'FsRtlIsEcpAcknowledged',\
    FsRtlIsEcpFromUserMode,'FsRtlIsEcpFromUserMode',\
    FsRtlIsFatDbcsLegal,'FsRtlIsFatDbcsLegal',\
    FsRtlIsHpfsDbcsLegal,'FsRtlIsHpfsDbcsLegal',\
    FsRtlIsNameInExpression,'FsRtlIsNameInExpression',\
    FsRtlIsNtstatusExpected,'FsRtlIsNtstatusExpected',\
    FsRtlIsPagingFile,'FsRtlIsPagingFile',\
    FsRtlIssueDeviceIoControl,'FsRtlIssueDeviceIoControl',\
    FsRtlIsSystemPagingFile,'FsRtlIsSystemPagingFile',\
    FsRtlIsTotalDeviceFailure,'FsRtlIsTotalDeviceFailure',\
    FsRtlLogCcFlushError,'FsRtlLogCcFlushError',\
    FsRtlLookupBaseMcbEntry,'FsRtlLookupBaseMcbEntry',\
    FsRtlLookupLargeMcbEntry,'FsRtlLookupLargeMcbEntry',\
    FsRtlLookupLastBaseMcbEntryAndIndex,'FsRtlLookupLastBaseMcbEntryAndIndex',\
    FsRtlLookupLastLargeMcbEntry,'FsRtlLookupLastLargeMcbEntry',\
    FsRtlLookupLastLargeMcbEntryAndIndex,'FsRtlLookupLastLargeMcbEntryAndIndex',\
    FsRtlLookupLastMcbEntry,'FsRtlLookupLastMcbEntry',\
    FsRtlLookupMcbEntry,'FsRtlLookupMcbEntry',\
    FsRtlLookupPerFileContext,'FsRtlLookupPerFileContext',\
    FsRtlLookupPerFileObjectContext,'FsRtlLookupPerFileObjectContext',\
    FsRtlLookupPerStreamContextInternal,'FsRtlLookupPerStreamContextInternal',\
    FsRtlMdlRead,'FsRtlMdlRead',\
    FsRtlMdlReadComplete,'FsRtlMdlReadComplete',\
    FsRtlMdlReadCompleteDev,'FsRtlMdlReadCompleteDev',\
    FsRtlMdlReadDev,'FsRtlMdlReadDev',\
    FsRtlMdlReadEx,'FsRtlMdlReadEx',\
    FsRtlMdlWriteComplete,'FsRtlMdlWriteComplete',\
    FsRtlMdlWriteCompleteDev,'FsRtlMdlWriteCompleteDev',\
    FsRtlMupGetProviderIdFromName,'FsRtlMupGetProviderIdFromName',\
    FsRtlMupGetProviderInfoFromFileObject,'FsRtlMupGetProviderInfoFromFileObject',\
    FsRtlNormalizeNtstatus,'FsRtlNormalizeNtstatus',\
    FsRtlNotifyChangeDirectory,'FsRtlNotifyChangeDirectory',\
    FsRtlNotifyCleanup,'FsRtlNotifyCleanup',\
    FsRtlNotifyCleanupAll,'FsRtlNotifyCleanupAll',\
    FsRtlNotifyFilterChangeDirectory,'FsRtlNotifyFilterChangeDirectory',\
    FsRtlNotifyFilterReportChange,'FsRtlNotifyFilterReportChange',\
    FsRtlNotifyFullChangeDirectory,'FsRtlNotifyFullChangeDirectory',\
    FsRtlNotifyFullReportChange,'FsRtlNotifyFullReportChange',\
    FsRtlNotifyInitializeSync,'FsRtlNotifyInitializeSync',\
    FsRtlNotifyReportChange,'FsRtlNotifyReportChange',\
    FsRtlNotifyUninitializeSync,'FsRtlNotifyUninitializeSync',\
    FsRtlNotifyVolumeEvent,'FsRtlNotifyVolumeEvent',\
    FsRtlNotifyVolumeEventEx,'FsRtlNotifyVolumeEventEx',\
    FsRtlNumberOfRunsInLargeMcb,'FsRtlNumberOfRunsInLargeMcb',\
    FsRtlNumberOfRunsInMcb,'FsRtlNumberOfRunsInMcb',\
    FsRtlOplockBreakH,'FsRtlOplockBreakH',\
    FsRtlOplockBreakToNone,'FsRtlOplockBreakToNone',\
    FsRtlOplockBreakToNoneEx,'FsRtlOplockBreakToNoneEx',\
    FsRtlOplockFsctrl,'FsRtlOplockFsctrl',\
    FsRtlOplockFsctrlEx,'FsRtlOplockFsctrlEx',\
    FsRtlOplockIsFastIoPossible,'FsRtlOplockIsFastIoPossible',\
    FsRtlOplockIsSharedRequest,'FsRtlOplockIsSharedRequest',\
    FsRtlOplockKeysEqual,'FsRtlOplockKeysEqual',\
    FsRtlPostPagingFileStackOverflow,'FsRtlPostPagingFileStackOverflow',\
    FsRtlPostStackOverflow,'FsRtlPostStackOverflow',\
    FsRtlPrepareMdlWrite,'FsRtlPrepareMdlWrite',\
    FsRtlPrepareMdlWriteDev,'FsRtlPrepareMdlWriteDev',\
    FsRtlPrepareMdlWriteEx,'FsRtlPrepareMdlWriteEx',\
    FsRtlPrepareToReuseEcp,'FsRtlPrepareToReuseEcp',\
    FsRtlPrivateLock,'FsRtlPrivateLock',\
    FsRtlProcessFileLock,'FsRtlProcessFileLock',\
    FsRtlQueryCachedVdl,'FsRtlQueryCachedVdl',\
    FsRtlQueryMaximumVirtualDiskNestingLevel,'FsRtlQueryMaximumVirtualDiskNestingLevel',\
    FsRtlRegisterFileSystemFilterCallbacks,'FsRtlRegisterFileSystemFilterCallbacks',\
    FsRtlRegisterUncProvider,'FsRtlRegisterUncProvider',\
    FsRtlRegisterUncProviderEx,'FsRtlRegisterUncProviderEx',\
    FsRtlReleaseFile,'FsRtlReleaseFile',\
    FsRtlRemoveBaseMcbEntry,'FsRtlRemoveBaseMcbEntry',\
    FsRtlRemoveDotsFromPath,'FsRtlRemoveDotsFromPath',\
    FsRtlRemoveExtraCreateParameter,'FsRtlRemoveExtraCreateParameter',\
    FsRtlRemoveLargeMcbEntry,'FsRtlRemoveLargeMcbEntry',\
    FsRtlRemoveMcbEntry,'FsRtlRemoveMcbEntry',\
    FsRtlRemovePerFileContext,'FsRtlRemovePerFileContext',\
    FsRtlRemovePerFileObjectContext,'FsRtlRemovePerFileObjectContext',\
    FsRtlRemovePerStreamContext,'FsRtlRemovePerStreamContext',\
    FsRtlResetBaseMcb,'FsRtlResetBaseMcb',\
    FsRtlResetLargeMcb,'FsRtlResetLargeMcb',\
    FsRtlSetEcpListIntoIrp,'FsRtlSetEcpListIntoIrp',\
    FsRtlSplitBaseMcb,'FsRtlSplitBaseMcb',\
    FsRtlSplitLargeMcb,'FsRtlSplitLargeMcb',\
    FsRtlSyncVolumes,'FsRtlSyncVolumes',\
    FsRtlTeardownPerFileContexts,'FsRtlTeardownPerFileContexts',\
    FsRtlTeardownPerStreamContexts,'FsRtlTeardownPerStreamContexts',\
    FsRtlTruncateBaseMcb,'FsRtlTruncateBaseMcb',\
    FsRtlTruncateLargeMcb,'FsRtlTruncateLargeMcb',\
    FsRtlTruncateMcb,'FsRtlTruncateMcb',\
    FsRtlUninitializeBaseMcb,'FsRtlUninitializeBaseMcb',\
    FsRtlUninitializeFileLock,'FsRtlUninitializeFileLock',\
    FsRtlUninitializeLargeMcb,'FsRtlUninitializeLargeMcb',\
    FsRtlUninitializeMcb,'FsRtlUninitializeMcb',\
    FsRtlUninitializeOplock,'FsRtlUninitializeOplock',\
    FsRtlUpperOplockFsctrl,'FsRtlUpperOplockFsctrl',\
    FsRtlValidateReparsePointBuffer,'FsRtlValidateReparsePointBuffer',\
    HalExamineMBR,'HalExamineMBR',\
    HeadlessDispatch,'HeadlessDispatch',\
    InbvAcquireDisplayOwnership,'InbvAcquireDisplayOwnership',\
    InbvCheckDisplayOwnership,'InbvCheckDisplayOwnership',\
    InbvDisplayString,'InbvDisplayString',\
    InbvEnableBootDriver,'InbvEnableBootDriver',\
    InbvEnableDisplayString,'InbvEnableDisplayString',\
    InbvInstallDisplayStringFilter,'InbvInstallDisplayStringFilter',\
    InbvIsBootDriverInstalled,'InbvIsBootDriverInstalled',\
    InbvNotifyDisplayOwnershipLost,'InbvNotifyDisplayOwnershipLost',\
    InbvResetDisplay,'InbvResetDisplay',\
    InbvSetScrollRegion,'InbvSetScrollRegion',\
    InbvSetTextColor,'InbvSetTextColor',\
    InbvSolidColorFill,'InbvSolidColorFill',\
    InitializeSListHead,'InitializeSListHead',\
    InterlockedPushListSList,'InterlockedPushListSList',\
    IoAcquireCancelSpinLock,'IoAcquireCancelSpinLock',\
    IoAcquireRemoveLockEx,'IoAcquireRemoveLockEx',\
    IoAcquireVpbSpinLock,'IoAcquireVpbSpinLock',\
    IoAllocateAdapterChannel,'IoAllocateAdapterChannel',\
    IoAllocateController,'IoAllocateController',\
    IoAllocateDriverObjectExtension,'IoAllocateDriverObjectExtension',\
    IoAllocateErrorLogEntry,'IoAllocateErrorLogEntry',\
    IoAllocateIrp,'IoAllocateIrp',\
    IoAllocateMdl,'IoAllocateMdl',\
    IoAllocateMiniCompletionPacket,'IoAllocateMiniCompletionPacket',\
    IoAllocateSfioStreamIdentifier,'IoAllocateSfioStreamIdentifier',\
    IoAllocateWorkItem,'IoAllocateWorkItem',\
    IoAssignDriveLetters,'IoAssignDriveLetters',\
    IoAssignResources,'IoAssignResources',\
    IoAttachDevice,'IoAttachDevice',\
    IoAttachDeviceByPointer,'IoAttachDeviceByPointer',\
    IoAttachDeviceToDeviceStack,'IoAttachDeviceToDeviceStack',\
    IoAttachDeviceToDeviceStackSafe,'IoAttachDeviceToDeviceStackSafe',\
    IoBuildAsynchronousFsdRequest,'IoBuildAsynchronousFsdRequest',\
    IoBuildDeviceIoControlRequest,'IoBuildDeviceIoControlRequest',\
    IoBuildPartialMdl,'IoBuildPartialMdl',\
    IoBuildSynchronousFsdRequest,'IoBuildSynchronousFsdRequest',\
    IoCallDriver,'IoCallDriver',\
    IoCancelFileOpen,'IoCancelFileOpen',\
    IoCancelIrp,'IoCancelIrp',\
    IoCheckDesiredAccess,'IoCheckDesiredAccess',\
    IoCheckEaBufferValidity,'IoCheckEaBufferValidity',\
    IoCheckFunctionAccess,'IoCheckFunctionAccess',\
    IoCheckQuerySetFileInformation,'IoCheckQuerySetFileInformation',\
    IoCheckQuerySetVolumeInformation,'IoCheckQuerySetVolumeInformation',\
    IoCheckQuotaBufferValidity,'IoCheckQuotaBufferValidity',\
    IoCheckShareAccess,'IoCheckShareAccess',\
    IoCheckShareAccessEx,'IoCheckShareAccessEx',\
    IoClearActivityIdThread,'IoClearActivityIdThread',\
    IoClearFsTrackOffsetState,'IoClearFsTrackOffsetState',\
    IoClearIrpExtraCreateParameter,'IoClearIrpExtraCreateParameter',\
    IoCompleteRequest,'IoCompleteRequest',\
    IoConnectInterrupt,'IoConnectInterrupt',\
    IoConnectInterruptEx,'IoConnectInterruptEx',\
    IoCreateController,'IoCreateController',\
    IoCreateDevice,'IoCreateDevice',\
    IoCreateDisk,'IoCreateDisk',\
    IoCreateDriver,'IoCreateDriver',\
    IoCreateFile,'IoCreateFile',\
    IoCreateFileEx,'IoCreateFileEx',\
    IoCreateFileSpecifyDeviceObjectHint,'IoCreateFileSpecifyDeviceObjectHint',\
    IoCreateNotificationEvent,'IoCreateNotificationEvent',\
    IoCreateStreamFileObject,'IoCreateStreamFileObject',\
    IoCreateStreamFileObjectEx,'IoCreateStreamFileObjectEx',\
    IoCreateStreamFileObjectEx2,'IoCreateStreamFileObjectEx2',\
    IoCreateStreamFileObjectLite,'IoCreateStreamFileObjectLite',\
    IoCreateSymbolicLink,'IoCreateSymbolicLink',\
    IoCreateSynchronizationEvent,'IoCreateSynchronizationEvent',\
    IoCreateSystemThread,'IoCreateSystemThread',\
    IoCreateUnprotectedSymbolicLink,'IoCreateUnprotectedSymbolicLink',\
    IoCsqInitialize,'IoCsqInitialize',\
    IoCsqInitializeEx,'IoCsqInitializeEx',\
    IoCsqInsertIrp,'IoCsqInsertIrp',\
    IoCsqInsertIrpEx,'IoCsqInsertIrpEx',\
    IoCsqRemoveIrp,'IoCsqRemoveIrp',\
    IoCsqRemoveNextIrp,'IoCsqRemoveNextIrp',\
    IoDecrementKeepAliveCount,'IoDecrementKeepAliveCount',\
    IoDeleteController,'IoDeleteController',\
    IoDeleteDevice,'IoDeleteDevice',\
    IoDeleteDriver,'IoDeleteDriver',\
    IoDeleteSymbolicLink,'IoDeleteSymbolicLink',\
    IoDetachDevice,'IoDetachDevice',\
    IoDisconnectInterrupt,'IoDisconnectInterrupt',\
    IoDisconnectInterruptEx,'IoDisconnectInterruptEx',\
    IoEnqueueIrp,'IoEnqueueIrp',\
    IoEnumerateDeviceObjectList,'IoEnumerateDeviceObjectList',\
    IoEnumerateRegisteredFiltersList,'IoEnumerateRegisteredFiltersList',\
    IoFastQueryNetworkAttributes,'IoFastQueryNetworkAttributes',\
    IofCallDriver,'IofCallDriver',\
    IofCompleteRequest,'IofCompleteRequest',\
    IoForwardAndCatchIrp,'IoForwardAndCatchIrp',\
    IoForwardIrpSynchronously,'IoForwardIrpSynchronously',\
    IoFreeController,'IoFreeController',\
    IoFreeErrorLogEntry,'IoFreeErrorLogEntry',\
    IoFreeIrp,'IoFreeIrp',\
    IoFreeMdl,'IoFreeMdl',\
    IoFreeSfioStreamIdentifier,'IoFreeSfioStreamIdentifier',\
    IoFreeWorkItem,'IoFreeWorkItem',\
    IoGetActivityIdIrp,'IoGetActivityIdIrp',\
    IoGetActivityIdThread,'IoGetActivityIdThread',\
    IoGetAffinityInterrupt,'IoGetAffinityInterrupt',\
    IoGetAttachedDevice,'IoGetAttachedDevice',\
    IoGetAttachedDeviceReference,'IoGetAttachedDeviceReference',\
    IoGetBaseFileSystemDeviceObject,'IoGetBaseFileSystemDeviceObject',\
    IoGetBootDiskInformation,'IoGetBootDiskInformation',\
    IoGetBootDiskInformationLite,'IoGetBootDiskInformationLite',\
    IoGetConfigurationInformation,'IoGetConfigurationInformation',\
    IoGetContainerInformation,'IoGetContainerInformation',\
    IoGetCurrentProcess,'IoGetCurrentProcess',\
    IoGetDeviceAttachmentBaseRef,'IoGetDeviceAttachmentBaseRef',\
    IoGetDeviceInterfaceAlias,'IoGetDeviceInterfaceAlias',\
    IoGetDeviceInterfacePropertyData,'IoGetDeviceInterfacePropertyData',\
    IoGetDeviceInterfaces,'IoGetDeviceInterfaces',\
    IoGetDeviceNumaNode,'IoGetDeviceNumaNode',\
    IoGetDeviceObjectPointer,'IoGetDeviceObjectPointer',\
    IoGetDeviceProperty,'IoGetDeviceProperty',\
    IoGetDevicePropertyData,'IoGetDevicePropertyData',\
    IoGetDeviceToVerify,'IoGetDeviceToVerify',\
    IoGetDiskDeviceObject,'IoGetDiskDeviceObject',\
    IoGetDmaAdapter,'IoGetDmaAdapter',\
    IoGetDriverObjectExtension,'IoGetDriverObjectExtension',\
    IoGetFileObjectGenericMapping,'IoGetFileObjectGenericMapping',\
    IoGetInitialStack,'IoGetInitialStack',\
    IoGetInitiatorProcess,'IoGetInitiatorProcess',\
    IoGetIoPriorityHint,'IoGetIoPriorityHint',\
    IoGetIrpExtraCreateParameter,'IoGetIrpExtraCreateParameter',\
    IoGetLowerDeviceObject,'IoGetLowerDeviceObject',\
    IoGetOplockKeyContext,'IoGetOplockKeyContext',\
    IoGetOplockKeyContextEx,'IoGetOplockKeyContextEx',\
    IoGetPagingIoPriority,'IoGetPagingIoPriority',\
    IoGetRelatedDeviceObject,'IoGetRelatedDeviceObject',\
    IoGetRequestorProcess,'IoGetRequestorProcess',\
    IoGetRequestorProcessId,'IoGetRequestorProcessId',\
    IoGetRequestorSessionId,'IoGetRequestorSessionId',\
    IoGetSfioStreamIdentifier,'IoGetSfioStreamIdentifier',\
    IoGetSiloParameters,'IoGetSiloParameters',\
    IoGetStackLimits,'IoGetStackLimits',\
    IoGetTopLevelIrp,'IoGetTopLevelIrp',\
    IoGetTransactionParameterBlock,'IoGetTransactionParameterBlock',\
    IoIncrementKeepAliveCount,'IoIncrementKeepAliveCount',\
    IoInitializeIrp,'IoInitializeIrp',\
    IoInitializeIrpEx,'IoInitializeIrpEx',\
    IoInitializeRemoveLockEx,'IoInitializeRemoveLockEx',\
    IoInitializeTimer,'IoInitializeTimer',\
    IoInitializeWorkItem,'IoInitializeWorkItem',\
    IoInvalidateDeviceRelations,'IoInvalidateDeviceRelations',\
    IoInvalidateDeviceState,'IoInvalidateDeviceState',\
    IoIrpHasFsTrackOffsetExtensionType,'IoIrpHasFsTrackOffsetExtensionType',\
    IoIs32bitProcess,'IoIs32bitProcess',\
    IoIsFileObjectIgnoringSharing,'IoIsFileObjectIgnoringSharing',\
    IoIsFileOriginRemote,'IoIsFileOriginRemote',\
    IoIsInitiator32bitProcess,'IoIsInitiator32bitProcess',\
    IoIsOperationSynchronous,'IoIsOperationSynchronous',\
    IoIsSystemThread,'IoIsSystemThread',\
    IoIsValidIrpStatus,'IoIsValidIrpStatus',\
    IoIsValidNameGraftingBuffer,'IoIsValidNameGraftingBuffer',\
    IoIsWdmVersionAvailable,'IoIsWdmVersionAvailable',\
    IoMakeAssociatedIrp,'IoMakeAssociatedIrp',\
    IoOpenDeviceInterfaceRegistryKey,'IoOpenDeviceInterfaceRegistryKey',\
    IoOpenDeviceRegistryKey,'IoOpenDeviceRegistryKey',\
    IoPageRead,'IoPageRead',\
    IoPnPDeliverServicePowerNotification,'IoPnPDeliverServicePowerNotification',\
    IoPropagateActivityIdToThread,'IoPropagateActivityIdToThread',\
    IoQueryDeviceDescription,'IoQueryDeviceDescription',\
    IoQueryFileDosDeviceName,'IoQueryFileDosDeviceName',\
    IoQueryFileInformation,'IoQueryFileInformation',\
    IoQueryFullDriverPath,'IoQueryFullDriverPath',\
    IoQueryVolumeInformation,'IoQueryVolumeInformation',\
    IoQueueThreadIrp,'IoQueueThreadIrp',\
    IoQueueWorkItem,'IoQueueWorkItem',\
    IoQueueWorkItemEx,'IoQueueWorkItemEx',\
    IoRaiseHardError,'IoRaiseHardError',\
    IoRaiseInformationalHardError,'IoRaiseInformationalHardError',\
    IoReadDiskSignature,'IoReadDiskSignature',\
    IoReadPartitionTable,'IoReadPartitionTable',\
    IoReadPartitionTableEx,'IoReadPartitionTableEx',\
    IoRegisterBootDriverCallback,'IoRegisterBootDriverCallback',\
    IoRegisterBootDriverReinitialization,'IoRegisterBootDriverReinitialization',\
    IoRegisterContainerNotification,'IoRegisterContainerNotification',\
    IoRegisterDeviceInterface,'IoRegisterDeviceInterface',\
    IoRegisterDriverReinitialization,'IoRegisterDriverReinitialization',\
    IoRegisterFileSystem,'IoRegisterFileSystem',\
    IoRegisterFsRegistrationChange,'IoRegisterFsRegistrationChange',\
    IoRegisterFsRegistrationChangeMountAware,'IoRegisterFsRegistrationChangeMountAware',\
    IoRegisterLastChanceShutdownNotification,'IoRegisterLastChanceShutdownNotification',\
    IoRegisterPlugPlayNotification,'IoRegisterPlugPlayNotification',\
    IoRegisterShutdownNotification,'IoRegisterShutdownNotification',\
    IoReleaseCancelSpinLock,'IoReleaseCancelSpinLock',\
    IoReleaseRemoveLockAndWaitEx,'IoReleaseRemoveLockAndWaitEx',\
    IoReleaseRemoveLockEx,'IoReleaseRemoveLockEx',\
    IoReleaseVpbSpinLock,'IoReleaseVpbSpinLock',\
    IoRemoveShareAccess,'IoRemoveShareAccess',\
    IoReplaceFileObjectName,'IoReplaceFileObjectName',\
    IoReplacePartitionUnit,'IoReplacePartitionUnit',\
    IoReportDetectedDevice,'IoReportDetectedDevice',\
    IoReportHalResourceUsage,'IoReportHalResourceUsage',\
    IoReportInterruptActive,'IoReportInterruptActive',\
    IoReportInterruptInactive,'IoReportInterruptInactive',\
    IoReportResourceForDetection,'IoReportResourceForDetection',\
    IoReportResourceUsage,'IoReportResourceUsage',\
    IoReportRootDevice,'IoReportRootDevice',\
    IoReportTargetDeviceChange,'IoReportTargetDeviceChange',\
    IoReportTargetDeviceChangeAsynchronous,'IoReportTargetDeviceChangeAsynchronous',\
    IoRequestDeviceEject,'IoRequestDeviceEject',\
    IoRequestDeviceRemovalForReset,'IoRequestDeviceRemovalForReset',\
    IoReuseIrp,'IoReuseIrp',\
    IoSetActivityIdIrp,'IoSetActivityIdIrp',\
    IoSetActivityIdThread,'IoSetActivityIdThread',\
    IoSetCompletionRoutineEx,'IoSetCompletionRoutineEx',\
    IoSetDeviceInterfacePropertyData,'IoSetDeviceInterfacePropertyData',\
    IoSetDeviceInterfaceState,'IoSetDeviceInterfaceState',\
    IoSetDevicePropertyData,'IoSetDevicePropertyData',\
    IoSetDeviceToVerify,'IoSetDeviceToVerify',\
    IoSetFileObjectIgnoreSharing,'IoSetFileObjectIgnoreSharing',\
    IoSetFileOrigin,'IoSetFileOrigin',\
    IoSetFsTrackOffsetState,'IoSetFsTrackOffsetState',\
    IoSetFsZeroingOffset,'IoSetFsZeroingOffset',\
    IoSetFsZeroingOffsetRequired,'IoSetFsZeroingOffsetRequired',\
    IoSetHardErrorOrVerifyDevice,'IoSetHardErrorOrVerifyDevice',\
    IoSetInformation,'IoSetInformation',\
    IoSetIoCompletion,'IoSetIoCompletion',\
    IoSetIoPriorityHint,'IoSetIoPriorityHint',\
    IoSetIrpExtraCreateParameter,'IoSetIrpExtraCreateParameter',\
    IoSetMasterIrpStatus,'IoSetMasterIrpStatus',\
    IoSetOplockKeyContext,'IoSetOplockKeyContext',\
    IoSetPartitionInformation,'IoSetPartitionInformation',\
    IoSetPartitionInformationEx,'IoSetPartitionInformationEx',\
    IoSetShareAccess,'IoSetShareAccess',\
    IoSetShareAccessEx,'IoSetShareAccessEx',\
    IoSetStartIoAttributes,'IoSetStartIoAttributes',\
    IoSetSystemPartition,'IoSetSystemPartition',\
    IoSetThreadHardErrorMode,'IoSetThreadHardErrorMode',\
    IoSetTopLevelIrp,'IoSetTopLevelIrp',\
    IoSizeOfIrpEx,'IoSizeOfIrpEx',\
    IoSizeofWorkItem,'IoSizeofWorkItem',\
    IoStartNextPacket,'IoStartNextPacket',\
    IoStartNextPacketByKey,'IoStartNextPacketByKey',\
    IoStartPacket,'IoStartPacket',\
    IoStartTimer,'IoStartTimer',\
    IoStopTimer,'IoStopTimer',\
    IoSynchronousInvalidateDeviceRelations,'IoSynchronousInvalidateDeviceRelations',\
    IoSynchronousPageWrite,'IoSynchronousPageWrite',\
    IoThreadToProcess,'IoThreadToProcess',\
    IoTransferActivityId,'IoTransferActivityId',\
    IoTranslateBusAddress,'IoTranslateBusAddress',\
    IoTryQueueWorkItem,'IoTryQueueWorkItem',\
    IoUninitializeWorkItem,'IoUninitializeWorkItem',\
    IoUnregisterBootDriverCallback,'IoUnregisterBootDriverCallback',\
    IoUnregisterContainerNotification,'IoUnregisterContainerNotification',\
    IoUnregisterFileSystem,'IoUnregisterFileSystem',\
    IoUnregisterFsRegistrationChange,'IoUnregisterFsRegistrationChange',\
    IoUnregisterPlugPlayNotification,'IoUnregisterPlugPlayNotification',\
    IoUnregisterPlugPlayNotificationEx,'IoUnregisterPlugPlayNotificationEx',\
    IoUnregisterPriorityCallback,'IoUnregisterPriorityCallback',\
    IoUnregisterShutdownNotification,'IoUnregisterShutdownNotification',\
    IoUpdateShareAccess,'IoUpdateShareAccess',\
    IoValidateDeviceIoControlAccess,'IoValidateDeviceIoControlAccess',\
    IoVerifyPartitionTable,'IoVerifyPartitionTable',\
    IoVerifyVolume,'IoVerifyVolume',\
    IoVolumeDeviceNameToGuid,'IoVolumeDeviceNameToGuid',\
    IoVolumeDeviceToDosName,'IoVolumeDeviceToDosName',\
    IoVolumeDeviceToGuid,'IoVolumeDeviceToGuid',\
    IoWithinStackLimits,'IoWithinStackLimits',\
    IoWMIAllocateInstanceIds,'IoWMIAllocateInstanceIds',\
    IoWMIDeviceObjectToInstanceName,'IoWMIDeviceObjectToInstanceName',\
    IoWMIDeviceObjectToProviderId,'IoWMIDeviceObjectToProviderId',\
    IoWMIExecuteMethod,'IoWMIExecuteMethod',\
    IoWMIHandleToInstanceName,'IoWMIHandleToInstanceName',\
    IoWMIOpenBlock,'IoWMIOpenBlock',\
    IoWMIQueryAllData,'IoWMIQueryAllData',\
    IoWMIQueryAllDataMultiple,'IoWMIQueryAllDataMultiple',\
    IoWMIQuerySingleInstance,'IoWMIQuerySingleInstance',\
    IoWMIQuerySingleInstanceMultiple,'IoWMIQuerySingleInstanceMultiple',\
    IoWMIRegistrationControl,'IoWMIRegistrationControl',\
    IoWMISetNotificationCallback,'IoWMISetNotificationCallback',\
    IoWMISetSingleInstance,'IoWMISetSingleInstance',\
    IoWMISetSingleItem,'IoWMISetSingleItem',\
    IoWMISuggestInstanceName,'IoWMISuggestInstanceName',\
    IoWMIWriteEvent,'IoWMIWriteEvent',\
    IoWriteErrorLogEntry,'IoWriteErrorLogEntry',\
    IoWritePartitionTable,'IoWritePartitionTable',\
    IoWritePartitionTableEx,'IoWritePartitionTableEx',\
    isdigit,'isdigit',\
    islower,'islower',\
    isprint,'isprint',\
    isspace,'isspace',\
    isupper,'isupper',\
    isxdigit,'isxdigit',\
    KdDisableDebugger,'KdDisableDebugger',\
    KdEnableDebugger,'KdEnableDebugger',\
    KdLogDbgPrint,'KdLogDbgPrint',\
    KdPollBreakIn,'KdPollBreakIn',\
    KdPowerTransition,'KdPowerTransition',\
    KdRefreshDebuggerNotPresent,'KdRefreshDebuggerNotPresent',\
    KdSystemDebugControl,'KdSystemDebugControl',\
    Ke386CallBios,'Ke386CallBios',\
    Ke386IoSetAccessProcess,'Ke386IoSetAccessProcess',\
    Ke386QueryIoAccessMap,'Ke386QueryIoAccessMap',\
    Ke386SetIoAccessMap,'Ke386SetIoAccessMap',\
    KeAcquireGuardedMutex,'KeAcquireGuardedMutex',\
    KeAcquireGuardedMutexUnsafe,'KeAcquireGuardedMutexUnsafe',\
    KeAcquireInStackQueuedSpinLock,'KeAcquireInStackQueuedSpinLock',\
    KeAcquireInStackQueuedSpinLockAtDpcLevel,'KeAcquireInStackQueuedSpinLockAtDpcLevel',\
    KeAcquireInStackQueuedSpinLockForDpc,'KeAcquireInStackQueuedSpinLockForDpc',\
    KeAcquireInStackQueuedSpinLockRaiseToSynch,'KeAcquireInStackQueuedSpinLockRaiseToSynch',\
    KeAcquireInterruptSpinLock,'KeAcquireInterruptSpinLock',\
    KeAcquireQueuedSpinLock,'KeAcquireQueuedSpinLock',\
    KeAcquireQueuedSpinLockRaiseToSynch,'KeAcquireQueuedSpinLockRaiseToSynch',\
    KeAcquireSpinLockAtDpcLevel,'KeAcquireSpinLockAtDpcLevel',\
    KeAcquireSpinLockForDpc,'KeAcquireSpinLockForDpc',\
    KeAcquireSpinLockRaiseToDpc,'KeAcquireSpinLockRaiseToDpc',\
    KeAcquireSpinLockRaiseToSynch,'KeAcquireSpinLockRaiseToSynch',\
    KeAddSystemServiceTable,'KeAddSystemServiceTable',\
    KeAlertThread,'KeAlertThread',\
    KeAndAffinityEx,'KeAndAffinityEx',\
    KeAreAllApcsDisabled,'KeAreAllApcsDisabled',\
    KeAreApcsDisabled,'KeAreApcsDisabled',\
    KeAttachProcess,'KeAttachProcess',\
    KeBugCheck,'KeBugCheck',\
    KeBugCheckEx,'KeBugCheckEx',\
    KeCancelTimer,'KeCancelTimer',\
    KeCapturePersistentThreadState,'KeCapturePersistentThreadState',\
    KeClearEvent,'KeClearEvent',\
    KeComplementAffinityEx,'KeComplementAffinityEx',\
    KeConnectInterrupt,'KeConnectInterrupt',\
    KeConvertAuxiliaryCounterToPerformanceCounter,'KeConvertAuxiliaryCounterToPerformanceCounter',\
    KeConvertPerformanceCounterToAuxiliaryCounter,'KeConvertPerformanceCounterToAuxiliaryCounter',\
    KeDelayExecutionThread,'KeDelayExecutionThread',\
    KeDeregisterBoundCallback,'KeDeregisterBoundCallback',\
    KeDeregisterBugCheckCallback,'KeDeregisterBugCheckCallback',\
    KeDeregisterBugCheckReasonCallback,'KeDeregisterBugCheckReasonCallback',\
    KeDeregisterNmiCallback,'KeDeregisterNmiCallback',\
    KeDeregisterProcessorChangeCallback,'KeDeregisterProcessorChangeCallback',\
    KeDetachProcess,'KeDetachProcess',\
    KeDisconnectInterrupt,'KeDisconnectInterrupt',\
    KeEnterCriticalRegion,'KeEnterCriticalRegion',\
    KeEnterGuardedRegion,'KeEnterGuardedRegion',\
    KeEnterKernelDebugger,'KeEnterKernelDebugger',\
    KeExpandKernelStackAndCallout,'KeExpandKernelStackAndCallout',\
    KeExpandKernelStackAndCalloutEx,'KeExpandKernelStackAndCalloutEx',\
    KeFindConfigurationEntry,'KeFindConfigurationEntry',\
    KeFindConfigurationNextEntry,'KeFindConfigurationNextEntry',\
    KeFindFirstSetLeftAffinityEx,'KeFindFirstSetLeftAffinityEx',\
    KeFlushEntireTb,'KeFlushEntireTb',\
    KeFlushIoBuffers,'KeFlushIoBuffers',\
    KeFlushQueuedDpcs,'KeFlushQueuedDpcs',\
    KeGenericCallDpc,'KeGenericCallDpc',\
    KeGetCurrentIrql,'KeGetCurrentIrql',\
    KeGetCurrentNodeNumber,'KeGetCurrentNodeNumber',\
    KeGetCurrentProcessorNumberEx,'KeGetCurrentProcessorNumberEx',\
    KeGetCurrentThread,'KeGetCurrentThread',\
    KeGetPreviousMode,'KeGetPreviousMode',\
    KeGetProcessorIndexFromNumber,'KeGetProcessorIndexFromNumber',\
    KeGetProcessorNumberFromIndex,'KeGetProcessorNumberFromIndex',\
    KeGetRecommendedSharedDataAlignment,'KeGetRecommendedSharedDataAlignment',\
    KeI386AbiosCall,'KeI386AbiosCall',\
    KeI386AllocateGdtSelectors,'KeI386AllocateGdtSelectors',\
    KeI386Call16BitFunction,'KeI386Call16BitFunction',\
    KeI386FlatToGdtSelector,'KeI386FlatToGdtSelector',\
    KeI386GetLid,'KeI386GetLid',\
    KeI386ReleaseGdtSelectors,'KeI386ReleaseGdtSelectors',\
    KeI386ReleaseLid,'KeI386ReleaseLid',\
    KeI386SetGdtSelector,'KeI386SetGdtSelector',\
    KeInitializeApc,'KeInitializeApc',\
    KeInitializeCrashDumpHeader,'KeInitializeCrashDumpHeader',\
    KeInitializeDeviceQueue,'KeInitializeDeviceQueue',\
    KeInitializeDpc,'KeInitializeDpc',\
    KeInitializeEnumerationContext,'KeInitializeEnumerationContext',\
    KeInitializeEvent,'KeInitializeEvent',\
    KeInitializeGuardedMutex,'KeInitializeGuardedMutex',\
    KeInitializeInterrupt,'KeInitializeInterrupt',\
    KeInitializeMutant,'KeInitializeMutant',\
    KeInitializeMutex,'KeInitializeMutex',\
    KeInitializeQueue,'KeInitializeQueue',\
    KeInitializeSemaphore,'KeInitializeSemaphore',\
    KeInitializeSpinLock,'KeInitializeSpinLock',\
    KeInitializeThreadedDpc,'KeInitializeThreadedDpc',\
    KeInitializeTimer,'KeInitializeTimer',\
    KeInitializeTimerEx,'KeInitializeTimerEx',\
    KeInsertByKeyDeviceQueue,'KeInsertByKeyDeviceQueue',\
    KeInsertDeviceQueue,'KeInsertDeviceQueue',\
    KeInsertHeadQueue,'KeInsertHeadQueue',\
    KeInsertQueue,'KeInsertQueue',\
    KeInsertQueueApc,'KeInsertQueueApc',\
    KeInsertQueueDpc,'KeInsertQueueDpc',\
    KeInterlockedSetProcessorAffinityEx,'KeInterlockedSetProcessorAffinityEx',\
    KeInvalidateAllCaches,'KeInvalidateAllCaches',\
    KeInvalidateRangeAllCaches,'KeInvalidateRangeAllCaches',\
    KeIpiGenericCall,'KeIpiGenericCall',\
    KeIsAttachedProcess,'KeIsAttachedProcess',\
    KeIsEmptyAffinityEx,'KeIsEmptyAffinityEx',\
    KeIsEqualAffinityEx,'KeIsEqualAffinityEx',\
    KeIsExecutingDpc,'KeIsExecutingDpc',\
    KeIsSubsetAffinityEx,'KeIsSubsetAffinityEx',\
    KeIsWaitListEmpty,'KeIsWaitListEmpty',\
    KeLeaveCriticalRegion,'KeLeaveCriticalRegion',\
    KeLeaveGuardedRegion,'KeLeaveGuardedRegion',\
    KeLowerIrql,'KeLowerIrql',\
    KeProfileInterrupt,'KeProfileInterrupt',\
    KeProfileInterruptWithSource,'KeProfileInterruptWithSource',\
    KePulseEvent,'KePulseEvent',\
    KeQueryActiveGroupCount,'KeQueryActiveGroupCount',\
    KeQueryActiveProcessorCount,'KeQueryActiveProcessorCount',\
    KeQueryActiveProcessorCountEx,'KeQueryActiveProcessorCountEx',\
    KeQueryActiveProcessors,'KeQueryActiveProcessors',\
    KeQueryAuxiliaryCounterFrequency,'KeQueryAuxiliaryCounterFrequency',\
    KeQueryDpcWatchdogInformation,'KeQueryDpcWatchdogInformation',\
    KeQueryGroupAffinity,'KeQueryGroupAffinity',\
    KeQueryHardwareCounterConfiguration,'KeQueryHardwareCounterConfiguration',\
    KeQueryHighestNodeNumber,'KeQueryHighestNodeNumber',\
    KeQueryInterruptTime,'KeQueryInterruptTime',\
    KeQueryInterruptTimePrecise,'KeQueryInterruptTimePrecise',\
    KeQueryLogicalProcessorRelationship,'KeQueryLogicalProcessorRelationship',\
    KeQueryMaximumGroupCount,'KeQueryMaximumGroupCount',\
    KeQueryMaximumProcessorCount,'KeQueryMaximumProcessorCount',\
    KeQueryMaximumProcessorCountEx,'KeQueryMaximumProcessorCountEx',\
    KeQueryNodeActiveAffinity,'KeQueryNodeActiveAffinity',\
    KeQueryNodeMaximumProcessorCount,'KeQueryNodeMaximumProcessorCount',\
    KeQueryPrcbAddress,'KeQueryPrcbAddress',\
    KeQueryPriorityThread,'KeQueryPriorityThread',\
    KeQueryRuntimeThread,'KeQueryRuntimeThread',\
    KeQuerySystemTime,'KeQuerySystemTime',\
    KeQuerySystemTimePrecise,'KeQuerySystemTimePrecise',\
    KeQueryTickCount,'KeQueryTickCount',\
    KeQueryTimeIncrement,'KeQueryTimeIncrement',\
    KeQueryTotalCycleTimeThread,'KeQueryTotalCycleTimeThread',\
    KeQueryUnbiasedInterruptTime,'KeQueryUnbiasedInterruptTime',\
    KeRaiseIrqlToDpcLevel,'KeRaiseIrqlToDpcLevel',\
    KeRaiseUserException,'KeRaiseUserException',\
    KeReadStateEvent,'KeReadStateEvent',\
    KeReadStateMutant,'KeReadStateMutant',\
    KeReadStateMutex,'KeReadStateMutex',\
    KeReadStateQueue,'KeReadStateQueue',\
    KeReadStateSemaphore,'KeReadStateSemaphore',\
    KeReadStateTimer,'KeReadStateTimer',\
    KeRegisterBoundCallback,'KeRegisterBoundCallback',\
    KeRegisterBugCheckCallback,'KeRegisterBugCheckCallback',\
    KeRegisterBugCheckReasonCallback,'KeRegisterBugCheckReasonCallback',\
    KeRegisterNmiCallback,'KeRegisterNmiCallback',\
    KeRegisterProcessorChangeCallback,'KeRegisterProcessorChangeCallback',\
    KeReleaseGuardedMutex,'KeReleaseGuardedMutex',\
    KeReleaseGuardedMutexUnsafe,'KeReleaseGuardedMutexUnsafe',\
    KeReleaseInStackQueuedSpinLock,'KeReleaseInStackQueuedSpinLock',\
    KeReleaseInStackQueuedSpinLockForDpc,'KeReleaseInStackQueuedSpinLockForDpc',\
    KeReleaseInStackQueuedSpinLockFromDpcLevel,'KeReleaseInStackQueuedSpinLockFromDpcLevel',\
    KeReleaseInterruptSpinLock,'KeReleaseInterruptSpinLock',\
    KeReleaseMutant,'KeReleaseMutant',\
    KeReleaseMutex,'KeReleaseMutex',\
    KeReleaseQueuedSpinLock,'KeReleaseQueuedSpinLock',\
    KeReleaseSemaphore,'KeReleaseSemaphore',\
    KeReleaseSpinLock,'KeReleaseSpinLock',\
    KeReleaseSpinLockForDpc,'KeReleaseSpinLockForDpc',\
    KeReleaseSpinLockFromDpcLevel,'KeReleaseSpinLockFromDpcLevel',\
    KeRemoveByKeyDeviceQueue,'KeRemoveByKeyDeviceQueue',\
    KeRemoveByKeyDeviceQueueIfBusy,'KeRemoveByKeyDeviceQueueIfBusy',\
    KeRemoveDeviceQueue,'KeRemoveDeviceQueue',\
    KeRemoveEntryDeviceQueue,'KeRemoveEntryDeviceQueue',\
    KeRemoveQueue,'KeRemoveQueue',\
    KeRemoveQueueDpc,'KeRemoveQueueDpc',\
    KeRemoveQueueEx,'KeRemoveQueueEx',\
    KeRemoveSystemServiceTable,'KeRemoveSystemServiceTable',\
    KeResetEvent,'KeResetEvent',\
    KeRestoreExtendedProcessorState,'KeRestoreExtendedProcessorState',\
    KeRestoreFloatingPointState,'KeRestoreFloatingPointState',\
    KeRevertToUserAffinityThreadEx,'KeRevertToUserAffinityThreadEx',\
    KeRevertToUserGroupAffinityThread,'KeRevertToUserGroupAffinityThread',\
    KeRundownQueue,'KeRundownQueue',\
    KeSaveExtendedProcessorState,'KeSaveExtendedProcessorState',\
    KeSaveFloatingPointState,'KeSaveFloatingPointState',\
    KeSaveStateForHibernate,'KeSaveStateForHibernate',\
    KeSetAffinityThread,'KeSetAffinityThread',\
    KeSetBasePriorityThread,'KeSetBasePriorityThread',\
    KeSetCoalescableTimer,'KeSetCoalescableTimer',\
    KeSetDmaIoCoherency,'KeSetDmaIoCoherency',\
    KeSetEvent,'KeSetEvent',\
    KeSetEventBoostPriority,'KeSetEventBoostPriority',\
    KeSetHardwareCounterConfiguration,'KeSetHardwareCounterConfiguration',\
    KeSetIdealProcessorThread,'KeSetIdealProcessorThread',\
    KeSetImportanceDpc,'KeSetImportanceDpc',\
    KeSetKernelStackSwapEnable,'KeSetKernelStackSwapEnable',\
    KeSetPriorityThread,'KeSetPriorityThread',\
    KeSetProfileIrql,'KeSetProfileIrql',\
    KeSetSystemAffinityThread,'KeSetSystemAffinityThread',\
    KeSetSystemAffinityThreadEx,'KeSetSystemAffinityThreadEx',\
    KeSetSystemGroupAffinityThread,'KeSetSystemGroupAffinityThread',\
    KeSetTargetProcessorDpc,'KeSetTargetProcessorDpc',\
    KeSetTargetProcessorDpcEx,'KeSetTargetProcessorDpcEx',\
    KeSetTimeIncrement,'KeSetTimeIncrement',\
    KeSetTimer,'KeSetTimer',\
    KeSetTimerEx,'KeSetTimerEx',\
    KeShouldYieldProcessor,'KeShouldYieldProcessor',\
    KeStackAttachProcess,'KeStackAttachProcess',\
    KeSynchronizeExecution,'KeSynchronizeExecution',\
    KeTerminateThread,'KeTerminateThread',\
    KeTestAlertThread,'KeTestAlertThread',\
    KeTestSpinLock,'KeTestSpinLock',\
    KeTryToAcquireGuardedMutex,'KeTryToAcquireGuardedMutex',\
    KeTryToAcquireQueuedSpinLock,'KeTryToAcquireQueuedSpinLock',\
    KeTryToAcquireQueuedSpinLockRaiseToSynch,'KeTryToAcquireQueuedSpinLockRaiseToSynch',\
    KeTryToAcquireSpinLockAtDpcLevel,'KeTryToAcquireSpinLockAtDpcLevel',\
    KeUnstackDetachProcess,'KeUnstackDetachProcess',\
    KeUpdateRunTime,'KeUpdateRunTime',\
    KeUserModeCallback,'KeUserModeCallback',\
    KeWaitForMultipleObjects,'KeWaitForMultipleObjects',\
    KeWaitForMutexObject,'KeWaitForMutexObject',\
    KeWaitForSingleObject,'KeWaitForSingleObject',\
    KiCheckForKernelApcDelivery,'KiCheckForKernelApcDelivery',\
    KiCoprocessorError,'KiCoprocessorError',\
    KiDeliverApc,'KiDeliverApc',\
    KiIpiServiceRoutine,'KiIpiServiceRoutine',\
    LdrAccessResource,'LdrAccessResource',\
    LdrEnumResources,'LdrEnumResources',\
    LdrFindResource_U,'LdrFindResource_U',\
    LdrFindResourceDirectory_U,'LdrFindResourceDirectory_U',\
    longjmp,'longjmp',\
    LpcRequestPort,'LpcRequestPort',\
    LpcRequestWaitReplyPort,'LpcRequestWaitReplyPort',\
    LpcRequestWaitReplyPortEx,'LpcRequestWaitReplyPortEx',\
    LsaCallAuthenticationPackage,'LsaCallAuthenticationPackage',\
    LsaDeregisterLogonProcess,'LsaDeregisterLogonProcess',\
    LsaFreeReturnBuffer,'LsaFreeReturnBuffer',\
    LsaLogonUser,'LsaLogonUser',\
    LsaLookupAuthenticationPackage,'LsaLookupAuthenticationPackage',\
    LsaRegisterLogonProcess,'LsaRegisterLogonProcess',\
    mbstowcs,'mbstowcs',\
    mbtowc,'mbtowc',\
    memchr,'memchr',\
    memcmp,'memcmp',\
    memcpy,'memcpy',\
    memcpy_s,'memcpy_s',\
    memmove,'memmove',\
    memmove_s,'memmove_s',\
    memset,'memset',\
    MmAddPhysicalMemory,'MmAddPhysicalMemory',\
    MmAddVerifierThunks,'MmAddVerifierThunks',\
    MmAdjustWorkingSetSize,'MmAdjustWorkingSetSize',\
    MmAdvanceMdl,'MmAdvanceMdl',\
    MmAllocateContiguousMemory,'MmAllocateContiguousMemory',\
    MmAllocateContiguousMemorySpecifyCache,'MmAllocateContiguousMemorySpecifyCache',\
    MmAllocateContiguousMemorySpecifyCacheNode,'MmAllocateContiguousMemorySpecifyCacheNode',\
    MmAllocateContiguousNodeMemory,'MmAllocateContiguousNodeMemory',\
    MmAllocateMappingAddress,'MmAllocateMappingAddress',\
    MmAllocateMdlForIoSpace,'MmAllocateMdlForIoSpace',\
    MmAllocateNodePagesForMdlEx,'MmAllocateNodePagesForMdlEx',\
    MmAllocateNonCachedMemory,'MmAllocateNonCachedMemory',\
    MmAllocatePagesForMdl,'MmAllocatePagesForMdl',\
    MmAllocatePagesForMdlEx,'MmAllocatePagesForMdlEx',\
    MmBuildMdlForNonPagedPool,'MmBuildMdlForNonPagedPool',\
    MmCanFileBeTruncated,'MmCanFileBeTruncated',\
    MmCommitSessionMappedView,'MmCommitSessionMappedView',\
    MmCopyMemory,'MmCopyMemory',\
    MmCopyVirtualMemory,'MmCopyVirtualMemory',\
    MmCreateMdl,'MmCreateMdl',\
    MmCreateMirror,'MmCreateMirror',\
    MmCreateSection,'MmCreateSection',\
    MmDisableModifiedWriteOfSection,'MmDisableModifiedWriteOfSection',\
    MmDoesFileHaveUserWritableReferences,'MmDoesFileHaveUserWritableReferences',\
    MmFlushImageSection,'MmFlushImageSection',\
    MmForceSectionClosed,'MmForceSectionClosed',\
    MmFreeContiguousMemory,'MmFreeContiguousMemory',\
    MmFreeContiguousMemorySpecifyCache,'MmFreeContiguousMemorySpecifyCache',\
    MmFreeMappingAddress,'MmFreeMappingAddress',\
    MmFreeNonCachedMemory,'MmFreeNonCachedMemory',\
    MmFreePagesFromMdl,'MmFreePagesFromMdl',\
    MmGetMaximumFileSectionSize,'MmGetMaximumFileSectionSize',\
    MmGetPhysicalAddress,'MmGetPhysicalAddress',\
    MmGetPhysicalMemoryRanges,'MmGetPhysicalMemoryRanges',\
    MmGetSystemRoutineAddress,'MmGetSystemRoutineAddress',\
    MmGetVirtualForPhysical,'MmGetVirtualForPhysical',\
    MmGrowKernelStack,'MmGrowKernelStack',\
    MmIsAddressValid,'MmIsAddressValid',\
    MmIsDriverSuspectForVerifier,'MmIsDriverSuspectForVerifier',\
    MmIsDriverVerifying,'MmIsDriverVerifying',\
    MmIsDriverVerifyingByAddress,'MmIsDriverVerifyingByAddress',\
    MmIsIoSpaceActive,'MmIsIoSpaceActive',\
    MmIsNonPagedSystemAddressValid,'MmIsNonPagedSystemAddressValid',\
    MmIsRecursiveIoFault,'MmIsRecursiveIoFault',\
    MmIsThisAnNtAsSystem,'MmIsThisAnNtAsSystem',\
    MmIsVerifierEnabled,'MmIsVerifierEnabled',\
    MmLoadSystemImage,'MmLoadSystemImage',\
    MmLockPagableDataSection,'MmLockPagableDataSection',\
    MmLockPagableImageSection,'MmLockPagableImageSection',\
    MmLockPagableSectionByHandle,'MmLockPagableSectionByHandle',\
    MmMapIoSpace,'MmMapIoSpace',\
    MmMapIoSpaceEx,'MmMapIoSpaceEx',\
    MmMapLockedPages,'MmMapLockedPages',\
    MmMapLockedPagesSpecifyCache,'MmMapLockedPagesSpecifyCache',\
    MmMapLockedPagesWithReservedMapping,'MmMapLockedPagesWithReservedMapping',\
    MmMapMemoryDumpMdl,'MmMapMemoryDumpMdl',\
    MmMapUserAddressesToPage,'MmMapUserAddressesToPage',\
    MmMapVideoDisplay,'MmMapVideoDisplay',\
    MmMapViewInSessionSpace,'MmMapViewInSessionSpace',\
    MmMapViewInSystemSpace,'MmMapViewInSystemSpace',\
    MmMapViewOfSection,'MmMapViewOfSection',\
    MmMarkPhysicalMemoryAsBad,'MmMarkPhysicalMemoryAsBad',\
    MmMarkPhysicalMemoryAsGood,'MmMarkPhysicalMemoryAsGood',\
    MmMdlPagesAreZero,'MmMdlPagesAreZero',\
    MmPageEntireDriver,'MmPageEntireDriver',\
    MmPrefetchPages,'MmPrefetchPages',\
    MmProbeAndLockPages,'MmProbeAndLockPages',\
    MmProbeAndLockProcessPages,'MmProbeAndLockProcessPages',\
    MmProbeAndLockSelectedPages,'MmProbeAndLockSelectedPages',\
    MmProtectMdlSystemAddress,'MmProtectMdlSystemAddress',\
    MmQuerySystemSize,'MmQuerySystemSize',\
    MmRemovePhysicalMemory,'MmRemovePhysicalMemory',\
    MmResetDriverPaging,'MmResetDriverPaging',\
    MmRotatePhysicalView,'MmRotatePhysicalView',\
    MmSecureVirtualMemory,'MmSecureVirtualMemory',\
    MmSetAddressRangeModified,'MmSetAddressRangeModified',\
    MmSetBankedSection,'MmSetBankedSection',\
    MmSizeOfMdl,'MmSizeOfMdl',\
    MmTrimAllSystemPagableMemory,'MmTrimAllSystemPagableMemory',\
    MmUnloadSystemImage,'MmUnloadSystemImage',\
    MmUnlockPagableImageSection,'MmUnlockPagableImageSection',\
    MmUnlockPages,'MmUnlockPages',\
    MmUnmapIoSpace,'MmUnmapIoSpace',\
    MmUnmapLockedPages,'MmUnmapLockedPages',\
    MmUnmapReservedMapping,'MmUnmapReservedMapping',\
    MmUnmapVideoDisplay,'MmUnmapVideoDisplay',\
    MmUnmapViewInSessionSpace,'MmUnmapViewInSessionSpace',\
    MmUnmapViewInSystemSpace,'MmUnmapViewInSystemSpace',\
    MmUnmapViewOfSection,'MmUnmapViewOfSection',\
    MmUnsecureVirtualMemory,'MmUnsecureVirtualMemory',\
    NlsOemLeadByteInfo,'NlsOemLeadByteInfo',\
    NtAddAtom,'NtAddAtom',\
    NtAdjustPrivilegesToken,'NtAdjustPrivilegesToken',\
    NtAllocateLocallyUniqueId,'NtAllocateLocallyUniqueId',\
    NtAllocateUuids,'NtAllocateUuids',\
    NtAllocateVirtualMemory,'NtAllocateVirtualMemory',\
    NtClose,'NtClose',\
    NtCommitComplete,'NtCommitComplete',\
    NtCommitEnlistment,'NtCommitEnlistment',\
    NtCommitTransaction,'NtCommitTransaction',\
    NtConnectPort,'NtConnectPort',\
    NtCreateEnlistment,'NtCreateEnlistment',\
    NtCreateEvent,'NtCreateEvent',\
    NtCreateFile,'NtCreateFile',\
    NtCreateResourceManager,'NtCreateResourceManager',\
    NtCreateSection,'NtCreateSection',\
    NtCreateTransaction,'NtCreateTransaction',\
    NtCreateTransactionManager,'NtCreateTransactionManager',\
    NtDeleteAtom,'NtDeleteAtom',\
    NtDeleteFile,'NtDeleteFile',\
    NtDeviceIoControlFile,'NtDeviceIoControlFile',\
    NtDuplicateObject,'NtDuplicateObject',\
    NtDuplicateToken,'NtDuplicateToken',\
    NtEnumerateTransactionObject,'NtEnumerateTransactionObject',\
    NtFindAtom,'NtFindAtom',\
    NtFreeVirtualMemory,'NtFreeVirtualMemory',\
    NtFreezeTransactions,'NtFreezeTransactions',\
    NtFsControlFile,'NtFsControlFile',\
    NtGetNotificationResourceManager,'NtGetNotificationResourceManager',\
    NtLockFile,'NtLockFile',\
    NtMakePermanentObject,'NtMakePermanentObject',\
    NtMapViewOfSection,'NtMapViewOfSection',\
    NtNotifyChangeDirectoryFile,'NtNotifyChangeDirectoryFile',\
    NtOpenEnlistment,'NtOpenEnlistment',\
    NtOpenFile,'NtOpenFile',\
    NtOpenProcess,'NtOpenProcess',\
    NtOpenProcessToken,'NtOpenProcessToken',\
    NtOpenProcessTokenEx,'NtOpenProcessTokenEx',\
    NtOpenResourceManager,'NtOpenResourceManager',\
    NtOpenThread,'NtOpenThread',\
    NtOpenThreadToken,'NtOpenThreadToken',\
    NtOpenThreadTokenEx,'NtOpenThreadTokenEx',\
    NtOpenTransaction,'NtOpenTransaction',\
    NtOpenTransactionManager,'NtOpenTransactionManager',\
    NtPrepareComplete,'NtPrepareComplete',\
    NtPrepareEnlistment,'NtPrepareEnlistment',\
    NtPrePrepareComplete,'NtPrePrepareComplete',\
    NtPrePrepareEnlistment,'NtPrePrepareEnlistment',\
    NtPropagationComplete,'NtPropagationComplete',\
    NtPropagationFailed,'NtPropagationFailed',\
    NtQueryDirectoryFile,'NtQueryDirectoryFile',\
    NtQueryEaFile,'NtQueryEaFile',\
    NtQueryInformationAtom,'NtQueryInformationAtom',\
    NtQueryInformationEnlistment,'NtQueryInformationEnlistment',\
    NtQueryInformationFile,'NtQueryInformationFile',\
    NtQueryInformationProcess,'NtQueryInformationProcess',\
    NtQueryInformationResourceManager,'NtQueryInformationResourceManager',\
    NtQueryInformationThread,'NtQueryInformationThread',\
    NtQueryInformationToken,'NtQueryInformationToken',\
    NtQueryInformationTransaction,'NtQueryInformationTransaction',\
    NtQueryInformationTransactionManager,'NtQueryInformationTransactionManager',\
    NtQueryQuotaInformationFile,'NtQueryQuotaInformationFile',\
    NtQuerySecurityAttributesToken,'NtQuerySecurityAttributesToken',\
    NtQuerySecurityObject,'NtQuerySecurityObject',\
    NtQuerySystemInformation,'NtQuerySystemInformation',\
    NtQuerySystemInformationEx,'NtQuerySystemInformationEx',\
    NtQueryVolumeInformationFile,'NtQueryVolumeInformationFile',\
    NtReadFile,'NtReadFile',\
    NtReadOnlyEnlistment,'NtReadOnlyEnlistment',\
    NtRecoverEnlistment,'NtRecoverEnlistment',\
    NtRecoverResourceManager,'NtRecoverResourceManager',\
    NtRecoverTransactionManager,'NtRecoverTransactionManager',\
    NtRequestPort,'NtRequestPort',\
    NtRequestWaitReplyPort,'NtRequestWaitReplyPort',\
    NtRollbackComplete,'NtRollbackComplete',\
    NtRollbackEnlistment,'NtRollbackEnlistment',\
    NtRollbackTransaction,'NtRollbackTransaction',\
    NtSetEaFile,'NtSetEaFile',\
    NtSetEvent,'NtSetEvent',\
    NtSetInformationEnlistment,'NtSetInformationEnlistment',\
    NtSetInformationFile,'NtSetInformationFile',\
    NtSetInformationProcess,'NtSetInformationProcess',\
    NtSetInformationResourceManager,'NtSetInformationResourceManager',\
    NtSetInformationThread,'NtSetInformationThread',\
    NtSetInformationToken,'NtSetInformationToken',\
    NtSetInformationTransaction,'NtSetInformationTransaction',\
    NtSetQuotaInformationFile,'NtSetQuotaInformationFile',\
    NtSetSecurityObject,'NtSetSecurityObject',\
    NtSetVolumeInformationFile,'NtSetVolumeInformationFile',\
    NtShutdownSystem,'NtShutdownSystem',\
    NtThawTransactions,'NtThawTransactions',\
    NtTraceControl,'NtTraceControl',\
    NtTraceEvent,'NtTraceEvent',\
    NtUnlockFile,'NtUnlockFile',\
    NtVdmControl,'NtVdmControl',\
    NtWaitForSingleObject,'NtWaitForSingleObject',\
    NtWriteFile,'NtWriteFile',\
    ObAssignSecurity,'ObAssignSecurity',\
    ObCheckCreateObjectAccess,'ObCheckCreateObjectAccess',\
    ObCheckObjectAccess,'ObCheckObjectAccess',\
    ObCloseHandle,'ObCloseHandle',\
    ObCreateObject,'ObCreateObject',\
    ObCreateObjectType,'ObCreateObjectType',\
    ObDeleteCapturedInsertInfo,'ObDeleteCapturedInsertInfo',\
    ObDereferenceObject,'ObDereferenceObject',\
    ObDereferenceObjectDeferDelete,'ObDereferenceObjectDeferDelete',\
    ObDereferenceObjectDeferDeleteWithTag,'ObDereferenceObjectDeferDeleteWithTag',\
    ObDereferenceSecurityDescriptor,'ObDereferenceSecurityDescriptor',\
    ObDuplicateObject,'ObDuplicateObject',\
    ObfDereferenceObject,'ObfDereferenceObject',\
    ObFindHandleForObject,'ObFindHandleForObject',\
    ObfReferenceObject,'ObfReferenceObject',\
    ObfReferenceObjectWithTag,'ObfReferenceObjectWithTag',\
    ObGetFilterVersion,'ObGetFilterVersion',\
    ObGetObjectSecurity,'ObGetObjectSecurity',\
    ObInsertObject,'ObInsertObject',\
    ObIsDosDeviceLocallyMapped,'ObIsDosDeviceLocallyMapped',\
    ObIsKernelHandle,'ObIsKernelHandle',\
    ObLogSecurityDescriptor,'ObLogSecurityDescriptor',\
    ObMakeTemporaryObject,'ObMakeTemporaryObject',\
    ObOpenObjectByName,'ObOpenObjectByName',\
    ObOpenObjectByPointer,'ObOpenObjectByPointer',\
    ObOpenObjectByPointerWithTag,'ObOpenObjectByPointerWithTag',\
    ObQueryNameInfo,'ObQueryNameInfo',\
    ObQueryNameString,'ObQueryNameString',\
    ObQueryObjectAuditingByHandle,'ObQueryObjectAuditingByHandle',\
    ObReferenceObjectByHandle,'ObReferenceObjectByHandle',\
    ObReferenceObjectByHandleWithTag,'ObReferenceObjectByHandleWithTag',\
    ObReferenceObjectByName,'ObReferenceObjectByName',\
    ObReferenceObjectByPointer,'ObReferenceObjectByPointer',\
    ObReferenceObjectByPointerWithTag,'ObReferenceObjectByPointerWithTag',\
    ObReferenceObjectSafe,'ObReferenceObjectSafe',\
    ObReferenceSecurityDescriptor,'ObReferenceSecurityDescriptor',\
    ObRegisterCallbacks,'ObRegisterCallbacks',\
    ObReleaseObjectSecurity,'ObReleaseObjectSecurity',\
    ObSetHandleAttributes,'ObSetHandleAttributes',\
    ObSetSecurityDescriptorInfo,'ObSetSecurityDescriptorInfo',\
    ObSetSecurityObjectByPointer,'ObSetSecurityObjectByPointer',\
    ObUnRegisterCallbacks,'ObUnRegisterCallbacks',\
    ObWaitForSingleObject,'ObWaitForSingleObject',\
    PcwAddInstance,'PcwAddInstance',\
    PcwCloseInstance,'PcwCloseInstance',\
    PcwCreateInstance,'PcwCreateInstance',\
    PcwRegister,'PcwRegister',\
    PcwUnregister,'PcwUnregister',\
    PfxFindPrefix,'PfxFindPrefix',\
    PfxInitialize,'PfxInitialize',\
    PfxInsertPrefix,'PfxInsertPrefix',\
    PfxRemovePrefix,'PfxRemovePrefix',\
    PoCallDriver,'PoCallDriver',\
    PoCancelDeviceNotify,'PoCancelDeviceNotify',\
    PoClearPowerRequest,'PoClearPowerRequest',\
    PoCreatePowerRequest,'PoCreatePowerRequest',\
    PoCreateThermalRequest,'PoCreateThermalRequest',\
    PoDeletePowerRequest,'PoDeletePowerRequest',\
    PoDeleteThermalRequest,'PoDeleteThermalRequest',\
    PoEndDeviceBusy,'PoEndDeviceBusy',\
    PoFxActivateComponent,'PoFxActivateComponent',\
    PoFxCompleteDevicePowerNotRequired,'PoFxCompleteDevicePowerNotRequired',\
    PoFxCompleteIdleCondition,'PoFxCompleteIdleCondition',\
    PoFxCompleteIdleState,'PoFxCompleteIdleState',\
    PoFxIdleComponent,'PoFxIdleComponent',\
    PoFxIssueComponentPerfStateChange,'PoFxIssueComponentPerfStateChange',\
    PoFxIssueComponentPerfStateChangeMultiple,'PoFxIssueComponentPerfStateChangeMultiple',\
    PoFxNotifySurprisePowerOn,'PoFxNotifySurprisePowerOn',\
    PoFxPowerControl,'PoFxPowerControl',\
    PoFxPowerOnCrashdumpDevice,'PoFxPowerOnCrashdumpDevice',\
    PoFxQueryCurrentComponentPerfState,'PoFxQueryCurrentComponentPerfState',\
    PoFxRegisterComponentPerfStates,'PoFxRegisterComponentPerfStates',\
    PoFxRegisterCrashdumpDevice,'PoFxRegisterCrashdumpDevice',\
    PoFxRegisterDevice,'PoFxRegisterDevice',\
    PoFxReportDevicePoweredOn,'PoFxReportDevicePoweredOn',\
    PoFxSetComponentLatency,'PoFxSetComponentLatency',\
    PoFxSetComponentResidency,'PoFxSetComponentResidency',\
    PoFxSetComponentWake,'PoFxSetComponentWake',\
    PoFxSetDeviceIdleTimeout,'PoFxSetDeviceIdleTimeout',\
    PoFxStartDevicePowerManagement,'PoFxStartDevicePowerManagement',\
    PoFxUnregisterDevice,'PoFxUnregisterDevice',\
    PoGetSystemWake,'PoGetSystemWake',\
    PoGetThermalRequestSupport,'PoGetThermalRequestSupport',\
    PoQueryWatchdogTime,'PoQueryWatchdogTime',\
    PoRegisterDeviceForIdleDetection,'PoRegisterDeviceForIdleDetection',\
    PoRegisterDeviceNotify,'PoRegisterDeviceNotify',\
    PoRegisterPowerSettingCallback,'PoRegisterPowerSettingCallback',\
    PoRegisterSystemState,'PoRegisterSystemState',\
    PoRequestPowerIrp,'PoRequestPowerIrp',\
    PoRequestShutdownEvent,'PoRequestShutdownEvent',\
    PoSetDeviceBusyEx,'PoSetDeviceBusyEx',\
    PoSetHiberRange,'PoSetHiberRange',\
    PoSetPowerRequest,'PoSetPowerRequest',\
    PoSetPowerState,'PoSetPowerState',\
    PoSetSystemState,'PoSetSystemState',\
    PoSetSystemWake,'PoSetSystemWake',\
    PoSetThermalActiveCooling,'PoSetThermalActiveCooling',\
    PoSetThermalPassiveCooling,'PoSetThermalPassiveCooling',\
    PoShutdownBugCheck,'PoShutdownBugCheck',\
    PoStartDeviceBusy,'PoStartDeviceBusy',\
    PoStartNextPowerIrp,'PoStartNextPowerIrp',\
    PoUnregisterPowerSettingCallback,'PoUnregisterPowerSettingCallback',\
    PoUnregisterSystemState,'PoUnregisterSystemState',\
    ProbeForRead,'ProbeForRead',\
    ProbeForWrite,'ProbeForWrite',\
    PsAcquireProcessExitSynchronization,'PsAcquireProcessExitSynchronization',\
    PsAllocateMonitorContextServerSilo,'PsAllocateMonitorContextServerSilo',\
    PsAssignImpersonationToken,'PsAssignImpersonationToken',\
    PsAttachSiloToCurrentThread,'PsAttachSiloToCurrentThread',\
    PsChargePoolQuota,'PsChargePoolQuota',\
    PsChargeProcessNonPagedPoolQuota,'PsChargeProcessNonPagedPoolQuota',\
    PsChargeProcessPagedPoolQuota,'PsChargeProcessPagedPoolQuota',\
    PsChargeProcessPoolQuota,'PsChargeProcessPoolQuota',\
    PsCreateSystemProcess,'PsCreateSystemProcess',\
    PsCreateSystemThread,'PsCreateSystemThread',\
    PsCreateSystemThreadEx,'PsCreateSystemThreadEx',\
    PsDeleteMonitorContextServerSilo,'PsDeleteMonitorContextServerSilo',\
    PsDeleteMonitorContextServerSilo,'PsDeleteMonitorContextServerSilo',\
    PsDereferenceImpersonationToken,'PsDereferenceImpersonationToken',\
    PsDereferenceMonitorContextServerSilo,'PsDereferenceMonitorContextServerSilo',\
    PsDereferenceMonitorContextServerSilo,'PsDereferenceMonitorContextServerSilo',\
    PsDereferencePrimaryToken,'PsDereferencePrimaryToken',\
    PsDetachSiloFromCurrentThread,'PsDetachSiloFromCurrentThread',\
    PsDetachSiloFromCurrentThread,'PsDetachSiloFromCurrentThread',\
    PsDisableImpersonation,'PsDisableImpersonation',\
    PsEqualCurrentServerSilo,'PsEqualCurrentServerSilo',\
    PsEqualCurrentSilo,'PsEqualCurrentSilo',\
    PsEstablishWin32Callouts,'PsEstablishWin32Callouts',\
    PsGetContextThread,'PsGetContextThread',\
    PsGetCurrentProcess,'PsGetCurrentProcess',\
    PsGetCurrentProcessId,'PsGetCurrentProcessId',\
    PsGetCurrentProcessSessionId,'PsGetCurrentProcessSessionId',\
    PsGetCurrentProcessWin32Process,'PsGetCurrentProcessWin32Process',\
    PsGetCurrentServerSilo,'PsGetCurrentServerSilo',\
    PsGetCurrentServerSiloName,'PsGetCurrentServerSiloName',\
    PsGetCurrentSilo,'PsGetCurrentSilo',\
    PsGetCurrentSiloObject,'PsGetCurrentSiloObject',\
    PsGetCurrentThread,'PsGetCurrentThread',\
    PsGetCurrentThreadId,'PsGetCurrentThreadId',\
    PsGetCurrentThreadPreviousMode,'PsGetCurrentThreadPreviousMode',\
    PsGetCurrentThreadProcess,'PsGetCurrentThreadProcess',\
    PsGetCurrentThreadProcessId,'PsGetCurrentThreadProcessId',\
    PsGetCurrentThreadStackBase,'PsGetCurrentThreadStackBase',\
    PsGetCurrentThreadStackLimit,'PsGetCurrentThreadStackLimit',\
    PsGetCurrentThreadTeb,'PsGetCurrentThreadTeb',\
    PsGetCurrentThreadWin32Thread,'PsGetCurrentThreadWin32Thread',\
    PsGetJobLock,'PsGetJobLock',\
    PsGetJobServerSilo,'PsGetJobServerSilo',\
    PsGetJobSessionId,'PsGetJobSessionId',\
    PsGetJobUIRestrictionsClass,'PsGetJobUIRestrictionsClass',\
    PsGetMonitorContextServerSilo,'PsGetMonitorContextServerSilo',\
    PsGetProcessCreateTimeQuadPart,'PsGetProcessCreateTimeQuadPart',\
    PsGetProcessDebugPort,'PsGetProcessDebugPort',\
    PsGetProcessExitProcessCalled,'PsGetProcessExitProcessCalled',\
    PsGetProcessExitStatus,'PsGetProcessExitStatus',\
    PsGetProcessExitTime,'PsGetProcessExitTime',\
    PsGetProcessId,'PsGetProcessId',\
    PsGetProcessImageFileName,'PsGetProcessImageFileName',\
    PsGetProcessInheritedFromUniqueProcessId,'PsGetProcessInheritedFromUniqueProcessId',\
    PsGetProcessJob,'PsGetProcessJob',\
    PsGetProcessPeb,'PsGetProcessPeb',\
    PsGetProcessPriorityClass,'PsGetProcessPriorityClass',\
    PsGetProcessSectionBaseAddress,'PsGetProcessSectionBaseAddress',\
    PsGetProcessSecurityPort,'PsGetProcessSecurityPort',\
    PsGetProcessSessionId,'PsGetProcessSessionId',\
    PsGetProcessWin32Process,'PsGetProcessWin32Process',\
    PsGetProcessWin32WindowStation,'PsGetProcessWin32WindowStation',\
    PsGetProcessWow64Process,'PsGetProcessWow64Process',\
    PsGetServerSiloServiceSessionId,'PsGetServerSiloServiceSessionId',\
    PsGetSiloObjectFromJob,'PsGetSiloObjectFromJob',\
    PsGetThreadCreateTime,'PsGetThreadCreateTime',\
    PsGetThreadExitStatus,'PsGetThreadExitStatus',\
    PsGetThreadFreezeCount,'PsGetThreadFreezeCount',\
    PsGetThreadHardErrorsAreDisabled,'PsGetThreadHardErrorsAreDisabled',\
    PsGetThreadId,'PsGetThreadId',\
    PsGetThreadProcess,'PsGetThreadProcess',\
    PsGetThreadProcessId,'PsGetThreadProcessId',\
    PsGetThreadProperty,'PsGetThreadProperty',\
    PsGetThreadSessionId,'PsGetThreadSessionId',\
    PsGetThreadTeb,'PsGetThreadTeb',\
    PsGetThreadWin32Thread,'PsGetThreadWin32Thread',\
    PsGetVersion,'PsGetVersion',\
    PsImpersonateClient,'PsImpersonateClient',\
    PsInsertSiloObjectFromJob,'PsInsertSiloObjectFromJob',\
    PsIsCurrentThreadInServerSilo,'PsIsCurrentThreadInServerSilo',\
    PsIsCurrentThreadPrefetching,'PsIsCurrentThreadPrefetching',\
    PsIsDiskCountersEnabled,'PsIsDiskCountersEnabled',\
    PsIsHostSilo,'PsIsHostSilo',\
    PsIsProcessBeingDebugged,'PsIsProcessBeingDebugged',\
    PsIsSystemProcess,'PsIsSystemProcess',\
    PsIsSystemThread,'PsIsSystemThread',\
    PsIsThreadImpersonating,'PsIsThreadImpersonating',\
    PsIsThreadTerminating,'PsIsThreadTerminating',\
    PsLookupProcessByProcessId,'PsLookupProcessByProcessId',\
    PsLookupProcessThreadByCid,'PsLookupProcessThreadByCid',\
    PsLookupThreadByThreadId,'PsLookupThreadByThreadId',\
    PsProcessType,'PsProcessType',\
    PsQueryTotalCycleTimeProcess,'PsQueryTotalCycleTimeProcess',\
    PsReferenceImpersonationToken,'PsReferenceImpersonationToken',\
    PsReferenceMonitorContextServerSilo,'PsReferenceMonitorContextServerSilo',\
    PsReferencePrimaryToken,'PsReferencePrimaryToken',\
    PsReferenceProcessFilePointer,'PsReferenceProcessFilePointer',\
    PsRegisterMonitorServerSilo,'PsRegisterMonitorServerSilo',\
    PsRegisterPicoProvider,'PsRegisterPicoProvider',\
    PsRemoveCreateThreadNotifyRoutine,'PsRemoveCreateThreadNotifyRoutine',\
    PsRemoveLoadImageNotifyRoutine,'PsRemoveLoadImageNotifyRoutine',\
    PsRemoveSiloObjectFromJob,'PsRemoveSiloObjectFromJob',\
    PsRestoreImpersonation,'PsRestoreImpersonation',\
    PsResumeProcess,'PsResumeProcess',\
    PsReturnPoolQuota,'PsReturnPoolQuota',\
    PsReturnProcessNonPagedPoolQuota,'PsReturnProcessNonPagedPoolQuota',\
    PsReturnProcessPagedPoolQuota,'PsReturnProcessPagedPoolQuota',\
    PsRevertThreadToSelf,'PsRevertThreadToSelf',\
    PsRevertToSelf,'PsRevertToSelf',\
    PsSetContextThread,'PsSetContextThread',\
    PsSetCreateProcessNotifyRoutine,'PsSetCreateProcessNotifyRoutine',\
    PsSetCreateProcessNotifyRoutineEx,'PsSetCreateProcessNotifyRoutineEx',\
    PsSetCreateThreadNotifyRoutine,'PsSetCreateThreadNotifyRoutine',\
    PsSetCreateThreadNotifyRoutineEx,'PsSetCreateThreadNotifyRoutineEx',\
    PsSetCurrentThreadPrefetching,'PsSetCurrentThreadPrefetching',\
    PsSetJobUIRestrictionsClass,'PsSetJobUIRestrictionsClass',\
    PsSetLegoNotifyRoutine,'PsSetLegoNotifyRoutine',\
    PsSetLoadImageNotifyRoutine,'PsSetLoadImageNotifyRoutine',\
    PsSetMonitorContextServerSilo,'PsSetMonitorContextServerSilo',\
    PsSetProcessPriorityByClass,'PsSetProcessPriorityByClass',\
    PsSetProcessPriorityClass,'PsSetProcessPriorityClass',\
    PsSetProcessSecurityPort,'PsSetProcessSecurityPort',\
    PsSetProcessWin32Process,'PsSetProcessWin32Process',\
    PsSetProcessWindowStation,'PsSetProcessWindowStation',\
    PsSetThreadHardErrorsAreDisabled,'PsSetThreadHardErrorsAreDisabled',\
    PsSetThreadWin32Thread,'PsSetThreadWin32Thread',\
    PsStartMonitorServerSilo,'PsStartMonitorServerSilo',\
    PsSuspendProcess,'PsSuspendProcess',\
    PsTerminateSystemThread,'PsTerminateSystemThread',\
    PsThreadType,'PsThreadType',\
    PsUnregisterMonitorServerSilo,'PsUnregisterMonitorServerSilo',\
    PsUpdateDiskCounters,'PsUpdateDiskCounters',\
    PsWrapApcWow64Thread,'PsWrapApcWow64Thread',\
    qsort,'qsort',\
    rand,'rand',\
    READ_REGISTER_BUFFER_UCHAR,'READ_REGISTER_BUFFER_UCHAR',\
    READ_REGISTER_BUFFER_ULONG,'READ_REGISTER_BUFFER_ULONG',\
    READ_REGISTER_BUFFER_USHORT,'READ_REGISTER_BUFFER_USHORT',\
    READ_REGISTER_UCHAR,'READ_REGISTER_UCHAR',\
    READ_REGISTER_ULONG,'READ_REGISTER_ULONG',\
    READ_REGISTER_USHORT,'READ_REGISTER_USHORT',\
    RtlAbsoluteToSelfRelativeSD,'RtlAbsoluteToSelfRelativeSD',\
    RtlAddAccessAllowedAce,'RtlAddAccessAllowedAce',\
    RtlAddAccessAllowedAceEx,'RtlAddAccessAllowedAceEx',\
    RtlAddAccessDeniedAceEx,'RtlAddAccessDeniedAceEx',\
    RtlAddAccessDeniedObjectAce,'RtlAddAccessDeniedObjectAce',\
    RtlAddAce,'RtlAddAce',\
    RtlAddAtomToAtomTable,'RtlAddAtomToAtomTable',\
    RtlAddAuditAccessAceEx,'RtlAddAuditAccessAceEx',\
    RtlAddAuditAccessObjectAce,'RtlAddAuditAccessObjectAce',\
    RtlAddRange,'RtlAddRange',\
    RtlAllocateHeap,'RtlAllocateHeap',\
    RtlAnsiCharToUnicodeChar,'RtlAnsiCharToUnicodeChar',\
    RtlAnsiStringToUnicodeSize,'RtlAnsiStringToUnicodeSize',\
    RtlAnsiStringToUnicodeString,'RtlAnsiStringToUnicodeString',\
    RtlAppendAsciizToString,'RtlAppendAsciizToString',\
    RtlAppendStringToString,'RtlAppendStringToString',\
    RtlAppendUnicodeStringToString,'RtlAppendUnicodeStringToString',\
    RtlAppendUnicodeToString,'RtlAppendUnicodeToString',\
    RtlAreAllAccessesGranted,'RtlAreAllAccessesGranted',\
    RtlAreAnyAccessesGranted,'RtlAreAnyAccessesGranted',\
    RtlAreBitsClear,'RtlAreBitsClear',\
    RtlAreBitsSet,'RtlAreBitsSet',\
    RtlAssert,'RtlAssert',\
    RtlCaptureContext,'RtlCaptureContext',\
    RtlCaptureStackBackTrace,'RtlCaptureStackBackTrace',\
    RtlCharToInteger,'RtlCharToInteger',\
    RtlCheckPortableOperatingSystem,'RtlCheckPortableOperatingSystem',\
    RtlCheckRegistryKey,'RtlCheckRegistryKey',\
    RtlClearAllBits,'RtlClearAllBits',\
    RtlClearBit,'RtlClearBit',\
    RtlClearBits,'RtlClearBits',\
    RtlCmDecodeMemIoResource,'RtlCmDecodeMemIoResource',\
    RtlCmEncodeMemIoResource,'RtlCmEncodeMemIoResource',\
    RtlCompareAltitudes,'RtlCompareAltitudes',\
    RtlCompareMemory,'RtlCompareMemory',\
    RtlCompareMemoryUlong,'RtlCompareMemoryUlong',\
    RtlCompareString,'RtlCompareString',\
    RtlCompareUnicodeString,'RtlCompareUnicodeString',\
    RtlCompareUnicodeStrings,'RtlCompareUnicodeStrings',\
    RtlCompressBuffer,'RtlCompressBuffer',\
    RtlCompressChunks,'RtlCompressChunks',\
    RtlComputeCrc32,'RtlComputeCrc32',\
    RtlConvertLongToLargeInteger,'RtlConvertLongToLargeInteger',\
    RtlConvertSidToUnicodeString,'RtlConvertSidToUnicodeString',\
    RtlConvertUlongToLargeInteger,'RtlConvertUlongToLargeInteger',\
    RtlCopyLuid,'RtlCopyLuid',\
    RtlCopyLuidAndAttributesArray,'RtlCopyLuidAndAttributesArray',\
    RtlCopyMemory,'RtlCopyMemory',\
    RtlCopyRangeList,'RtlCopyRangeList',\
    RtlCopySid,'RtlCopySid',\
    RtlCopySidAndAttributesArray,'RtlCopySidAndAttributesArray',\
    RtlCopyString,'RtlCopyString',\
    RtlCopyUnicodeString,'RtlCopyUnicodeString',\
    RtlCreateAcl,'RtlCreateAcl',\
    RtlCreateAtomTable,'RtlCreateAtomTable',\
    RtlCreateHeap,'RtlCreateHeap',\
    RtlCreateRegistryKey,'RtlCreateRegistryKey',\
    RtlCreateSecurityDescriptor,'RtlCreateSecurityDescriptor',\
    RtlCreateSystemVolumeInformationFolder,'RtlCreateSystemVolumeInformationFolder',\
    RtlCreateUnicodeString,'RtlCreateUnicodeString',\
    RtlCreateUserThread,'RtlCreateUserThread',\
    RtlCultureNameToLCID,'RtlCultureNameToLCID',\
    RtlCustomCPToUnicodeN,'RtlCustomCPToUnicodeN',\
    RtlDecompressBuffer,'RtlDecompressBuffer',\
    RtlDecompressBufferEx,'RtlDecompressBufferEx',\
    RtlDecompressBufferEx2,'RtlDecompressBufferEx2',\
    RtlDecompressChunks,'RtlDecompressChunks',\
    RtlDecompressFragment,'RtlDecompressFragment',\
    RtlDecompressFragmentEx,'RtlDecompressFragmentEx',\
    RtlDelete,'RtlDelete',\
    RtlDeleteAce,'RtlDeleteAce',\
    RtlDeleteAtomFromAtomTable,'RtlDeleteAtomFromAtomTable',\
    RtlDeleteElementGenericTable,'RtlDeleteElementGenericTable',\
    RtlDeleteElementGenericTableAvl,'RtlDeleteElementGenericTableAvl',\
    RtlDeleteElementGenericTableAvlEx,'RtlDeleteElementGenericTableAvlEx',\
    RtlDeleteNoSplay,'RtlDeleteNoSplay',\
    RtlDeleteOwnersRanges,'RtlDeleteOwnersRanges',\
    RtlDeleteRange,'RtlDeleteRange',\
    RtlDeleteRegistryValue,'RtlDeleteRegistryValue',\
    RtlDescribeChunk,'RtlDescribeChunk',\
    RtlDestroyAtomTable,'RtlDestroyAtomTable',\
    RtlDestroyHeap,'RtlDestroyHeap',\
    RtlDowncaseUnicodeChar,'RtlDowncaseUnicodeChar',\
    RtlDowncaseUnicodeString,'RtlDowncaseUnicodeString',\
    RtlDuplicateUnicodeString,'RtlDuplicateUnicodeString',\
    RtlEmptyAtomTable,'RtlEmptyAtomTable',\
    RtlEndStrongEnumerationHashTable,'RtlEndStrongEnumerationHashTable',\
    RtlEnlargedIntegerMultiply,'RtlEnlargedIntegerMultiply',\
    RtlEnlargedUnsignedDivide,'RtlEnlargedUnsignedDivide',\
    RtlEnlargedUnsignedMultiply,'RtlEnlargedUnsignedMultiply',\
    RtlEnumerateGenericTable,'RtlEnumerateGenericTable',\
    RtlEnumerateGenericTableAvl,'RtlEnumerateGenericTableAvl',\
    RtlEnumerateGenericTableLikeADirectory,'RtlEnumerateGenericTableLikeADirectory',\
    RtlEnumerateGenericTableWithoutSplaying,'RtlEnumerateGenericTableWithoutSplaying',\
    RtlEnumerateGenericTableWithoutSplayingAvl,'RtlEnumerateGenericTableWithoutSplayingAvl',\
    RtlEqualLuid,'RtlEqualLuid',\
    RtlEqualSid,'RtlEqualSid',\
    RtlEqualString,'RtlEqualString',\
    RtlEqualUnicodeString,'RtlEqualUnicodeString',\
    RtlEthernetAddressToStringA,'RtlEthernetAddressToStringA',\
    RtlEthernetAddressToStringW,'RtlEthernetAddressToStringW',\
    RtlEthernetStringToAddressA,'RtlEthernetStringToAddressA',\
    RtlEthernetStringToAddressW,'RtlEthernetStringToAddressW',\
    RtlExtendedIntegerMultiply,'RtlExtendedIntegerMultiply',\
    RtlExtendedLargeIntegerDivide,'RtlExtendedLargeIntegerDivide',\
    RtlExtendedMagicDivide,'RtlExtendedMagicDivide',\
    RtlFillMemoryUlong,'RtlFillMemoryUlong',\
    RtlFindClearBits,'RtlFindClearBits',\
    RtlFindClearBitsAndSet,'RtlFindClearBitsAndSet',\
    RtlFindClearRuns,'RtlFindClearRuns',\
    RtlFindFirstRunClear,'RtlFindFirstRunClear',\
    RtlFindLastBackwardRunClear,'RtlFindLastBackwardRunClear',\
    RtlFindLeastSignificantBit,'RtlFindLeastSignificantBit',\
    RtlFindLongestRunClear,'RtlFindLongestRunClear',\
    RtlFindMessage,'RtlFindMessage',\
    RtlFindMostSignificantBit,'RtlFindMostSignificantBit',\
    RtlFindNextForwardRunClear,'RtlFindNextForwardRunClear',\
    RtlFindRange,'RtlFindRange',\
    RtlFindSetBits,'RtlFindSetBits',\
    RtlFindSetBitsAndClear,'RtlFindSetBitsAndClear',\
    RtlFindUnicodePrefix,'RtlFindUnicodePrefix',\
    RtlFirstFreeAce,'RtlFirstFreeAce',\
    RtlFormatCurrentUserKeyPath,'RtlFormatCurrentUserKeyPath',\
    RtlFormatMessage,'RtlFormatMessage',\
    RtlFreeAnsiString,'RtlFreeAnsiString',\
    RtlFreeHeap,'RtlFreeHeap',\
    RtlFreeOemString,'RtlFreeOemString',\
    RtlFreeRangeList,'RtlFreeRangeList',\
    RtlFreeUnicodeString,'RtlFreeUnicodeString',\
    RtlGenerate8dot3Name,'RtlGenerate8dot3Name',\
    RtlGetAce,'RtlGetAce',\
    RtlGetCallersAddress,'RtlGetCallersAddress',\
    RtlGetCompressionWorkSpaceSize,'RtlGetCompressionWorkSpaceSize',\
    RtlGetControlSecurityDescriptor,'RtlGetControlSecurityDescriptor',\
    RtlGetDaclSecurityDescriptor,'RtlGetDaclSecurityDescriptor',\
    RtlGetDefaultCodePage,'RtlGetDefaultCodePage',\
    RtlGetElementGenericTable,'RtlGetElementGenericTable',\
    RtlGetElementGenericTableAvl,'RtlGetElementGenericTableAvl',\
    RtlGetEnabledExtendedFeatures,'RtlGetEnabledExtendedFeatures',\
    RtlGetFirstRange,'RtlGetFirstRange',\
    RtlGetGroupSecurityDescriptor,'RtlGetGroupSecurityDescriptor',\
    RtlGetNextEntryHashTable,'RtlGetNextEntryHashTable',\
    RtlGetNextRange,'RtlGetNextRange',\
    RtlGetNtGlobalFlags,'RtlGetNtGlobalFlags',\
    RtlGetOwnerSecurityDescriptor,'RtlGetOwnerSecurityDescriptor',\
    RtlGetSaclSecurityDescriptor,'RtlGetSaclSecurityDescriptor',\
    RtlGetSetBootStatusData,'RtlGetSetBootStatusData',\
    RtlGetThreadLangIdByIndex,'RtlGetThreadLangIdByIndex',\
    RtlGetVersion,'RtlGetVersion',\
    RtlGUIDFromString,'RtlGUIDFromString',\
    RtlHashUnicodeString,'RtlHashUnicodeString',\
    RtlImageDirectoryEntryToData,'RtlImageDirectoryEntryToData',\
    RtlImageNtHeader,'RtlImageNtHeader',\
    RtlInitAnsiString,'RtlInitAnsiString',\
    RtlInitAnsiStringEx,'RtlInitAnsiStringEx',\
    RtlInitCodePageTable,'RtlInitCodePageTable',\
    RtlInitEnumerationHashTable,'RtlInitEnumerationHashTable',\
    RtlInitializeBitMap,'RtlInitializeBitMap',\
    RtlInitializeGenericTable,'RtlInitializeGenericTable',\
    RtlInitializeGenericTableAvl,'RtlInitializeGenericTableAvl',\
    RtlInitializeRangeList,'RtlInitializeRangeList',\
    RtlInitializeSid,'RtlInitializeSid',\
    RtlInitializeSidEx,'RtlInitializeSidEx',\
    RtlInitializeUnicodePrefix,'RtlInitializeUnicodePrefix',\
    RtlInitString,'RtlInitString',\
    RtlInitStringEx,'RtlInitStringEx',\
    RtlInitStrongEnumerationHashTable,'RtlInitStrongEnumerationHashTable',\
    RtlInitUnicodeString,'RtlInitUnicodeString',\
    RtlInitUnicodeStringEx,'RtlInitUnicodeStringEx',\
    RtlInitWeakEnumerationHashTable,'RtlInitWeakEnumerationHashTable',\
    RtlInsertElementGenericTable,'RtlInsertElementGenericTable',\
    RtlInsertElementGenericTableAvl,'RtlInsertElementGenericTableAvl',\
    RtlInsertElementGenericTableFull,'RtlInsertElementGenericTableFull',\
    RtlInsertElementGenericTableFullAvl,'RtlInsertElementGenericTableFullAvl',\
    RtlInsertEntryHashTable,'RtlInsertEntryHashTable',\
    RtlInsertUnicodePrefix,'RtlInsertUnicodePrefix',\
    RtlInt64ToUnicodeString,'RtlInt64ToUnicodeString',\
    RtlIntegerToChar,'RtlIntegerToChar',\
    RtlIntegerToUnicode,'RtlIntegerToUnicode',\
    RtlIntegerToUnicodeString,'RtlIntegerToUnicodeString',\
    RtlInvertRangeList,'RtlInvertRangeList',\
    RtlIoDecodeMemIoResource,'RtlIoDecodeMemIoResource',\
    RtlIoEncodeMemIoResource,'RtlIoEncodeMemIoResource',\
    RtlIpv4AddressToStringA,'RtlIpv4AddressToStringA',\
    RtlIpv4AddressToStringExA,'RtlIpv4AddressToStringExA',\
    RtlIpv4AddressToStringExW,'RtlIpv4AddressToStringExW',\
    RtlIpv4AddressToStringW,'RtlIpv4AddressToStringW',\
    RtlIpv4StringToAddressA,'RtlIpv4StringToAddressA',\
    RtlIpv4StringToAddressExA,'RtlIpv4StringToAddressExA',\
    RtlIpv4StringToAddressExW,'RtlIpv4StringToAddressExW',\
    RtlIpv4StringToAddressW,'RtlIpv4StringToAddressW',\
    RtlIpv6AddressToStringA,'RtlIpv6AddressToStringA',\
    RtlIpv6AddressToStringExA,'RtlIpv6AddressToStringExA',\
    RtlIpv6AddressToStringExW,'RtlIpv6AddressToStringExW',\
    RtlIpv6AddressToStringW,'RtlIpv6AddressToStringW',\
    RtlIpv6StringToAddressA,'RtlIpv6StringToAddressA',\
    RtlIpv6StringToAddressExA,'RtlIpv6StringToAddressExA',\
    RtlIpv6StringToAddressExW,'RtlIpv6StringToAddressExW',\
    RtlIpv6StringToAddressW,'RtlIpv6StringToAddressW',\
    RtlIsGenericTableEmpty,'RtlIsGenericTableEmpty',\
    RtlIsGenericTableEmptyAvl,'RtlIsGenericTableEmptyAvl',\
    RtlIsNameLegalDOS8Dot3,'RtlIsNameLegalDOS8Dot3',\
    RtlIsNormalizedString,'RtlIsNormalizedString',\
    RtlIsNtDdiVersionAvailable,'RtlIsNtDdiVersionAvailable',\
    RtlIsRangeAvailable,'RtlIsRangeAvailable',\
    RtlIsServicePackVersionInstalled,'RtlIsServicePackVersionInstalled',\
    RtlIsValidOemCharacter,'RtlIsValidOemCharacter',\
    RtlLargeIntegerAdd,'RtlLargeIntegerAdd',\
    RtlLargeIntegerArithmeticShift,'RtlLargeIntegerArithmeticShift',\
    RtlLargeIntegerDivide,'RtlLargeIntegerDivide',\
    RtlLargeIntegerNegate,'RtlLargeIntegerNegate',\
    RtlLargeIntegerShiftLeft,'RtlLargeIntegerShiftLeft',\
    RtlLargeIntegerShiftRight,'RtlLargeIntegerShiftRight',\
    RtlLargeIntegerSubtract,'RtlLargeIntegerSubtract',\
    RtlLargeIntegerToChar,'RtlLargeIntegerToChar',\
    RtlLengthRequiredSid,'RtlLengthRequiredSid',\
    RtlLengthSecurityDescriptor,'RtlLengthSecurityDescriptor',\
    RtlLengthSid,'RtlLengthSid',\
    RtlLocalTimeToSystemTime,'RtlLocalTimeToSystemTime',\
    RtlLockBootStatusData,'RtlLockBootStatusData',\
    RtlLookupAtomInAtomTable,'RtlLookupAtomInAtomTable',\
    RtlLookupElementGenericTable,'RtlLookupElementGenericTable',\
    RtlLookupElementGenericTableAvl,'RtlLookupElementGenericTableAvl',\
    RtlLookupElementGenericTableFull,'RtlLookupElementGenericTableFull',\
    RtlLookupElementGenericTableFullAvl,'RtlLookupElementGenericTableFullAvl',\
    RtlLookupEntryHashTable,'RtlLookupEntryHashTable',\
    RtlLookupFirstMatchingElementGenericTableAvl,'RtlLookupFirstMatchingElementGenericTableAvl',\
    RtlLookupFunctionEntry,'RtlLookupFunctionEntry',\
    RtlMapGenericMask,'RtlMapGenericMask',\
    RtlMapSecurityErrorToNtStatus,'RtlMapSecurityErrorToNtStatus',\
    RtlMergeRangeLists,'RtlMergeRangeLists',\
    RtlMoveMemory,'RtlMoveMemory',\
    RtlMultiByteToUnicodeN,'RtlMultiByteToUnicodeN',\
    RtlMultiByteToUnicodeSize,'RtlMultiByteToUnicodeSize',\
    RtlNextUnicodePrefix,'RtlNextUnicodePrefix',\
    RtlNtStatusToDosError,'RtlNtStatusToDosError',\
    RtlNtStatusToDosErrorNoTeb,'RtlNtStatusToDosErrorNoTeb',\
    RtlNumberGenericTableElements,'RtlNumberGenericTableElements',\
    RtlNumberGenericTableElementsAvl,'RtlNumberGenericTableElementsAvl',\
    RtlNumberOfClearBits,'RtlNumberOfClearBits',\
    RtlNumberOfSetBits,'RtlNumberOfSetBits',\
    RtlNumberOfSetBitsUlongPtr,'RtlNumberOfSetBitsUlongPtr',\
    RtlOemStringToCountedUnicodeString,'RtlOemStringToCountedUnicodeString',\
    RtlOemStringToUnicodeSize,'RtlOemStringToUnicodeSize',\
    RtlOemStringToUnicodeString,'RtlOemStringToUnicodeString',\
    RtlOemToUnicodeN,'RtlOemToUnicodeN',\
    RtlOpenCurrentUser,'RtlOpenCurrentUser',\
    RtlOsDeploymentState,'RtlOsDeploymentState',\
    RtlPcToFileHeader,'RtlPcToFileHeader',\
    RtlPinAtomInAtomTable,'RtlPinAtomInAtomTable',\
    RtlPrefetchMemoryNonTemporal,'RtlPrefetchMemoryNonTemporal',\
    RtlPrefixString,'RtlPrefixString',\
    RtlPrefixUnicodeString,'RtlPrefixUnicodeString',\
    RtlQueryAtomInAtomTable,'RtlQueryAtomInAtomTable',\
    RtlQueryElevationFlags,'RtlQueryElevationFlags',\
    RtlQueryInformationAcl,'RtlQueryInformationAcl',\
    RtlQueryRegistryValues,'RtlQueryRegistryValues',\
    RtlQueryTimeZoneInformation,'RtlQueryTimeZoneInformation',\
    RtlRaiseException,'RtlRaiseException',\
    RtlRandom,'RtlRandom',\
    RtlRandomEx,'RtlRandomEx',\
    RtlRbInsertNodeEx,'RtlRbInsertNodeEx',\
    RtlRbRemoveNode,'RtlRbRemoveNode',\
    RtlRealPredecessor,'RtlRealPredecessor',\
    RtlRealSuccessor,'RtlRealSuccessor',\
    RtlRemoveUnicodePrefix,'RtlRemoveUnicodePrefix',\
    RtlReserveChunk,'RtlReserveChunk',\
    RtlRestoreContext,'RtlRestoreContext',\
    RtlRunOnceBeginInitialize,'RtlRunOnceBeginInitialize',\
    RtlRunOnceComplete,'RtlRunOnceComplete',\
    RtlRunOnceExecuteOnce,'RtlRunOnceExecuteOnce',\
    RtlRunOnceInitialize,'RtlRunOnceInitialize',\
    RtlSecondsSince1970ToTime,'RtlSecondsSince1970ToTime',\
    RtlSecondsSince1980ToTime,'RtlSecondsSince1980ToTime',\
    RtlSelfRelativeToAbsoluteSD,'RtlSelfRelativeToAbsoluteSD',\
    RtlSelfRelativeToAbsoluteSD2,'RtlSelfRelativeToAbsoluteSD2',\
    RtlSetAllBits,'RtlSetAllBits',\
    RtlSetBit,'RtlSetBit',\
    RtlSetBits,'RtlSetBits',\
    RtlSetControlSecurityDescriptor,'RtlSetControlSecurityDescriptor',\
    RtlSetDaclSecurityDescriptor,'RtlSetDaclSecurityDescriptor',\
    RtlSetGroupSecurityDescriptor,'RtlSetGroupSecurityDescriptor',\
    RtlSetOwnerSecurityDescriptor,'RtlSetOwnerSecurityDescriptor',\
    RtlSetSaclSecurityDescriptor,'RtlSetSaclSecurityDescriptor',\
    RtlSetTimeZoneInformation,'RtlSetTimeZoneInformation',\
    RtlSizeHeap,'RtlSizeHeap',\
    RtlSplay,'RtlSplay',\
    RtlStringFromGUID,'RtlStringFromGUID',\
    RtlStronglyEnumerateEntryHashTable,'RtlStronglyEnumerateEntryHashTable',\
    RtlSubAuthorityCountSid,'RtlSubAuthorityCountSid',\
    RtlSubAuthoritySid,'RtlSubAuthoritySid',\
    RtlSubtreePredecessor,'RtlSubtreePredecessor',\
    RtlSubtreeSuccessor,'RtlSubtreeSuccessor',\
    RtlSuffixUnicodeString,'RtlSuffixUnicodeString',\
    RtlSystemTimeToLocalTime,'RtlSystemTimeToLocalTime',\
    RtlTestBit,'RtlTestBit',\
    RtlTimeFieldsToTime,'RtlTimeFieldsToTime',\
    RtlTimeToElapsedTimeFields,'RtlTimeToElapsedTimeFields',\
    RtlTimeToSecondsSince1970,'RtlTimeToSecondsSince1970',\
    RtlTimeToSecondsSince1980,'RtlTimeToSecondsSince1980',\
    RtlTimeToTimeFields,'RtlTimeToTimeFields',\
    RtlTraceDatabaseAdd,'RtlTraceDatabaseAdd',\
    RtlTraceDatabaseCreate,'RtlTraceDatabaseCreate',\
    RtlTraceDatabaseDestroy,'RtlTraceDatabaseDestroy',\
    RtlTraceDatabaseEnumerate,'RtlTraceDatabaseEnumerate',\
    RtlTraceDatabaseFind,'RtlTraceDatabaseFind',\
    RtlTraceDatabaseLock,'RtlTraceDatabaseLock',\
    RtlTraceDatabaseUnlock,'RtlTraceDatabaseUnlock',\
    RtlTraceDatabaseValidate,'RtlTraceDatabaseValidate',\
    RtlUnicodeStringToAnsiSize,'RtlUnicodeStringToAnsiSize',\
    RtlUnicodeStringToAnsiString,'RtlUnicodeStringToAnsiString',\
    RtlUnicodeStringToCountedOemString,'RtlUnicodeStringToCountedOemString',\
    RtlUnicodeStringToInt64,'RtlUnicodeStringToInt64',\
    RtlUnicodeStringToInteger,'RtlUnicodeStringToInteger',\
    RtlUnicodeStringToOemSize,'RtlUnicodeStringToOemSize',\
    RtlUnicodeStringToOemString,'RtlUnicodeStringToOemString',\
    RtlUnicodeToCustomCPN,'RtlUnicodeToCustomCPN',\
    RtlUnicodeToMultiByteN,'RtlUnicodeToMultiByteN',\
    RtlUnicodeToMultiByteSize,'RtlUnicodeToMultiByteSize',\
    RtlUnicodeToOemN,'RtlUnicodeToOemN',\
    RtlUnicodeToUTF8N,'RtlUnicodeToUTF8N',\
    RtlUnlockBootStatusData,'RtlUnlockBootStatusData',\
    RtlUnwindEx,'RtlUnwindEx',\
    RtlUpcaseUnicodeChar,'RtlUpcaseUnicodeChar',\
    RtlUpcaseUnicodeString,'RtlUpcaseUnicodeString',\
    RtlUpcaseUnicodeStringToAnsiString,'RtlUpcaseUnicodeStringToAnsiString',\
    RtlUpcaseUnicodeStringToCountedOemString,'RtlUpcaseUnicodeStringToCountedOemString',\
    RtlUpcaseUnicodeStringToOemString,'RtlUpcaseUnicodeStringToOemString',\
    RtlUpcaseUnicodeToCustomCPN,'RtlUpcaseUnicodeToCustomCPN',\
    RtlUpcaseUnicodeToMultiByteN,'RtlUpcaseUnicodeToMultiByteN',\
    RtlUpcaseUnicodeToOemN,'RtlUpcaseUnicodeToOemN',\
    RtlUpperChar,'RtlUpperChar',\
    RtlUpperString,'RtlUpperString',\
    RtlUTF8ToUnicodeN,'RtlUTF8ToUnicodeN',\
    RtlValidAcl,'RtlValidAcl',\
    RtlValidateUnicodeString,'RtlValidateUnicodeString',\
    RtlValidRelativeSecurityDescriptor,'RtlValidRelativeSecurityDescriptor',\
    RtlValidSecurityDescriptor,'RtlValidSecurityDescriptor',\
    RtlValidSid,'RtlValidSid',\
    RtlVerifyVersionInfo,'RtlVerifyVersionInfo',\
    RtlVirtualUnwind,'RtlVirtualUnwind',\
    RtlVolumeDeviceToDosName,'RtlVolumeDeviceToDosName',\
    RtlWalkFrameChain,'RtlWalkFrameChain',\
    RtlWriteRegistryValue,'RtlWriteRegistryValue',\
    RtlxAnsiStringToUnicodeSize,'RtlxAnsiStringToUnicodeSize',\
    RtlxOemStringToUnicodeSize,'RtlxOemStringToUnicodeSize',\
    RtlxUnicodeStringToAnsiSize,'RtlxUnicodeStringToAnsiSize',\
    RtlxUnicodeStringToOemSize,'RtlxUnicodeStringToOemSize',\
    RtlZeroHeap,'RtlZeroHeap',\
    RtlZeroMemory,'RtlZeroMemory',\
    SeAccessCheck,'SeAccessCheck',\
    SeAccessCheckEx,'SeAccessCheckEx',\
    SeAdjustAccessStateForTrustLabel,'SeAdjustAccessStateForTrustLabel',\
    SeAppendPrivileges,'SeAppendPrivileges',\
    SeAssignSecurity,'SeAssignSecurity',\
    SeAssignSecurityEx,'SeAssignSecurityEx',\
    SeAuditFipsCryptoSelftests,'SeAuditFipsCryptoSelftests',\
    SeAuditHardLinkCreation,'SeAuditHardLinkCreation',\
    SeAuditHardLinkCreationWithTransaction,'SeAuditHardLinkCreationWithTransaction',\
    SeAuditingAnyFileEventsWithContext,'SeAuditingAnyFileEventsWithContext',\
    SeAuditingFileEvents,'SeAuditingFileEvents',\
    SeAuditingFileEventsWithContext,'SeAuditingFileEventsWithContext',\
    SeAuditingFileOrGlobalEvents,'SeAuditingFileOrGlobalEvents',\
    SeAuditingHardLinkEvents,'SeAuditingHardLinkEvents',\
    SeAuditingHardLinkEventsWithContext,'SeAuditingHardLinkEventsWithContext',\
    SeAuditTransactionStateChange,'SeAuditTransactionStateChange',\
    SeCaptureSecurityDescriptor,'SeCaptureSecurityDescriptor',\
    SeCaptureSubjectContext,'SeCaptureSubjectContext',\
    SeCaptureSubjectContextEx,'SeCaptureSubjectContextEx',\
    SeCloseObjectAuditAlarm,'SeCloseObjectAuditAlarm',\
    SeComputeAutoInheritByObjectType,'SeComputeAutoInheritByObjectType',\
    SeCreateAccessState,'SeCreateAccessState',\
    SeCreateAccessStateEx,'SeCreateAccessStateEx',\
    SeCreateClientSecurity,'SeCreateClientSecurity',\
    SeCreateClientSecurityFromSubjectContext,'SeCreateClientSecurityFromSubjectContext',\
    SeDeassignSecurity,'SeDeassignSecurity',\
    SeDeleteAccessState,'SeDeleteAccessState',\
    SeDeleteObjectAuditAlarm,'SeDeleteObjectAuditAlarm',\
    SeDeleteObjectAuditAlarmWithTransaction,'SeDeleteObjectAuditAlarmWithTransaction',\
    SeExamineSacl,'SeExamineSacl',\
    SeFilterToken,'SeFilterToken',\
    SeFreePrivileges,'SeFreePrivileges',\
    SeImpersonateClient,'SeImpersonateClient',\
    SeImpersonateClientEx,'SeImpersonateClientEx',\
    SeLocateProcessImageName,'SeLocateProcessImageName',\
    SeLockSubjectContext,'SeLockSubjectContext',\
    SeMarkLogonSessionForTerminationNotification,'SeMarkLogonSessionForTerminationNotification',\
    SeMarkLogonSessionForTerminationNotificationEx,'SeMarkLogonSessionForTerminationNotificationEx',\
    SeOpenObjectAuditAlarm,'SeOpenObjectAuditAlarm',\
    SeOpenObjectForDeleteAuditAlarm,'SeOpenObjectForDeleteAuditAlarm',\
    SeOpenObjectForDeleteAuditAlarmWithTransaction,'SeOpenObjectForDeleteAuditAlarmWithTransaction',\
    SePrivilegeCheck,'SePrivilegeCheck',\
    SePrivilegeObjectAuditAlarm,'SePrivilegeObjectAuditAlarm',\
    SeQueryAuthenticationIdToken,'SeQueryAuthenticationIdToken',\
    SeQueryInformationToken,'SeQueryInformationToken',\
    SeQuerySecurityDescriptorInfo,'SeQuerySecurityDescriptorInfo',\
    SeQuerySessionIdToken,'SeQuerySessionIdToken',\
    SeQuerySessionIdTokenEx,'SeQuerySessionIdTokenEx',\
    SeRegisterLogonSessionTerminatedRoutine,'SeRegisterLogonSessionTerminatedRoutine',\
    SeRegisterLogonSessionTerminatedRoutineEx,'SeRegisterLogonSessionTerminatedRoutineEx',\
    SeReleaseSecurityDescriptor,'SeReleaseSecurityDescriptor',\
    SeReleaseSubjectContext,'SeReleaseSubjectContext',\
    SeReportSecurityEvent,'SeAuditingHardLinkEventsWithContext',\
    SeReportSecurityEventWithSubCategory,'SeReportSecurityEventWithSubCategory',\
    SeSetAccessStateGenericMapping,'SeSetAccessStateGenericMapping',\
    SeSetAuditParameter,'SeSetAuditParameter',\
    SeSetSecurityDescriptorInfo,'SeSetSecurityDescriptorInfo',\
    SeSetSecurityDescriptorInfoEx,'SeSetSecurityDescriptorInfoEx',\
    SeShouldCheckForAccessRightsFromParent,'SeShouldCheckForAccessRightsFromParent',\
    SeSinglePrivilegeCheck,'SeSinglePrivilegeCheck',\
    SeTokenImpersonationLevel,'SeTokenImpersonationLevel',\
    SeTokenIsAdmin,'SeTokenIsAdmin',\
    SeTokenIsRestricted,'SeTokenIsRestricted',\
    SeTokenIsWriteRestricted,'SeTokenIsWriteRestricted',\
    SeTokenObjectType,'SeTokenObjectType',\
    SeTokenType,'SeTokenType',\
    SeUnlockSubjectContext,'SeUnlockSubjectContext',\
    SeUnregisterLogonSessionTerminatedRoutine,'SeUnregisterLogonSessionTerminatedRoutine',\
    SeUnregisterLogonSessionTerminatedRoutineEx,'SeUnregisterLogonSessionTerminatedRoutineEx',\
    SeValidSecurityDescriptor,'SeValidSecurityDescriptor',\
    TmCommitComplete,'TmCommitComplete',\
    TmCommitEnlistment,'TmCommitEnlistment',\
    TmCommitTransaction,'TmCommitTransaction',\
    TmCreateEnlistment,'TmCreateEnlistment',\
    TmDereferenceEnlistmentKey,'TmDereferenceEnlistmentKey',\
    TmEnableCallbacks,'TmEnableCallbacks',\
    TmGetTransactionId,'TmGetTransactionId',\
    TmInitializeTransactionManager,'TmInitializeTransactionManager',\
    TmIsTransactionActive,'TmIsTransactionActive',\
    TmPrepareComplete,'TmPrepareComplete',\
    TmPrepareEnlistment,'TmPrepareEnlistment',\
    TmPrePrepareComplete,'TmPrePrepareComplete',\
    TmPrePrepareEnlistment,'TmPrePrepareEnlistment',\
    TmReadOnlyEnlistment,'TmReadOnlyEnlistment',\
    TmRecoverEnlistment,'TmRecoverEnlistment',\
    TmRecoverResourceManager,'TmRecoverResourceManager',\
    TmRecoverTransactionManager,'TmRecoverTransactionManager',\
    TmReferenceEnlistmentKey,'TmReferenceEnlistmentKey',\
    TmRenameTransactionManager,'TmRenameTransactionManager',\
    TmRequestOutcomeEnlistment,'TmRequestOutcomeEnlistment',\
    TmRollbackComplete,'TmRollbackComplete',\
    TmRollbackEnlistment,'TmRollbackEnlistment',\
    TmRollbackTransaction,'TmRollbackTransaction',\
    TmSinglePhaseReject,'TmSinglePhaseReject',\
    tolower,'tolower',\
    toupper,'toupper',\
    towlower,'towlower',\
    towupper,'towupper',\
    vDbgPrintEx,'vDbgPrintEx',\
    vDbgPrintExWithPrefix,'vDbgPrintExWithPrefix',\
    VerSetConditionMask,'VerSetConditionMask',\
    VfIsVerificationEnabled,'VfIsVerificationEnabled',\
    vsprintf,'vsprintf',\
    vsprintf_s,'vsprintf_s',\
    vswprintf_s,'vswprintf_s',\
    wcscat,'wcscat',\
    wcscat_s,'wcscat_s',\
    wcschr,'wcschr',\
    wcscmp,'wcscmp',\
    wcscpy,'wcscpy',\
    wcscpy_s,'wcscpy_s',\
    wcscspn,'wcscspn',\
    wcslen,'wcslen',\
    wcsncat,'wcsncat',\
    wcsncat_s,'wcsncat_s',\
    wcsncmp,'wcsncmp',\
    wcsncpy,'wcsncpy',\
    wcsncpy_s,'wcsncpy_s',\
    wcsnlen,'wcsnlen',\
    wcsrchr,'wcsrchr',\
    wcsspn,'wcsspn',\
    wcsstr,'wcsstr',\
    wcstombs,'wcstombs',\
    wcstoul,'wcstoul',\
    wctomb,'wctomb',\
    WheaAddErrorSource,'WheaAddErrorSource',\
    WheaRegisterInUsePageOfflineNotification,'WheaRegisterInUsePageOfflineNotification',\
    WheaUnregisterInUsePageOfflineNotification,'WheaUnregisterInUsePageOfflineNotification',\
    WmiFlushTrace,'WmiFlushTrace',\
    WmiGetClock,'WmiGetClock',\
    WmiQueryTrace,'WmiQueryTrace',\
    WmiQueryTraceInformation,'WmiQueryTraceInformation',\
    WmiStartTrace,'WmiStartTrace',\
    WmiStopTrace,'WmiStopTrace',\
    WmiTraceFastEvent,'WmiTraceFastEvent',\
    WmiTraceMessage,'WmiTraceMessage',\
    WmiTraceMessageVa,'WmiTraceMessageVa',\
    WmiUpdateTrace,'WmiUpdateTrace',\
    WRITE_REGISTER_BUFFER_UCHAR,'WRITE_REGISTER_BUFFER_UCHAR',\
    WRITE_REGISTER_BUFFER_ULONG,'WRITE_REGISTER_BUFFER_ULONG',\
    WRITE_REGISTER_BUFFER_USHORT,'WRITE_REGISTER_BUFFER_USHORT',\
    WRITE_REGISTER_UCHAR,'WRITE_REGISTER_UCHAR',\
    WRITE_REGISTER_ULONG,'WRITE_REGISTER_ULONG',\
    WRITE_REGISTER_USHORT,'WRITE_REGISTER_USHORT',\
    XIPDispatch,'XIPDispatch',\
    ZwAccessCheckAndAuditAlarm,'ZwAccessCheckAndAuditAlarm',\
    ZwAddBootEntry,'ZwAddBootEntry',\
    ZwAddDriverEntry,'ZwAddDriverEntry',\
    ZwAdjustPrivilegesToken,'ZwAdjustPrivilegesToken',\
    ZwAlertThread,'ZwAlertThread',\
    ZwAllocateLocallyUniqueId,'ZwAllocateLocallyUniqueId',\
    ZwAllocateVirtualMemory,'ZwAllocateVirtualMemory',\
    ZwAlpcAcceptConnectPort,'ZwAlpcAcceptConnectPort',\
    ZwAlpcCancelMessage,'ZwAlpcCancelMessage',\
    ZwAlpcConnectPort,'ZwAlpcConnectPort',\
    ZwAlpcCreatePort,'ZwAlpcCreatePort',\
    ZwAlpcCreatePortSection,'ZwAlpcCreatePortSection',\
    ZwAlpcCreateResourceReserve,'ZwAlpcCreateResourceReserve',\
    ZwAlpcCreateSectionView,'ZwAlpcCreateSectionView',\
    ZwAlpcCreateSecurityContext,'ZwAlpcCreateSecurityContext',\
    ZwAlpcDeletePortSection,'ZwAlpcDeletePortSection',\
    ZwAlpcDeleteResourceReserve,'ZwAlpcDeleteResourceReserve',\
    ZwAlpcDeleteSectionView,'ZwAlpcDeleteSectionView',\
    ZwAlpcDeleteSecurityContext,'ZwAlpcDeleteSecurityContext',\
    ZwAlpcDisconnectPort,'ZwAlpcDisconnectPort',\
    ZwAlpcOpenSenderThread,'ZwAlpcOpenSenderThread',\
    ZwAlpcQueryInformation,'ZwAlpcQueryInformation',\
    ZwAlpcQueryInformationMessage,'ZwAlpcQueryInformationMessage',\
    ZwAlpcSendWaitReceivePort,'ZwAlpcSendWaitReceivePort',\
    ZwAlpcSetInformation,'ZwAlpcSetInformation',\
    ZwAssignProcessToJobObject,'ZwAssignProcessToJobObject',\
    ZwAssociateWaitCompletionPacket,'ZwAssociateWaitCompletionPacket',\
    ZwCancelIoFile,'ZwCancelIoFile',\
    ZwCancelIoFileEx,'ZwCancelIoFileEx',\
    ZwCancelTimer,'ZwCancelTimer',\
    ZwClearEvent,'ZwClearEvent',\
    ZwClose,'ZwClose',\
    ZwCloseObjectAuditAlarm,'ZwCloseObjectAuditAlarm',\
    ZwCommitComplete,'ZwCommitComplete',\
    ZwCommitEnlistment,'ZwCommitEnlistment',\
    ZwCommitTransaction,'ZwCommitTransaction',\
    ZwCompareTokens,'ZwCompareTokens',\
    ZwConnectPort,'ZwConnectPort',\
    ZwCreateDirectoryObject,'ZwCreateDirectoryObject',\
    ZwCreateEnlistment,'ZwCreateEnlistment',\
    ZwCreateEvent,'ZwCreateEvent',\
    ZwCreateFile,'ZwCreateFile',\
    ZwCreateIoCompletion,'ZwCreateIoCompletion',\
    ZwCreateJobObject,'ZwCreateJobObject',\
    ZwCreateKey,'ZwCreateKey',\
    ZwCreateKeyTransacted,'ZwCreateKeyTransacted',\
    ZwCreateResourceManager,'ZwCreateResourceManager',\
    ZwCreateSection,'ZwCreateSection',\
    ZwCreateSymbolicLinkObject,'ZwCreateSymbolicLinkObject',\
    ZwCreateTimer,'ZwCreateTimer',\
    ZwCreateTransaction,'ZwCreateTransaction',\
    ZwCreateTransactionManager,'ZwCreateTransactionManager',\
    ZwCreateWaitCompletionPacket,'ZwCreateWaitCompletionPacket',\
    ZwDeleteBootEntry,'ZwDeleteBootEntry',\
    ZwDeleteFile,'ZwDeleteFile',\
    ZwDeleteKey,'ZwDeleteKey',\
    ZwDeleteValueKey,'ZwDeleteValueKey',\
    ZwDeviceIoControlFile,'ZwDeviceIoControlFile',\
    ZwDisplayString,'ZwDisplayString',\
    ZwDuplicateObject,'ZwDuplicateObject',\
    ZwDuplicateToken,'ZwDuplicateToken',\
    ZwEnumerateBootEntries,'ZwEnumerateBootEntries',\
    ZwEnumerateDriverEntries,'ZwEnumerateDriverEntries',\
    ZwEnumerateKey,'ZwEnumerateKey',\
    ZwEnumerateTransactionObject,'ZwEnumerateTransactionObject',\
    ZwEnumerateValueKey,'ZwEnumerateValueKey',\
    ZwFlushBuffersFile,'ZwFlushBuffersFile',\
    ZwFlushBuffersFileEx,'ZwFlushBuffersFileEx',\
    ZwFlushInstructionCache,'ZwFlushInstructionCache',\
    ZwFlushKey,'ZwFlushKey',\
    ZwFlushVirtualMemory,'ZwFlushVirtualMemory',\
    ZwFreeVirtualMemory,'ZwFreeVirtualMemory',\
    ZwFsControlFile,'ZwFsControlFile',\
    ZwGetCachedSigningLevel,'ZwGetCachedSigningLevel',\
    ZwGetNextProcess,'ZwGetNextProcess',\
    ZwGetNotificationResourceManager,'ZwGetNotificationResourceManager',\
    ZwImpersonateAnonymousToken,'ZwImpersonateAnonymousToken',\
    ZwInitiatePowerAction,'ZwInitiatePowerAction',\
    ZwIsProcessInJob,'ZwIsProcessInJob',\
    ZwLoadDriver,'ZwLoadDriver',\
    ZwLoadKey,'ZwLoadKey',\
    ZwLoadKeyEx,'ZwLoadKeyEx',\
    ZwLockFile,'ZwLockFile',\
    ZwLockProductActivationKeys,'ZwLockProductActivationKeys',\
    ZwLockVirtualMemory,'ZwLockVirtualMemory',\
    ZwMakeTemporaryObject,'ZwMakeTemporaryObject',\
    ZwMapViewOfSection,'ZwMapViewOfSection',\
    ZwModifyBootEntry,'ZwModifyBootEntry',\
    ZwModifyDriverEntry,'ZwModifyDriverEntry',\
    ZwNotifyChangeDirectoryFile,'ZwNotifyChangeDirectoryFile',\
    ZwNotifyChangeKey,'ZwNotifyChangeKey',\
    ZwOpenDirectoryObject,'ZwOpenDirectoryObject',\
    ZwOpenEnlistment,'ZwOpenEnlistment',\
    ZwOpenEvent,'ZwOpenEvent',\
    ZwOpenFile,'ZwOpenFile',\
    ZwOpenJobObject,'ZwOpenJobObject',\
    ZwOpenKey,'ZwOpenKey',\
    ZwOpenKeyEx,'ZwOpenKeyEx',\
    ZwOpenKeyTransacted,'ZwOpenKeyTransacted',\
    ZwOpenKeyTransactedEx,'ZwOpenKeyTransactedEx',\
    ZwOpenProcess,'ZwOpenProcess',\
    ZwOpenProcessToken,'ZwOpenProcessToken',\
    ZwOpenProcessTokenEx,'ZwOpenProcessTokenEx',\
    ZwOpenResourceManager,'ZwOpenResourceManager',\
    ZwOpenSection,'ZwOpenSection',\
    ZwOpenSession,'ZwOpenSession',\
    ZwOpenSymbolicLinkObject,'ZwOpenSymbolicLinkObject',\
    ZwOpenThread,'ZwOpenThread',\
    ZwOpenThreadToken,'ZwOpenThreadToken',\
    ZwOpenThreadTokenEx,'ZwOpenThreadTokenEx',\
    ZwOpenTimer,'ZwOpenTimer',\
    ZwOpenTransaction,'ZwOpenTransaction',\
    ZwOpenTransactionManager,'ZwOpenTransactionManager',\
    ZwPowerInformation,'ZwPowerInformation',\
    ZwPrepareComplete,'ZwPrepareComplete',\
    ZwPrepareEnlistment,'ZwPrepareEnlistment',\
    ZwPrePrepareComplete,'ZwPrePrepareComplete',\
    ZwPrePrepareEnlistment,'ZwPrePrepareEnlistment',\
    ZwPropagationComplete,'ZwPropagationComplete',\
    ZwPropagationFailed,'ZwPropagationFailed',\
    ZwPulseEvent,'ZwPulseEvent',\
    ZwQueryBootEntryOrder,'ZwQueryBootEntryOrder',\
    ZwQueryBootOptions,'ZwQueryBootOptions',\
    ZwQueryDefaultLocale,'ZwQueryDefaultLocale',\
    ZwQueryDefaultUILanguage,'ZwQueryDefaultUILanguage',\
    ZwQueryDirectoryFile,'ZwQueryDirectoryFile',\
    ZwQueryDirectoryObject,'ZwQueryDirectoryObject',\
    ZwQueryDriverEntryOrder,'ZwQueryDriverEntryOrder',\
    ZwQueryEaFile,'ZwQueryEaFile',\
    ZwQueryFullAttributesFile,'ZwQueryFullAttributesFile',\
    ZwQueryInformationEnlistment,'ZwQueryInformationEnlistment',\
    ZwQueryInformationFile,'ZwQueryInformationFile',\
    ZwQueryInformationJobObject,'ZwQueryInformationJobObject',\
    ZwQueryInformationProcess,'ZwQueryInformationProcess',\
    ZwQueryInformationResourceManager,'ZwQueryInformationResourceManager',\
    ZwQueryInformationThread,'ZwQueryInformationThread',\
    ZwQueryInformationToken,'ZwQueryInformationToken',\
    ZwQueryInformationTransaction,'ZwQueryInformationTransaction',\
    ZwQueryInformationTransactionManager,'ZwQueryInformationTransactionManager',\
    ZwQueryInstallUILanguage,'ZwQueryInstallUILanguage',\
    ZwQueryKey,'ZwQueryKey',\
    ZwQueryObject,'ZwQueryObject',\
    ZwQueryQuotaInformationFile,'ZwQueryQuotaInformationFile',\
    ZwQuerySection,'ZwQuerySection',\
    ZwQuerySecurityAttributesToken,'ZwQuerySecurityAttributesToken',\
    ZwQuerySecurityObject,'ZwQuerySecurityObject',\
    ZwQuerySymbolicLinkObject,'ZwQuerySymbolicLinkObject',\
    ZwQuerySystemEnvironmentValueEx,'ZwQuerySystemEnvironmentValueEx',\
    ZwQuerySystemInformation,'ZwQuerySystemInformation',\
    ZwQuerySystemInformationEx,'ZwQuerySystemInformationEx',\
    ZwQueryValueKey,'ZwQueryValueKey',\
    ZwQueryVirtualMemory,'ZwQueryVirtualMemory',\
    ZwQueryVolumeInformationFile,'ZwQueryVolumeInformationFile',\
    ZwReadFile,'ZwReadFile',\
    ZwReadOnlyEnlistment,'ZwReadOnlyEnlistment',\
    ZwRecoverEnlistment,'ZwRecoverEnlistment',\
    ZwRecoverResourceManager,'ZwRecoverResourceManager',\
    ZwRecoverTransactionManager,'ZwRecoverTransactionManager',\
    ZwRemoveIoCompletion,'ZwRemoveIoCompletion',\
    ZwRemoveIoCompletionEx,'ZwRemoveIoCompletionEx',\
    ZwRenameKey,'ZwRenameKey',\
    ZwReplaceKey,'ZwReplaceKey',\
    ZwRequestPort,'ZwRequestPort',\
    ZwRequestWaitReplyPort,'ZwRequestWaitReplyPort',\
    ZwResetEvent,'ZwResetEvent',\
    ZwRestoreKey,'ZwRestoreKey',\
    ZwRollbackComplete,'ZwRollbackComplete',\
    ZwRollbackEnlistment,'ZwRollbackEnlistment',\
    ZwRollbackTransaction,'ZwRollbackTransaction',\
    ZwSaveKey,'ZwSaveKey',\
    ZwSaveKeyEx,'ZwSaveKeyEx',\
    ZwSecureConnectPort,'ZwSecureConnectPort',\
    ZwSetBootEntryOrder,'ZwSetBootEntryOrder',\
    ZwSetBootOptions,'ZwSetBootOptions',\
    ZwSetDefaultLocale,'ZwSetDefaultLocale',\
    ZwSetDefaultUILanguage,'ZwSetDefaultUILanguage',\
    ZwSetDriverEntryOrder,'ZwSetDriverEntryOrder',\
    ZwSetEaFile,'ZwSetEaFile',\
    ZwSetEvent,'ZwSetEvent',\
    ZwSetInformationEnlistment,'ZwSetInformationEnlistment',\
    ZwSetInformationFile,'ZwSetInformationFile',\
    ZwSetInformationJobObject,'ZwSetInformationJobObject',\
    ZwSetInformationKey,'ZwSetInformationKey',\
    ZwSetInformationObject,'ZwSetInformationObject',\
    ZwSetInformationProcess,'ZwSetInformationProcess',\
    ZwSetInformationResourceManager,'ZwSetInformationResourceManager',\
    ZwSetInformationThread,'ZwSetInformationThread',\
    ZwSetInformationToken,'ZwSetInformationToken',\
    ZwSetInformationTransaction,'ZwSetInformationTransaction',\
    ZwSetQuotaInformationFile,'ZwSetQuotaInformationFile',\
    ZwSetSecurityObject,'ZwSetSecurityObject',\
    ZwSetSystemEnvironmentValueEx,'ZwSetSystemEnvironmentValueEx',\
    ZwSetSystemInformation,'ZwSetSystemInformation',\
    ZwSetSystemTime,'ZwSetSystemTime',\
    ZwSetTimer,'ZwSetTimer',\
    ZwSetTimerEx,'ZwSetTimerEx',\
    ZwSetValueKey,'ZwSetValueKey',\
    ZwSetVolumeInformationFile,'ZwSetVolumeInformationFile',\
    ZwTerminateJobObject,'ZwTerminateJobObject',\
    ZwTerminateProcess,'ZwTerminateProcess',\
    ZwTraceControl,'ZwTraceControl',\
    ZwTraceEvent,'ZwTraceEvent',\
    ZwTranslateFilePath,'ZwTranslateFilePath',\
    ZwUnloadDriver,'ZwUnloadDriver',\
    ZwUnloadKey,'ZwUnloadKey',\
    ZwUnloadKey2,'ZwUnloadKey2',\
    ZwUnloadKeyEx,'ZwUnloadKeyEx',\
    ZwUnlockFile,'ZwUnlockFile',\
    ZwUnlockVirtualMemory,'ZwUnlockVirtualMemory',\
    ZwUnmapViewOfSection,'ZwUnmapViewOfSection',\
    ZwWaitForMultipleObjects,'ZwWaitForMultipleObjects',\
    ZwWaitForSingleObject,'ZwWaitForSingleObject',\
    ZwWriteFile,'ZwWriteFile',\
    ZwYieldExecution,'ZwYieldExecution'
else
    import ntoskrnl,\
    _finite,'_finite',\
    _i64toa_s,'_i64toa_s',\
    _i64tow_s,'_i64tow_s',\
    _itoa,'_itoa',\
    _itoa_s,'_itoa_s',\
    _itow,'_itow',\
    _itow_s,'_itow_s',\
    _ltoa_s,'_ltoa_s',\
    _ltow_s,'_ltow_s',\
    _makepath_s,'_makepath_s',\
    _purecall,'_purecall',\
    _snprintf,'_snprintf',\
    _snprintf_s,'_snprintf_s',\
    _splitpath_s,'_splitpath_s',\
    _stricmp,'_stricmp',\
    _strlwr,'_strlwr',\
    _strnicmp,'_strnicmp',\
    _strnset,'_strnset',\
    _strnset_s,'_strnset_s',\
    _strrev,'_strrev',\
    _strset,'_strset',\
    _strset_s,'_strset_s',\
    _strtoui64,'_strtoui64',\
    _strupr,'_strupr',\
    _swprintf,'_swprintf',\
    _ui64toa_s,'_ui64toa_s',\
    _ui64tow_s,'_ui64tow_s',\
    _ultoa_s,'_ultoa_s',\
    _ultow_s,'_ultow_s',\
    _vsnprintf,'_vsnprintf',\
    _vsnprintf_s,'_vsnprintf_s',\
    _vsnwprintf,'_vsnwprintf',\
    _vsnwprintf_s,'_vsnwprintf_s',\
    _vswprintf,'_vswprintf',\
    _wcsicmp,'_wcsicmp',\
    _wcslwr,'_wcslwr',\
    _wcslwr_s,'_wcslwr_s',\
    _wcsnicmp,'_wcsnicmp',\
    _wcsnset,'_wcsnset',\
    _wcsnset_s,'_wcsnset_s',\
    _wcsrev,'_wcsrev',\
    _wcsset_s,'_wcsset_s',\
    _wcsupr,'_wcsupr',\
    _wmakepath_s,'_wmakepath_s',\
    _wsplitpath_s,'_wsplitpath_s',\
    _wtoi,'_wtoi',\
    _wtol,'_wtol',\
    AlpcGetHeaderSize,'AlpcGetHeaderSize',\
    AlpcGetMessageAttribute,'AlpcGetMessageAttribute',\
    AlpcInitializeMessageAttribute,'AlpcInitializeMessageAttribute',\
    atoi,'atoi',\
    atol,'atol',\
    bsearch,'bsearch',\
    bsearch_s,'bsearch_s',\
    CcAsyncCopyRead,'CcAsyncCopyRead',\
    CcCanIWrite,'CcCanIWrite',\
    CcCoherencyFlushAndPurgeCache,'CcCoherencyFlushAndPurgeCache',\
    CcCopyRead,'CcCopyRead',\
    CcCopyReadEx,'CcCopyReadEx',\
    CcCopyWrite,'CcCopyWrite',\
    CcCopyWriteEx,'CcCopyWriteEx',\
    CcCopyWriteWontFlush,'CcCopyWriteWontFlush',\
    CcDeferWrite,'CcDeferWrite',\
    CcFastCopyRead,'CcFastCopyRead',\
    CcFastCopyWrite,'CcFastCopyWrite',\
    CcFastMdlReadWait,'CcFastMdlReadWait',\
    CcFastReadWait,'CcFastReadWait',\
    CcFlushCache,'CcFlushCache',\
    CcGetDirtyPages,'CcGetDirtyPages',\
    CcGetFileObjectFromBcb,'CcGetFileObjectFromBcb',\
    CcGetFileObjectFromSectionPtrs,'CcGetFileObjectFromSectionPtrs',\
    CcGetFileObjectFromSectionPtrsRef,'CcGetFileObjectFromSectionPtrsRef',\
    CcGetFlushedValidData,'CcGetFlushedValidData',\
    CcGetLsnForFileObject,'CcGetLsnForFileObject',\
    CcInitializeCacheMap,'CcInitializeCacheMap',\
    CcIsThereDirtyData,'CcIsThereDirtyData',\
    CcIsThereDirtyDataEx,'CcIsThereDirtyDataEx',\
    CcIsThereDirtyLoggedPages,'CcIsThereDirtyLoggedPages',\
    CcMapData,'CcMapData',\
    CcMdlRead,'CcMdlRead',\
    CcMdlReadComplete,'CcMdlReadComplete',\
    CcMdlWriteAbort,'CcMdlWriteAbort',\
    CcMdlWriteComplete,'CcMdlWriteComplete',\
    CcPinMappedData,'CcPinMappedData',\
    CcPinRead,'CcPinRead',\
    CcPrepareMdlWrite,'CcPrepareMdlWrite',\
    CcPreparePinWrite,'CcPreparePinWrite',\
    CcPurgeCacheSection,'CcPurgeCacheSection',\
    CcRemapBcb,'CcRemapBcb',\
    CcRepinBcb,'CcRepinBcb',\
    CcScheduleReadAhead,'CcScheduleReadAhead',\
    CcScheduleReadAheadEx,'CcScheduleReadAheadEx',\
    CcSetAdditionalCacheAttributes,'CcSetAdditionalCacheAttributes',\
    CcSetAdditionalCacheAttributesEx,'CcSetAdditionalCacheAttributesEx',\
    CcSetBcbOwnerPointer,'CcSetBcbOwnerPointer',\
    CcSetDirtyPageThreshold,'CcSetDirtyPageThreshold',\
    CcSetDirtyPinnedData,'CcSetDirtyPinnedData',\
    CcSetFileSizes,'CcSetFileSizes',\
    CcSetFileSizesEx,'CcSetFileSizesEx',\
    CcSetLoggedDataThreshold,'CcSetLoggedDataThreshold',\
    CcSetLogHandleForFile,'CcSetLogHandleForFile',\
    CcSetLogHandleForFileEx,'CcSetLogHandleForFileEx',\
    CcSetParallelFlushFile,'CcSetParallelFlushFile',\
    CcSetReadAheadGranularity,'CcSetReadAheadGranularity',\
    CcSetReadAheadGranularityEx,'CcSetReadAheadGranularityEx',\
    CcUninitializeCacheMap,'CcUninitializeCacheMap',\
    CcUnmapFileOffsetFromSystemCache,'CcUnmapFileOffsetFromSystemCache',\
    CcUnpinData,'CcUnpinData',\
    CcUnpinDataForThread,'CcUnpinDataForThread',\
    CcUnpinRepinnedBcb,'CcUnpinRepinnedBcb',\
    CcWaitForCurrentLazyWriterActivity,'CcWaitForCurrentLazyWriterActivity',\
    CcZeroData,'CcZeroData',\
    CmCallbackGetKeyObjectID,'CmCallbackGetKeyObjectID',\
    CmCallbackGetKeyObjectIDEx,'CmCallbackGetKeyObjectIDEx',\
    CmCallbackReleaseKeyObjectIDEx,'CmCallbackReleaseKeyObjectIDEx',\
    CmGetBoundTransaction,'CmGetBoundTransaction',\
    CmGetCallbackVersion,'CmGetCallbackVersion',\
    CmRegisterCallback,'CmRegisterCallback',\
    CmRegisterCallbackEx,'CmRegisterCallbackEx',\
    CmSetCallbackObjectContext,'CmSetCallbackObjectContext',\
    CmUnRegisterCallback,'CmUnRegisterCallback',\
    DbgBreakPoint,'DbgBreakPoint',\
    DbgBreakPointWithStatus,'DbgBreakPointWithStatus',\
    DbgCommandString,'DbgCommandString',\
    DbgLoadImageSymbols,'DbgLoadImageSymbols',\
    DbgPrint,'DbgPrint',\
    DbgPrintEx,'DbgPrintEx',\
    DbgPrintReturnControlC,'DbgPrintReturnControlC',\
    DbgPrompt,'DbgPrompt',\
    DbgQueryDebugFilterState,'DbgQueryDebugFilterState',\
    DbgSetDebugFilterState,'DbgSetDebugFilterState',\
    DbgSetDebugPrintCallback,'DbgSetDebugPrintCallback',\
    EmClientQueryRuleState,'EmClientQueryRuleState',\
    EtwActivityIdControl,'EtwActivityIdControl',\
    EtwEventEnabled,'EtwEventEnabled',\
    EtwProviderEnabled,'EtwProviderEnabled',\
    EtwRegister,'EtwRegister',\
    EtwUnregister,'EtwUnregister',\
    EtwWrite,'EtwWrite',\
    EtwWriteEx,'EtwWriteEx',\
    EtwWriteString,'EtwWriteString',\
    EtwWriteTransfer,'EtwWriteTransfer',\
    ExAcquireFastMutex,'ExAcquireFastMutex',\
    ExAcquireFastMutexUnsafe,'ExAcquireFastMutexUnsafe',\
    ExAcquireResourceExclusiveLite,'ExAcquireResourceExclusiveLite',\
    ExAcquireResourceSharedLite,'ExAcquireResourceSharedLite',\
    ExAcquireRundownProtection,'ExAcquireRundownProtection',\
    ExAcquireRundownProtectionEx,'ExAcquireRundownProtectionEx',\
    ExAcquireSharedStarveExclusive,'ExAcquireSharedStarveExclusive',\
    ExAcquireSharedWaitForExclusive,'ExAcquireSharedWaitForExclusive',\
    ExAcquireSpinLockExclusive,'ExAcquireSpinLockExclusive',\
    ExAcquireSpinLockExclusiveAtDpcLevel,'ExAcquireSpinLockExclusiveAtDpcLevel',\
    ExAcquireSpinLockShared,'ExAcquireSpinLockShared',\
    ExAcquireSpinLockSharedAtDpcLevel,'ExAcquireSpinLockSharedAtDpcLevel',\
    ExAllocateCacheAwarePushLock,'ExAllocateCacheAwarePushLock',\
    ExAllocateCacheAwareRundownProtection,'ExAllocateCacheAwareRundownProtection',\
    ExAllocateFromPagedLookasideList,'ExAllocateFromPagedLookasideList',\
    ExAllocatePool,'ExAllocatePool',\
    ExAllocatePoolWithQuota,'ExAllocatePoolWithQuota',\
    ExAllocatePoolWithQuotaTag,'ExAllocatePoolWithQuotaTag',\
    ExAllocatePoolWithTag,'ExAllocatePoolWithTag',\
    ExAllocatePoolWithTagPriority,'ExAllocatePoolWithTagPriority',\
    ExAllocateTimer,'ExAllocateTimer',\
    ExBlockPushLock,'ExBlockPushLock',\
    ExCancelTimer,'ExCancelTimer',\
    ExConvertExclusiveToSharedLite,'ExConvertExclusiveToSharedLite',\
    ExCreateCallback,'ExCreateCallback',\
    ExDeleteLookasideListEx,'ExDeleteLookasideListEx',\
    ExDeleteNPagedLookasideList,'ExDeleteNPagedLookasideList',\
    ExDeletePagedLookasideList,'ExDeletePagedLookasideList',\
    ExDeleteResourceLite,'ExDeleteResourceLite',\
    ExDeleteTimer,'ExDeleteTimer',\
    ExDisableResourceBoostLite,'ExDisableResourceBoostLite',\
    ExEnterCriticalRegionAndAcquireFastMutexUnsafe,'ExEnterCriticalRegionAndAcquireFastMutexUnsafe',\
    ExEnterCriticalRegionAndAcquireResourceExclusive,'ExEnterCriticalRegionAndAcquireResourceExclusive',\
    ExEnterCriticalRegionAndAcquireResourceShared,'ExEnterCriticalRegionAndAcquireResourceShared',\
    ExEnterCriticalRegionAndAcquireSharedWaitForExclusive,'ExEnterCriticalRegionAndAcquireSharedWaitForExclusive',\
    ExEnumHandleTable,'ExEnumHandleTable',\
    ExExtendZone,'ExExtendZone',\
    ExfAcquirePushLockExclusive,'ExfAcquirePushLockExclusive',\
    ExfAcquirePushLockShared,'ExfAcquirePushLockShared',\
    Exfi386InterlockedDecrementLong,'Exfi386InterlockedDecrementLong',\
    Exfi386InterlockedExchangeUlong,'Exfi386InterlockedExchangeUlong',\
    Exfi386InterlockedIncrementLong,'Exfi386InterlockedIncrementLong',\
    ExfInterlockedAddUlong,'ExfInterlockedAddUlong',\
    ExfInterlockedCompareExchange64,'ExfInterlockedCompareExchange64',\
    ExfInterlockedInsertHeadList,'ExfInterlockedInsertHeadList',\
    ExfInterlockedInsertTailList,'ExfInterlockedInsertTailList',\
    ExfInterlockedPopEntryList,'ExfInterlockedPopEntryList',\
    ExfInterlockedPushEntryList,'ExfInterlockedPushEntryList',\
    ExfInterlockedRemoveHeadList,'ExfInterlockedRemoveHeadList',\
    ExFlushLookasideListEx,'ExFlushLookasideListEx',\
    ExFreeCacheAwarePushLock,'ExFreeCacheAwarePushLock',\
    ExFreePool,'ExFreePool',\
    ExFreePoolWithTag,'ExFreePoolWithTag',\
    ExFreeToPagedLookasideList,'ExFreeToPagedLookasideList',\
    ExfReleasePushLock,'ExfReleasePushLock',\
    ExfReleasePushLockExclusive,'ExfReleasePushLockExclusive',\
    ExfReleasePushLockShared,'ExfReleasePushLockShared',\
    ExfTryToWakePushLock,'ExfTryToWakePushLock',\
    ExfUnblockPushLock,'ExfUnblockPushLock',\
    ExGetCurrentProcessorCounts,'ExGetCurrentProcessorCounts',\
    ExGetCurrentProcessorCpuUsage,'ExGetCurrentProcessorCpuUsage',\
    ExGetExclusiveWaiterCount,'ExGetExclusiveWaiterCount',\
    ExGetFirmwareEnvironmentVariable,'ExGetFirmwareEnvironmentVariable',\
    ExGetPreviousMode,'ExGetPreviousMode',\
    ExGetSharedWaiterCount,'ExGetSharedWaiterCount',\
    Exi386InterlockedDecrementLong,'Exi386InterlockedDecrementLong',\
    Exi386InterlockedExchangeUlong,'Exi386InterlockedExchangeUlong',\
    Exi386InterlockedIncrementLong,'Exi386InterlockedIncrementLong',\
    ExInitializeLookasideListEx,'ExInitializeLookasideListEx',\
    ExInitializeNPagedLookasideList,'ExInitializeNPagedLookasideList',\
    ExInitializePagedLookasideList,'ExInitializePagedLookasideList',\
    ExInitializePushLock,'ExInitializePushLock',\
    ExInitializeResourceLite,'ExInitializeResourceLite',\
    ExInitializeRundownProtection,'ExInitializeRundownProtection',\
    ExInitializeRundownProtectionCacheAware,'ExInitializeRundownProtectionCacheAware',\
    ExInitializeZone,'ExInitializeZone',\
    ExInterlockedAddLargeInteger,'ExInterlockedAddLargeInteger',\
    ExInterlockedAddLargeStatistic,'ExInterlockedAddLargeStatistic',\
    ExInterlockedAddUlong,'ExInterlockedAddUlong',\
    ExInterlockedCompareExchange64,'ExInterlockedCompareExchange64',\
    ExInterlockedDecrementLong,'ExInterlockedDecrementLong',\
    ExInterlockedExchangeUlong,'ExInterlockedExchangeUlong',\
    ExInterlockedExtendZone,'ExInterlockedExtendZone',\
    ExInterlockedFlushSList,'ExInterlockedFlushSList',\
    ExInterlockedIncrementLong,'ExInterlockedIncrementLong',\
    ExInterlockedInsertHeadList,'ExInterlockedInsertHeadList',\
    ExInterlockedInsertTailList,'ExInterlockedInsertTailList',\
    ExInterlockedPopEntryList,'ExInterlockedPopEntryList',\
    ExInterlockedPopEntrySList,'ExInterlockedPopEntrySList',\
    ExInterlockedPushEntryList,'ExInterlockedPushEntryList',\
    ExInterlockedPushEntrySList,'ExInterlockedPushEntrySList',\
    ExInterlockedRemoveHeadList,'ExInterlockedRemoveHeadList',\
    ExiReleaseFastMutex,'ExiReleaseFastMutex',\
    ExIsManufacturingModeEnabled,'ExIsManufacturingModeEnabled',\
    ExIsProcessorFeaturePresent,'ExIsProcessorFeaturePresent',\
    ExIsResourceAcquiredExclusiveLite,'ExIsResourceAcquiredExclusiveLite',\
    ExIsResourceAcquiredSharedLite,'ExIsResourceAcquiredSharedLite',\
    ExiTryToAcquireFastMutex,'ExiTryToAcquireFastMutex',\
    ExLocalTimeToSystemTime,'ExLocalTimeToSystemTime',\
    ExNotifyCallback,'ExNotifyCallback',\
    ExpInterlockedFlushSList,'ExpInterlockedFlushSList',\
    ExpInterlockedPopEntrySList,'ExpInterlockedPopEntrySList',\
    ExpInterlockedPushEntrySList,'ExpInterlockedPushEntrySList',\
    ExQueryDepthSList,'ExQueryDepthSList',\
    ExQueryPoolBlockSize,'ExQueryPoolBlockSize',\
    ExQueryTimerResolution,'ExQueryTimerResolution',\
    ExQueueWorkItem,'ExQueueWorkItem',\
    ExRaiseAccessViolation,'ExRaiseAccessViolation',\
    ExRaiseDatatypeMisalignment,'ExRaiseDatatypeMisalignment',\
    ExRaiseException,'ExRaiseException',\
    ExRaiseHardError,'ExRaiseHardError',\
    ExRaiseStatus,'ExRaiseStatus',\
    ExRegisterCallback,'ExRegisterCallback',\
    ExReinitializeResourceLite,'ExReinitializeResourceLite',\
    ExReInitializeRundownProtection,'ExReInitializeRundownProtection',\
    ExReInitializeRundownProtectionCacheAware,'ExReInitializeRundownProtectionCacheAware',\
    ExReleaseCacheAwarePushLockExclusive,'ExReleaseCacheAwarePushLockExclusive',\
    ExReleaseFastMutex,'ExReleaseFastMutex',\
    ExReleaseFastMutexUnsafe,'ExReleaseFastMutexUnsafe',\
    ExReleaseFastMutexUnsafeAndLeaveCriticalRegion,'ExReleaseFastMutexUnsafeAndLeaveCriticalRegion',\
    ExReleaseResourceAndLeaveCriticalRegion,'ExReleaseResourceAndLeaveCriticalRegion',\
    ExReleaseResourceForThreadLite,'ExReleaseResourceForThreadLite',\
    ExReleaseResourceLite,'ExReleaseResourceLite',\
    ExReleaseRundownProtection,'ExReleaseRundownProtection',\
    ExReleaseRundownProtectionCacheAware,'ExReleaseRundownProtectionCacheAware',\
    ExReleaseRundownProtectionCacheAwareEx,'ExReleaseRundownProtectionCacheAwareEx',\
    ExReleaseRundownProtectionEx,'ExReleaseRundownProtectionEx',\
    ExReleaseSpinLockExclusive,'ExReleaseSpinLockExclusive',\
    ExReleaseSpinLockExclusiveFromDpcLevel,'ExReleaseSpinLockExclusiveFromDpcLevel',\
    ExReleaseSpinLockShared,'ExReleaseSpinLockShared',\
    ExReleaseSpinLockSharedFromDpcLevel,'ExReleaseSpinLockSharedFromDpcLevel',\
    ExRundownCompleted,'ExRundownCompleted',\
    ExRundownCompletedCacheAware,'ExRundownCompletedCacheAware',\
    ExSetFirmwareEnvironmentVariable,'ExSetFirmwareEnvironmentVariable',\
    ExSetLicenseTamperState,'ExSetLicenseTamperState',\
    ExSetResourceOwnerPointer,'ExSetResourceOwnerPointer',\
    ExSetResourceOwnerPointerEx,'ExSetResourceOwnerPointerEx',\
    ExSetTimer,'ExSetTimer',\
    ExSetTimerResolution,'ExSetTimerResolution',\
    ExSystemExceptionFilter,'ExSystemExceptionFilter',\
    ExSystemTimeToLocalTime,'ExSystemTimeToLocalTime',\
    ExTimedWaitForUnblockPushLock,'ExTimedWaitForUnblockPushLock',\
    ExTryConvertSharedSpinLockExclusive,'ExTryConvertSharedSpinLockExclusive',\
    ExTryToAcquireFastMutex,'ExTryToAcquireFastMutex',\
    ExUnregisterCallback,'ExUnregisterCallback',\
    ExUuidCreate,'ExUuidCreate',\
    ExVerifySuite,'ExVerifySuite',\
    ExWaitForRundownProtectionRelease,'ExWaitForRundownProtectionRelease',\
    ExWaitForUnblockPushLock,'ExWaitForUnblockPushLock',\
    FirstEntrySList,'FirstEntrySList',\
    FsRtlAcknowledgeEcp,'FsRtlAcknowledgeEcp',\
    FsRtlAcquireFileExclusive,'FsRtlAcquireFileExclusive',\
    FsRtlAddBaseMcbEntry,'FsRtlAddBaseMcbEntry',\
    FsRtlAddBaseMcbEntryEx,'FsRtlAddBaseMcbEntryEx',\
    FsRtlAddLargeMcbEntry,'FsRtlAddLargeMcbEntry',\
    FsRtlAddMcbEntry,'FsRtlAddMcbEntry',\
    FsRtlAddToTunnelCache,'FsRtlAddToTunnelCache',\
    FsRtlAllocateExtraCreateParameter,'FsRtlAllocateExtraCreateParameter',\
    FsRtlAllocateExtraCreateParameterFromLookasideList,'FsRtlAllocateExtraCreateParameterFromLookasideList',\
    FsRtlAllocateExtraCreateParameterList,'FsRtlAllocateExtraCreateParameterList',\
    FsRtlAllocateFileLock,'FsRtlAllocateFileLock',\
    FsRtlAllocatePool,'FsRtlAllocatePool',\
    FsRtlAllocatePoolWithQuota,'FsRtlAllocatePoolWithQuota',\
    FsRtlAllocatePoolWithQuotaTag,'FsRtlAllocatePoolWithQuotaTag',\
    FsRtlAllocatePoolWithTag,'FsRtlAllocatePoolWithTag',\
    FsRtlAllocateResource,'FsRtlAllocateResource',\
    FsRtlAreNamesEqual,'FsRtlAreNamesEqual',\
    FsRtlAreThereCurrentOrInProgressFileLocks,'FsRtlAreThereCurrentOrInProgressFileLocks',\
    FsRtlAreThereWaitingFileLocks,'FsRtlAreThereWaitingFileLocks',\
    FsRtlAreVolumeStartupApplicationsComplete,'FsRtlAreVolumeStartupApplicationsComplete',\
    FsRtlBalanceReads,'FsRtlBalanceReads',\
    FsRtlCancellableWaitForMultipleObjects,'FsRtlCancellableWaitForMultipleObjects',\
    FsRtlCancellableWaitForSingleObject,'FsRtlCancellableWaitForSingleObject',\
    FsRtlChangeBackingFileObject,'FsRtlChangeBackingFileObject',\
    FsRtlCheckLockForOplockRequest,'FsRtlCheckLockForOplockRequest',\
    FsRtlCheckLockForReadAccess,'FsRtlCheckLockForReadAccess',\
    FsRtlCheckLockForWriteAccess,'FsRtlCheckLockForWriteAccess',\
    FsRtlCheckOplock,'FsRtlCheckOplock',\
    FsRtlCheckOplockEx,'FsRtlCheckOplockEx',\
    FsRtlCopyRead,'FsRtlCopyRead',\
    FsRtlCopyWrite,'FsRtlCopyWrite',\
    FsRtlCreateSectionForDataScan,'FsRtlCreateSectionForDataScan',\
    FsRtlCurrentBatchOplock,'FsRtlCurrentBatchOplock',\
    FsRtlCurrentOplock,'FsRtlCurrentOplock',\
    FsRtlCurrentOplockH,'FsRtlCurrentOplockH',\
    FsRtlDeleteExtraCreateParameterLookasideList,'FsRtlDeleteExtraCreateParameterLookasideList',\
    FsRtlDeleteKeyFromTunnelCache,'FsRtlDeleteKeyFromTunnelCache',\
    FsRtlDeleteTunnelCache,'FsRtlDeleteTunnelCache',\
    FsRtlDeregisterUncProvider,'FsRtlDeregisterUncProvider',\
    FsRtlDissectDbcs,'FsRtlDissectDbcs',\
    FsRtlDissectName,'FsRtlDissectName',\
    FsRtlDoesDbcsContainWildCards,'FsRtlDoesDbcsContainWildCards',\
    FsRtlDoesNameContainWildCards,'FsRtlDoesNameContainWildCards',\
    FsRtlFastCheckLockForRead,'FsRtlFastCheckLockForRead',\
    FsRtlFastCheckLockForWrite,'FsRtlFastCheckLockForWrite',\
    FsRtlFastUnlockAll,'FsRtlFastUnlockAll',\
    FsRtlFastUnlockAllByKey,'FsRtlFastUnlockAllByKey',\
    FsRtlFastUnlockSingle,'FsRtlFastUnlockSingle',\
    FsRtlFindExtraCreateParameter,'FsRtlFindExtraCreateParameter',\
    FsRtlFindInTunnelCache,'FsRtlFindInTunnelCache',\
    FsRtlFreeExtraCreateParameter,'FsRtlFreeExtraCreateParameter',\
    FsRtlFreeExtraCreateParameterList,'FsRtlFreeExtraCreateParameterList',\
    FsRtlFreeFileLock,'FsRtlFreeFileLock',\
    FsRtlGetEcpListFromIrp,'FsRtlGetEcpListFromIrp',\
    FsRtlGetFileSize,'FsRtlGetFileSize',\
    FsRtlGetNextBaseMcbEntry,'FsRtlGetNextBaseMcbEntry',\
    FsRtlGetNextExtraCreateParameter,'FsRtlGetNextExtraCreateParameter',\
    FsRtlGetNextFileLock,'FsRtlGetNextFileLock',\
    FsRtlGetNextLargeMcbEntry,'FsRtlGetNextLargeMcbEntry',\
    FsRtlGetNextMcbEntry,'FsRtlGetNextMcbEntry',\
    FsRtlGetSectorSizeInformation,'FsRtlGetSectorSizeInformation',\
    FsRtlGetSupportedFeatures,'FsRtlGetSupportedFeatures',\
    FsRtlGetVirtualDiskNestingLevel,'FsRtlGetVirtualDiskNestingLevel',\
    FsRtlIncrementCcFastMdlReadWait,'FsRtlIncrementCcFastMdlReadWait',\
    FsRtlIncrementCcFastReadNotPossible,'FsRtlIncrementCcFastReadNotPossible',\
    FsRtlIncrementCcFastReadNoWait,'FsRtlIncrementCcFastReadNoWait',\
    FsRtlIncrementCcFastReadResourceMiss,'FsRtlIncrementCcFastReadResourceMiss',\
    FsRtlIncrementCcFastReadWait,'FsRtlIncrementCcFastReadWait',\
    FsRtlInitExtraCreateParameterLookasideList,'FsRtlInitExtraCreateParameterLookasideList',\
    FsRtlInitializeExtraCreateParameter,'FsRtlInitializeExtraCreateParameter',\
    FsRtlInitializeExtraCreateParameterList,'FsRtlInitializeExtraCreateParameterList',\
    FsRtlInitializeFileLock,'FsRtlInitializeFileLock',\
    FsRtlInitializeLargeMcb,'FsRtlInitializeLargeMcb',\
    FsRtlInitializeMcb,'FsRtlInitializeMcb',\
    FsRtlInitializeOplock,'FsRtlInitializeOplock',\
    FsRtlInitializeTunnelCache,'FsRtlInitializeTunnelCache',\
    FsRtlInsertExtraCreateParameter,'FsRtlInsertExtraCreateParameter',\
    FsRtlInsertPerFileContext,'FsRtlInsertPerFileContext',\
    FsRtlInsertPerFileObjectContext,'FsRtlInsertPerFileObjectContext',\
    FsRtlInsertPerStreamContext,'FsRtlInsertPerStreamContext',\
    FsRtlIsDbcsInExpression,'FsRtlIsDbcsInExpression',\
    FsRtlIsEcpAcknowledged,'FsRtlIsEcpAcknowledged',\
    FsRtlIsEcpFromUserMode,'FsRtlIsEcpFromUserMode',\
    FsRtlIsFatDbcsLegal,'FsRtlIsFatDbcsLegal',\
    FsRtlIsHpfsDbcsLegal,'FsRtlIsHpfsDbcsLegal',\
    FsRtlIsNameInExpression,'FsRtlIsNameInExpression',\
    FsRtlIsNtstatusExpected,'FsRtlIsNtstatusExpected',\
    FsRtlIsPagingFile,'FsRtlIsPagingFile',\
    FsRtlIssueDeviceIoControl,'FsRtlIssueDeviceIoControl',\
    FsRtlIsSystemPagingFile,'FsRtlIsSystemPagingFile',\
    FsRtlIsTotalDeviceFailure,'FsRtlIsTotalDeviceFailure',\
    FsRtlLogCcFlushError,'FsRtlLogCcFlushError',\
    FsRtlLookupBaseMcbEntry,'FsRtlLookupBaseMcbEntry',\
    FsRtlLookupLargeMcbEntry,'FsRtlLookupLargeMcbEntry',\
    FsRtlLookupLastBaseMcbEntryAndIndex,'FsRtlLookupLastBaseMcbEntryAndIndex',\
    FsRtlLookupLastLargeMcbEntry,'FsRtlLookupLastLargeMcbEntry',\
    FsRtlLookupLastLargeMcbEntryAndIndex,'FsRtlLookupLastLargeMcbEntryAndIndex',\
    FsRtlLookupLastMcbEntry,'FsRtlLookupLastMcbEntry',\
    FsRtlLookupMcbEntry,'FsRtlLookupMcbEntry',\
    FsRtlLookupPerFileContext,'FsRtlLookupPerFileContext',\
    FsRtlLookupPerFileObjectContext,'FsRtlLookupPerFileObjectContext',\
    FsRtlLookupPerStreamContextInternal,'FsRtlLookupPerStreamContextInternal',\
    FsRtlMdlRead,'FsRtlMdlRead',\
    FsRtlMdlReadComplete,'FsRtlMdlReadComplete',\
    FsRtlMdlReadCompleteDev,'FsRtlMdlReadCompleteDev',\
    FsRtlMdlReadDev,'FsRtlMdlReadDev',\
    FsRtlMdlReadEx,'FsRtlMdlReadEx',\
    FsRtlMdlWriteComplete,'FsRtlMdlWriteComplete',\
    FsRtlMdlWriteCompleteDev,'FsRtlMdlWriteCompleteDev',\
    FsRtlMupGetProviderIdFromName,'FsRtlMupGetProviderIdFromName',\
    FsRtlMupGetProviderInfoFromFileObject,'FsRtlMupGetProviderInfoFromFileObject',\
    FsRtlNormalizeNtstatus,'FsRtlNormalizeNtstatus',\
    FsRtlNotifyChangeDirectory,'FsRtlNotifyChangeDirectory',\
    FsRtlNotifyCleanup,'FsRtlNotifyCleanup',\
    FsRtlNotifyCleanupAll,'FsRtlNotifyCleanupAll',\
    FsRtlNotifyFilterChangeDirectory,'FsRtlNotifyFilterChangeDirectory',\
    FsRtlNotifyFilterReportChange,'FsRtlNotifyFilterReportChange',\
    FsRtlNotifyFullChangeDirectory,'FsRtlNotifyFullChangeDirectory',\
    FsRtlNotifyFullReportChange,'FsRtlNotifyFullReportChange',\
    FsRtlNotifyInitializeSync,'FsRtlNotifyInitializeSync',\
    FsRtlNotifyReportChange,'FsRtlNotifyReportChange',\
    FsRtlNotifyUninitializeSync,'FsRtlNotifyUninitializeSync',\
    FsRtlNotifyVolumeEvent,'FsRtlNotifyVolumeEvent',\
    FsRtlNotifyVolumeEventEx,'FsRtlNotifyVolumeEventEx',\
    FsRtlNumberOfRunsInLargeMcb,'FsRtlNumberOfRunsInLargeMcb',\
    FsRtlNumberOfRunsInMcb,'FsRtlNumberOfRunsInMcb',\
    FsRtlOplockBreakH,'FsRtlOplockBreakH',\
    FsRtlOplockBreakToNone,'FsRtlOplockBreakToNone',\
    FsRtlOplockBreakToNoneEx,'FsRtlOplockBreakToNoneEx',\
    FsRtlOplockFsctrl,'FsRtlOplockFsctrl',\
    FsRtlOplockFsctrlEx,'FsRtlOplockFsctrlEx',\
    FsRtlOplockIsFastIoPossible,'FsRtlOplockIsFastIoPossible',\
    FsRtlOplockIsSharedRequest,'FsRtlOplockIsSharedRequest',\
    FsRtlOplockKeysEqual,'FsRtlOplockKeysEqual',\
    FsRtlPostPagingFileStackOverflow,'FsRtlPostPagingFileStackOverflow',\
    FsRtlPostStackOverflow,'FsRtlPostStackOverflow',\
    FsRtlPrepareMdlWrite,'FsRtlPrepareMdlWrite',\
    FsRtlPrepareMdlWriteDev,'FsRtlPrepareMdlWriteDev',\
    FsRtlPrepareMdlWriteEx,'FsRtlPrepareMdlWriteEx',\
    FsRtlPrepareToReuseEcp,'FsRtlPrepareToReuseEcp',\
    FsRtlPrivateLock,'FsRtlPrivateLock',\
    FsRtlProcessFileLock,'FsRtlProcessFileLock',\
    FsRtlQueryCachedVdl,'FsRtlQueryCachedVdl',\
    FsRtlQueryMaximumVirtualDiskNestingLevel,'FsRtlQueryMaximumVirtualDiskNestingLevel',\
    FsRtlRegisterFileSystemFilterCallbacks,'FsRtlRegisterFileSystemFilterCallbacks',\
    FsRtlRegisterUncProvider,'FsRtlRegisterUncProvider',\
    FsRtlRegisterUncProviderEx,'FsRtlRegisterUncProviderEx',\
    FsRtlReleaseFile,'FsRtlReleaseFile',\
    FsRtlRemoveBaseMcbEntry,'FsRtlRemoveBaseMcbEntry',\
    FsRtlRemoveDotsFromPath,'FsRtlRemoveDotsFromPath',\
    FsRtlRemoveExtraCreateParameter,'FsRtlRemoveExtraCreateParameter',\
    FsRtlRemoveLargeMcbEntry,'FsRtlRemoveLargeMcbEntry',\
    FsRtlRemoveMcbEntry,'FsRtlRemoveMcbEntry',\
    FsRtlRemovePerFileContext,'FsRtlRemovePerFileContext',\
    FsRtlRemovePerFileObjectContext,'FsRtlRemovePerFileObjectContext',\
    FsRtlRemovePerStreamContext,'FsRtlRemovePerStreamContext',\
    FsRtlResetBaseMcb,'FsRtlResetBaseMcb',\
    FsRtlResetLargeMcb,'FsRtlResetLargeMcb',\
    FsRtlSetEcpListIntoIrp,'FsRtlSetEcpListIntoIrp',\
    FsRtlSplitBaseMcb,'FsRtlSplitBaseMcb',\
    FsRtlSplitLargeMcb,'FsRtlSplitLargeMcb',\
    FsRtlSyncVolumes,'FsRtlSyncVolumes',\
    FsRtlTeardownPerFileContexts,'FsRtlTeardownPerFileContexts',\
    FsRtlTeardownPerStreamContexts,'FsRtlTeardownPerStreamContexts',\
    FsRtlTruncateBaseMcb,'FsRtlTruncateBaseMcb',\
    FsRtlTruncateLargeMcb,'FsRtlTruncateLargeMcb',\
    FsRtlTruncateMcb,'FsRtlTruncateMcb',\
    FsRtlUninitializeBaseMcb,'FsRtlUninitializeBaseMcb',\
    FsRtlUninitializeFileLock,'FsRtlUninitializeFileLock',\
    FsRtlUninitializeLargeMcb,'FsRtlUninitializeLargeMcb',\
    FsRtlUninitializeMcb,'FsRtlUninitializeMcb',\
    FsRtlUninitializeOplock,'FsRtlUninitializeOplock',\
    FsRtlUpperOplockFsctrl,'FsRtlUpperOplockFsctrl',\
    FsRtlValidateReparsePointBuffer,'FsRtlValidateReparsePointBuffer',\
    HalExamineMBR,'HalExamineMBR',\
    HeadlessDispatch,'HeadlessDispatch',\
    InbvAcquireDisplayOwnership,'InbvAcquireDisplayOwnership',\
    InbvCheckDisplayOwnership,'InbvCheckDisplayOwnership',\
    InbvDisplayString,'InbvDisplayString',\
    InbvEnableBootDriver,'InbvEnableBootDriver',\
    InbvEnableDisplayString,'InbvEnableDisplayString',\
    InbvInstallDisplayStringFilter,'InbvInstallDisplayStringFilter',\
    InbvIsBootDriverInstalled,'InbvIsBootDriverInstalled',\
    InbvNotifyDisplayOwnershipLost,'InbvNotifyDisplayOwnershipLost',\
    InbvResetDisplay,'InbvResetDisplay',\
    InbvSetScrollRegion,'InbvSetScrollRegion',\
    InbvSetTextColor,'InbvSetTextColor',\
    InbvSolidColorFill,'InbvSolidColorFill',\
    InitializeSListHead,'InitializeSListHead',\
    InterlockedCompareExchange,'InterlockedCompareExchange',\
    InterlockedDecrement,'InterlockedDecrement',\
    InterlockedExchange,'InterlockedExchange',\
    InterlockedExchangeAdd,'InterlockedExchangeAdd',\
    InterlockedIncrement,'InterlockedIncrement',\
    InterlockedPopEntrySList,'InterlockedPopEntrySList',\
    InterlockedPushEntrySList,'InterlockedPushEntrySList',\
    InterlockedPushListSList,'InterlockedPushListSList',\
    IoAcquireCancelSpinLock,'IoAcquireCancelSpinLock',\
    IoAcquireRemoveLockEx,'IoAcquireRemoveLockEx',\
    IoAcquireVpbSpinLock,'IoAcquireVpbSpinLock',\
    IoAllocateAdapterChannel,'IoAllocateAdapterChannel',\
    IoAllocateController,'IoAllocateController',\
    IoAllocateDriverObjectExtension,'IoAllocateDriverObjectExtension',\
    IoAllocateErrorLogEntry,'IoAllocateErrorLogEntry',\
    IoAllocateIrp,'IoAllocateIrp',\
    IoAllocateMdl,'IoAllocateMdl',\
    IoAllocateMiniCompletionPacket,'IoAllocateMiniCompletionPacket',\
    IoAllocateSfioStreamIdentifier,'IoAllocateSfioStreamIdentifier',\
    IoAllocateWorkItem,'IoAllocateWorkItem',\
    IoAssignDriveLetters,'IoAssignDriveLetters',\
    IoAssignResources,'IoAssignResources',\
    IoAttachDevice,'IoAttachDevice',\
    IoAttachDeviceByPointer,'IoAttachDeviceByPointer',\
    IoAttachDeviceToDeviceStack,'IoAttachDeviceToDeviceStack',\
    IoAttachDeviceToDeviceStackSafe,'IoAttachDeviceToDeviceStackSafe',\
    IoBuildAsynchronousFsdRequest,'IoBuildAsynchronousFsdRequest',\
    IoBuildDeviceIoControlRequest,'IoBuildDeviceIoControlRequest',\
    IoBuildPartialMdl,'IoBuildPartialMdl',\
    IoBuildSynchronousFsdRequest,'IoBuildSynchronousFsdRequest',\
    IoCallDriver,'IoCallDriver',\
    IoCancelFileOpen,'IoCancelFileOpen',\
    IoCancelIrp,'IoCancelIrp',\
    IoCheckDesiredAccess,'IoCheckDesiredAccess',\
    IoCheckEaBufferValidity,'IoCheckEaBufferValidity',\
    IoCheckFunctionAccess,'IoCheckFunctionAccess',\
    IoCheckQuerySetFileInformation,'IoCheckQuerySetFileInformation',\
    IoCheckQuerySetVolumeInformation,'IoCheckQuerySetVolumeInformation',\
    IoCheckQuotaBufferValidity,'IoCheckQuotaBufferValidity',\
    IoCheckShareAccess,'IoCheckShareAccess',\
    IoCheckShareAccessEx,'IoCheckShareAccessEx',\
    IoClearActivityIdThread,'IoClearActivityIdThread',\
    IoClearFsTrackOffsetState,'IoClearFsTrackOffsetState',\
    IoClearIrpExtraCreateParameter,'IoClearIrpExtraCreateParameter',\
    IoCompleteRequest,'IoCompleteRequest',\
    IoConnectInterrupt,'IoConnectInterrupt',\
    IoConnectInterruptEx,'IoConnectInterruptEx',\
    IoCreateController,'IoCreateController',\
    IoCreateDevice,'IoCreateDevice',\
    IoCreateDisk,'IoCreateDisk',\
    IoCreateDriver,'IoCreateDriver',\
    IoCreateFile,'IoCreateFile',\
    IoCreateFileEx,'IoCreateFileEx',\
    IoCreateFileSpecifyDeviceObjectHint,'IoCreateFileSpecifyDeviceObjectHint',\
    IoCreateNotificationEvent,'IoCreateNotificationEvent',\
    IoCreateStreamFileObject,'IoCreateStreamFileObject',\
    IoCreateStreamFileObjectEx,'IoCreateStreamFileObjectEx',\
    IoCreateStreamFileObjectEx2,'IoCreateStreamFileObjectEx2',\
    IoCreateStreamFileObjectLite,'IoCreateStreamFileObjectLite',\
    IoCreateSymbolicLink,'IoCreateSymbolicLink',\
    IoCreateSynchronizationEvent,'IoCreateSynchronizationEvent',\
    IoCreateSystemThread,'IoCreateSystemThread',\
    IoCreateUnprotectedSymbolicLink,'IoCreateUnprotectedSymbolicLink',\
    IoCsqInitialize,'IoCsqInitialize',\
    IoCsqInitializeEx,'IoCsqInitializeEx',\
    IoCsqInsertIrp,'IoCsqInsertIrp',\
    IoCsqInsertIrpEx,'IoCsqInsertIrpEx',\
    IoCsqRemoveIrp,'IoCsqRemoveIrp',\
    IoCsqRemoveNextIrp,'IoCsqRemoveNextIrp',\
    IoDecrementKeepAliveCount,'IoDecrementKeepAliveCount',\
    IoDeleteController,'IoDeleteController',\
    IoDeleteDevice,'IoDeleteDevice',\
    IoDeleteDriver,'IoDeleteDriver',\
    IoDeleteSymbolicLink,'IoDeleteSymbolicLink',\
    IoDetachDevice,'IoDetachDevice',\
    IoDisconnectInterrupt,'IoDisconnectInterrupt',\
    IoDisconnectInterruptEx,'IoDisconnectInterruptEx',\
    IoEnqueueIrp,'IoEnqueueIrp',\
    IoEnumerateDeviceObjectList,'IoEnumerateDeviceObjectList',\
    IoEnumerateRegisteredFiltersList,'IoEnumerateRegisteredFiltersList',\
    IoFastQueryNetworkAttributes,'IoFastQueryNetworkAttributes',\
    IofCallDriver,'IofCallDriver',\
    IofCompleteRequest,'IofCompleteRequest',\
    IoForwardAndCatchIrp,'IoForwardAndCatchIrp',\
    IoForwardIrpSynchronously,'IoForwardIrpSynchronously',\
    IoFreeController,'IoFreeController',\
    IoFreeErrorLogEntry,'IoFreeErrorLogEntry',\
    IoFreeIrp,'IoFreeIrp',\
    IoFreeMdl,'IoFreeMdl',\
    IoFreeSfioStreamIdentifier,'IoFreeSfioStreamIdentifier',\
    IoFreeWorkItem,'IoFreeWorkItem',\
    IoGetActivityIdIrp,'IoGetActivityIdIrp',\
    IoGetActivityIdThread,'IoGetActivityIdThread',\
    IoGetAffinityInterrupt,'IoGetAffinityInterrupt',\
    IoGetAttachedDevice,'IoGetAttachedDevice',\
    IoGetAttachedDeviceReference,'IoGetAttachedDeviceReference',\
    IoGetBaseFileSystemDeviceObject,'IoGetBaseFileSystemDeviceObject',\
    IoGetBootDiskInformation,'IoGetBootDiskInformation',\
    IoGetBootDiskInformationLite,'IoGetBootDiskInformationLite',\
    IoGetConfigurationInformation,'IoGetConfigurationInformation',\
    IoGetContainerInformation,'IoGetContainerInformation',\
    IoGetCurrentProcess,'IoGetCurrentProcess',\
    IoGetDeviceAttachmentBaseRef,'IoGetDeviceAttachmentBaseRef',\
    IoGetDeviceInterfaceAlias,'IoGetDeviceInterfaceAlias',\
    IoGetDeviceInterfacePropertyData,'IoGetDeviceInterfacePropertyData',\
    IoGetDeviceInterfaces,'IoGetDeviceInterfaces',\
    IoGetDeviceNumaNode,'IoGetDeviceNumaNode',\
    IoGetDeviceObjectPointer,'IoGetDeviceObjectPointer',\
    IoGetDeviceProperty,'IoGetDeviceProperty',\
    IoGetDevicePropertyData,'IoGetDevicePropertyData',\
    IoGetDeviceToVerify,'IoGetDeviceToVerify',\
    IoGetDiskDeviceObject,'IoGetDiskDeviceObject',\
    IoGetDmaAdapter,'IoGetDmaAdapter',\
    IoGetDriverObjectExtension,'IoGetDriverObjectExtension',\
    IoGetFileObjectGenericMapping,'IoGetFileObjectGenericMapping',\
    IoGetInitialStack,'IoGetInitialStack',\
    IoGetInitiatorProcess,'IoGetInitiatorProcess',\
    IoGetIoPriorityHint,'IoGetIoPriorityHint',\
    IoGetIrpExtraCreateParameter,'IoGetIrpExtraCreateParameter',\
    IoGetLowerDeviceObject,'IoGetLowerDeviceObject',\
    IoGetOplockKeyContext,'IoGetOplockKeyContext',\
    IoGetOplockKeyContextEx,'IoGetOplockKeyContextEx',\
    IoGetPagingIoPriority,'IoGetPagingIoPriority',\
    IoGetRelatedDeviceObject,'IoGetRelatedDeviceObject',\
    IoGetRequestorProcess,'IoGetRequestorProcess',\
    IoGetRequestorProcessId,'IoGetRequestorProcessId',\
    IoGetRequestorSessionId,'IoGetRequestorSessionId',\
    IoGetSfioStreamIdentifier,'IoGetSfioStreamIdentifier',\
    IoGetSiloParameters,'IoGetSiloParameters',\
    IoGetStackLimits,'IoGetStackLimits',\
    IoGetTopLevelIrp,'IoGetTopLevelIrp',\
    IoGetTransactionParameterBlock,'IoGetTransactionParameterBlock',\
    IoIncrementKeepAliveCount,'IoIncrementKeepAliveCount',\
    IoInitializeIrp,'IoInitializeIrp',\
    IoInitializeIrpEx,'IoInitializeIrpEx',\
    IoInitializeRemoveLockEx,'IoInitializeRemoveLockEx',\
    IoInitializeTimer,'IoInitializeTimer',\
    IoInitializeWorkItem,'IoInitializeWorkItem',\
    IoInvalidateDeviceRelations,'IoInvalidateDeviceRelations',\
    IoInvalidateDeviceState,'IoInvalidateDeviceState',\
    IoIrpHasFsTrackOffsetExtensionType,'IoIrpHasFsTrackOffsetExtensionType',\
    IoIs32bitProcess,'IoIs32bitProcess',\
    IoIsFileObjectIgnoringSharing,'IoIsFileObjectIgnoringSharing',\
    IoIsFileOriginRemote,'IoIsFileOriginRemote',\
    IoIsInitiator32bitProcess,'IoIsInitiator32bitProcess',\
    IoIsOperationSynchronous,'IoIsOperationSynchronous',\
    IoIsSystemThread,'IoIsSystemThread',\
    IoIsValidIrpStatus,'IoIsValidIrpStatus',\
    IoIsValidNameGraftingBuffer,'IoIsValidNameGraftingBuffer',\
    IoIsWdmVersionAvailable,'IoIsWdmVersionAvailable',\
    IoMakeAssociatedIrp,'IoMakeAssociatedIrp',\
    IoOpenDeviceInterfaceRegistryKey,'IoOpenDeviceInterfaceRegistryKey',\
    IoOpenDeviceRegistryKey,'IoOpenDeviceRegistryKey',\
    IoPageRead,'IoPageRead',\
    IoPnPDeliverServicePowerNotification,'IoPnPDeliverServicePowerNotification',\
    IoPropagateActivityIdToThread,'IoPropagateActivityIdToThread',\
    IoQueryDeviceDescription,'IoQueryDeviceDescription',\
    IoQueryFileDosDeviceName,'IoQueryFileDosDeviceName',\
    IoQueryFileInformation,'IoQueryFileInformation',\
    IoQueryFullDriverPath,'IoQueryFullDriverPath',\
    IoQueryVolumeInformation,'IoQueryVolumeInformation',\
    IoQueueThreadIrp,'IoQueueThreadIrp',\
    IoQueueWorkItem,'IoQueueWorkItem',\
    IoQueueWorkItemEx,'IoQueueWorkItemEx',\
    IoRaiseHardError,'IoRaiseHardError',\
    IoRaiseInformationalHardError,'IoRaiseInformationalHardError',\
    IoReadDiskSignature,'IoReadDiskSignature',\
    IoReadPartitionTable,'IoReadPartitionTable',\
    IoReadPartitionTableEx,'IoReadPartitionTableEx',\
    IoRegisterBootDriverCallback,'IoRegisterBootDriverCallback',\
    IoRegisterBootDriverReinitialization,'IoRegisterBootDriverReinitialization',\
    IoRegisterContainerNotification,'IoRegisterContainerNotification',\
    IoRegisterDeviceInterface,'IoRegisterDeviceInterface',\
    IoRegisterDriverReinitialization,'IoRegisterDriverReinitialization',\
    IoRegisterFileSystem,'IoRegisterFileSystem',\
    IoRegisterFsRegistrationChange,'IoRegisterFsRegistrationChange',\
    IoRegisterFsRegistrationChangeMountAware,'IoRegisterFsRegistrationChangeMountAware',\
    IoRegisterLastChanceShutdownNotification,'IoRegisterLastChanceShutdownNotification',\
    IoRegisterPlugPlayNotification,'IoRegisterPlugPlayNotification',\
    IoRegisterShutdownNotification,'IoRegisterShutdownNotification',\
    IoReleaseCancelSpinLock,'IoReleaseCancelSpinLock',\
    IoReleaseRemoveLockAndWaitEx,'IoReleaseRemoveLockAndWaitEx',\
    IoReleaseRemoveLockEx,'IoReleaseRemoveLockEx',\
    IoReleaseVpbSpinLock,'IoReleaseVpbSpinLock',\
    IoRemoveShareAccess,'IoRemoveShareAccess',\
    IoReplaceFileObjectName,'IoReplaceFileObjectName',\
    IoReplacePartitionUnit,'IoReplacePartitionUnit',\
    IoReportDetectedDevice,'IoReportDetectedDevice',\
    IoReportHalResourceUsage,'IoReportHalResourceUsage',\
    IoReportInterruptActive,'IoReportInterruptActive',\
    IoReportInterruptInactive,'IoReportInterruptInactive',\
    IoReportResourceForDetection,'IoReportResourceForDetection',\
    IoReportResourceUsage,'IoReportResourceUsage',\
    IoReportRootDevice,'IoReportRootDevice',\
    IoReportTargetDeviceChange,'IoReportTargetDeviceChange',\
    IoReportTargetDeviceChangeAsynchronous,'IoReportTargetDeviceChangeAsynchronous',\
    IoRequestDeviceEject,'IoRequestDeviceEject',\
    IoRequestDeviceRemovalForReset,'IoRequestDeviceRemovalForReset',\
    IoReuseIrp,'IoReuseIrp',\
    IoSetActivityIdIrp,'IoSetActivityIdIrp',\
    IoSetActivityIdThread,'IoSetActivityIdThread',\
    IoSetCompletionRoutineEx,'IoSetCompletionRoutineEx',\
    IoSetDeviceInterfacePropertyData,'IoSetDeviceInterfacePropertyData',\
    IoSetDeviceInterfaceState,'IoSetDeviceInterfaceState',\
    IoSetDevicePropertyData,'IoSetDevicePropertyData',\
    IoSetDeviceToVerify,'IoSetDeviceToVerify',\
    IoSetFileObjectIgnoreSharing,'IoSetFileObjectIgnoreSharing',\
    IoSetFileOrigin,'IoSetFileOrigin',\
    IoSetFsTrackOffsetState,'IoSetFsTrackOffsetState',\
    IoSetFsZeroingOffset,'IoSetFsZeroingOffset',\
    IoSetFsZeroingOffsetRequired,'IoSetFsZeroingOffsetRequired',\
    IoSetHardErrorOrVerifyDevice,'IoSetHardErrorOrVerifyDevice',\
    IoSetInformation,'IoSetInformation',\
    IoSetIoCompletion,'IoSetIoCompletion',\
    IoSetIoPriorityHint,'IoSetIoPriorityHint',\
    IoSetIrpExtraCreateParameter,'IoSetIrpExtraCreateParameter',\
    IoSetMasterIrpStatus,'IoSetMasterIrpStatus',\
    IoSetPartitionInformation,'IoSetPartitionInformation',\
    IoSetPartitionInformationEx,'IoSetPartitionInformationEx',\
    IoSetShareAccess,'IoSetShareAccess',\
    IoSetShareAccessEx,'IoSetShareAccessEx',\
    IoSetStartIoAttributes,'IoSetStartIoAttributes',\
    IoSetSystemPartition,'IoSetSystemPartition',\
    IoSetThreadHardErrorMode,'IoSetThreadHardErrorMode',\
    IoSetTopLevelIrp,'IoSetTopLevelIrp',\
    IoSizeOfIrpEx,'IoSizeOfIrpEx',\
    IoSizeofWorkItem,'IoSizeofWorkItem',\
    IoStartNextPacket,'IoStartNextPacket',\
    IoStartNextPacketByKey,'IoStartNextPacketByKey',\
    IoStartPacket,'IoStartPacket',\
    IoStartTimer,'IoStartTimer',\
    IoStopTimer,'IoStopTimer',\
    IoSynchronousInvalidateDeviceRelations,'IoSynchronousInvalidateDeviceRelations',\
    IoSynchronousPageWrite,'IoSynchronousPageWrite',\
    IoThreadToProcess,'IoThreadToProcess',\
    IoTransferActivityId,'IoTransferActivityId',\
    IoTranslateBusAddress,'IoTranslateBusAddress',\
    IoTryQueueWorkItem,'IoTryQueueWorkItem',\
    IoUninitializeWorkItem,'IoUninitializeWorkItem',\
    IoUnregisterBootDriverCallback,'IoUnregisterBootDriverCallback',\
    IoUnregisterContainerNotification,'IoUnregisterContainerNotification',\
    IoUnregisterFileSystem,'IoUnregisterFileSystem',\
    IoUnregisterFsRegistrationChange,'IoUnregisterFsRegistrationChange',\
    IoUnregisterPlugPlayNotification,'IoUnregisterPlugPlayNotification',\
    IoUnregisterPlugPlayNotificationEx,'IoUnregisterPlugPlayNotificationEx',\
    IoUnregisterPriorityCallback,'IoUnregisterPriorityCallback',\
    IoUnregisterShutdownNotification,'IoUnregisterShutdownNotification',\
    IoUpdateShareAccess,'IoUpdateShareAccess',\
    IoValidateDeviceIoControlAccess,'IoValidateDeviceIoControlAccess',\
    IoVerifyPartitionTable,'IoVerifyPartitionTable',\
    IoVerifyVolume,'IoVerifyVolume',\
    IoVolumeDeviceNameToGuid,'IoVolumeDeviceNameToGuid',\
    IoVolumeDeviceToDosName,'IoVolumeDeviceToDosName',\
    IoVolumeDeviceToGuid,'IoVolumeDeviceToGuid',\
    IoWithinStackLimits,'IoWithinStackLimits',\
    IoWMIAllocateInstanceIds,'IoWMIAllocateInstanceIds',\
    IoWMIDeviceObjectToInstanceName,'IoWMIDeviceObjectToInstanceName',\
    IoWMIDeviceObjectToProviderId,'IoWMIDeviceObjectToProviderId',\
    IoWMIExecuteMethod,'IoWMIExecuteMethod',\
    IoWMIHandleToInstanceName,'IoWMIHandleToInstanceName',\
    IoWMIOpenBlock,'IoWMIOpenBlock',\
    IoWMIQueryAllData,'IoWMIQueryAllData',\
    IoWMIQueryAllDataMultiple,'IoWMIQueryAllDataMultiple',\
    IoWMIQuerySingleInstance,'IoWMIQuerySingleInstance',\
    IoWMIQuerySingleInstanceMultiple,'IoWMIQuerySingleInstanceMultiple',\
    IoWMIRegistrationControl,'IoWMIRegistrationControl',\
    IoWMISetNotificationCallback,'IoWMISetNotificationCallback',\
    IoWMISetSingleInstance,'IoWMISetSingleInstance',\
    IoWMISetSingleItem,'IoWMISetSingleItem',\
    IoWMISuggestInstanceName,'IoWMISuggestInstanceName',\
    IoWMIWriteEvent,'IoWMIWriteEvent',\
    IoWriteErrorLogEntry,'IoWriteErrorLogEntry',\
    IoWritePartitionTable,'IoWritePartitionTable',\
    IoWritePartitionTableEx,'IoWritePartitionTableEx',\
    isdigit,'isdigit',\
    islower,'islower',\
    isprint,'isprint',\
    isspace,'isspace',\
    isupper,'isupper',\
    isxdigit,'isxdigit',\
    KdDisableDebugger,'KdDisableDebugger',\
    KdEnableDebugger,'KdEnableDebugger',\
    KdLogDbgPrint,'KdLogDbgPrint',\
    KdPollBreakIn,'KdPollBreakIn',\
    KdPowerTransition,'KdPowerTransition',\
    KdRefreshDebuggerNotPresent,'KdRefreshDebuggerNotPresent',\
    KdSystemDebugControl,'KdSystemDebugControl',\
    Ke386CallBios,'Ke386CallBios',\
    Ke386IoSetAccessProcess,'Ke386IoSetAccessProcess',\
    Ke386QueryIoAccessMap,'Ke386QueryIoAccessMap',\
    Ke386SetIoAccessMap,'Ke386SetIoAccessMap',\
    KeAcquireGuardedMutex,'KeAcquireGuardedMutex',\
    KeAcquireGuardedMutexUnsafe,'KeAcquireGuardedMutexUnsafe',\
    KeAcquireInStackQueuedSpinLockAtDpcLevel,'KeAcquireInStackQueuedSpinLockAtDpcLevel',\
    KeAcquireInStackQueuedSpinLockForDpc,'KeAcquireInStackQueuedSpinLockForDpc',\
    KeAcquireInterruptSpinLock,'KeAcquireInterruptSpinLock',\
    KeAcquireSpinLockAtDpcLevel,'KeAcquireSpinLockAtDpcLevel',\
    KeAcquireSpinLockForDpc,'KeAcquireSpinLockForDpc',\
    KeAddSystemServiceTable,'KeAddSystemServiceTable',\
    KeAlertThread,'KeAlertThread',\
    KeAndAffinityEx,'KeAndAffinityEx',\
    KeAreAllApcsDisabled,'KeAreAllApcsDisabled',\
    KeAreApcsDisabled,'KeAreApcsDisabled',\
    KeAttachProcess,'KeAttachProcess',\
    KeBugCheck,'KeBugCheck',\
    KeBugCheckEx,'KeBugCheckEx',\
    KeCancelTimer,'KeCancelTimer',\
    KeCapturePersistentThreadState,'KeCapturePersistentThreadState',\
    KeClearEvent,'KeClearEvent',\
    KeComplementAffinityEx,'KeComplementAffinityEx',\
    KeConnectInterrupt,'KeConnectInterrupt',\
    KeConvertAuxiliaryCounterToPerformanceCounter,'KeConvertAuxiliaryCounterToPerformanceCounter',\
    KeConvertPerformanceCounterToAuxiliaryCounter,'KeConvertPerformanceCounterToAuxiliaryCounter',\
    KeDelayExecutionThread,'KeDelayExecutionThread',\
    KeDeregisterBoundCallback,'KeDeregisterBoundCallback',\
    KeDeregisterBugCheckCallback,'KeDeregisterBugCheckCallback',\
    KeDeregisterBugCheckReasonCallback,'KeDeregisterBugCheckReasonCallback',\
    KeDeregisterNmiCallback,'KeDeregisterNmiCallback',\
    KeDeregisterProcessorChangeCallback,'KeDeregisterProcessorChangeCallback',\
    KeDetachProcess,'KeDetachProcess',\
    KeDisconnectInterrupt,'KeDisconnectInterrupt',\
    KeEnterCriticalRegion,'KeEnterCriticalRegion',\
    KeEnterGuardedRegion,'KeEnterGuardedRegion',\
    KeEnterKernelDebugger,'KeEnterKernelDebugger',\
    KeExpandKernelStackAndCallout,'KeExpandKernelStackAndCallout',\
    KeExpandKernelStackAndCalloutEx,'KeExpandKernelStackAndCalloutEx',\
    KefAcquireSpinLockAtDpcLevel,'KefAcquireSpinLockAtDpcLevel',\
    KeFindConfigurationEntry,'KeFindConfigurationEntry',\
    KeFindConfigurationNextEntry,'KeFindConfigurationNextEntry',\
    KeFindFirstSetLeftAffinityEx,'KeFindFirstSetLeftAffinityEx',\
    KeFlushEntireTb,'KeFlushEntireTb',\
    KeFlushIoBuffers,'KeFlushIoBuffers',\
    KeFlushQueuedDpcs,'KeFlushQueuedDpcs',\
    KefReleaseSpinLockFromDpcLevel,'KefReleaseSpinLockFromDpcLevel',\
    KeGenericCallDpc,'KeGenericCallDpc',\
    KeGetCurrentNodeNumber,'KeGetCurrentNodeNumber',\
    KeGetCurrentProcessorNumberEx,'KeGetCurrentProcessorNumberEx',\
    KeGetCurrentThread,'KeGetCurrentThread',\
    KeGetPreviousMode,'KeGetPreviousMode',\
    KeGetProcessorIndexFromNumber,'KeGetProcessorIndexFromNumber',\
    KeGetProcessorNumberFromIndex,'KeGetProcessorNumberFromIndex',\
    KeGetRecommendedSharedDataAlignment,'KeGetRecommendedSharedDataAlignment',\
    KeI386AbiosCall,'KeI386AbiosCall',\
    KeI386AllocateGdtSelectors,'KeI386AllocateGdtSelectors',\
    KeI386Call16BitFunction,'KeI386Call16BitFunction',\
    KeI386FlatToGdtSelector,'KeI386FlatToGdtSelector',\
    KeI386GetLid,'KeI386GetLid',\
    KeI386ReleaseGdtSelectors,'KeI386ReleaseGdtSelectors',\
    KeI386ReleaseLid,'KeI386ReleaseLid',\
    KeI386SetGdtSelector,'KeI386SetGdtSelector',\
    KeInitializeApc,'KeInitializeApc',\
    KeInitializeCrashDumpHeader,'KeInitializeCrashDumpHeader',\
    KeInitializeDeviceQueue,'KeInitializeDeviceQueue',\
    KeInitializeDpc,'KeInitializeDpc',\
    KeInitializeEnumerationContext,'KeInitializeEnumerationContext',\
    KeInitializeEvent,'KeInitializeEvent',\
    KeInitializeGuardedMutex,'KeInitializeGuardedMutex',\
    KeInitializeInterrupt,'KeInitializeInterrupt',\
    KeInitializeMutant,'KeInitializeMutant',\
    KeInitializeMutex,'KeInitializeMutex',\
    KeInitializeQueue,'KeInitializeQueue',\
    KeInitializeSemaphore,'KeInitializeSemaphore',\
    KeInitializeSpinLock,'KeInitializeSpinLock',\
    KeInitializeThreadedDpc,'KeInitializeThreadedDpc',\
    KeInitializeTimer,'KeInitializeTimer',\
    KeInitializeTimerEx,'KeInitializeTimerEx',\
    KeInsertByKeyDeviceQueue,'KeInsertByKeyDeviceQueue',\
    KeInsertDeviceQueue,'KeInsertDeviceQueue',\
    KeInsertHeadQueue,'KeInsertHeadQueue',\
    KeInsertQueue,'KeInsertQueue',\
    KeInsertQueueApc,'KeInsertQueueApc',\
    KeInsertQueueDpc,'KeInsertQueueDpc',\
    KeInterlockedSetProcessorAffinityEx,'KeInterlockedSetProcessorAffinityEx',\
    KeInvalidateAllCaches,'KeInvalidateAllCaches',\
    KeInvalidateRangeAllCaches,'KeInvalidateRangeAllCaches',\
    KeIpiGenericCall,'KeIpiGenericCall',\
    KeIsAttachedProcess,'KeIsAttachedProcess',\
    KeIsEmptyAffinityEx,'KeIsEmptyAffinityEx',\
    KeIsEqualAffinityEx,'KeIsEqualAffinityEx',\
    KeIsExecutingDpc,'KeIsExecutingDpc',\
    KeIsSubsetAffinityEx,'KeIsSubsetAffinityEx',\
    KeIsWaitListEmpty,'KeIsWaitListEmpty',\
    KeLeaveCriticalRegion,'KeLeaveCriticalRegion',\
    KeLeaveGuardedRegion,'KeLeaveGuardedRegion',\
    KeProfileInterrupt,'KeProfileInterrupt',\
    KeProfileInterruptWithSource,'KeProfileInterruptWithSource',\
    KePulseEvent,'KePulseEvent',\
    KeQueryActiveGroupCount,'KeQueryActiveGroupCount',\
    KeQueryActiveProcessorCount,'KeQueryActiveProcessorCount',\
    KeQueryActiveProcessorCountEx,'KeQueryActiveProcessorCountEx',\
    KeQueryActiveProcessors,'KeQueryActiveProcessors',\
    KeQueryAuxiliaryCounterFrequency,'KeQueryAuxiliaryCounterFrequency',\
    KeQueryDpcWatchdogInformation,'KeQueryDpcWatchdogInformation',\
    KeQueryGroupAffinity,'KeQueryGroupAffinity',\
    KeQueryHardwareCounterConfiguration,'KeQueryHardwareCounterConfiguration',\
    KeQueryHighestNodeNumber,'KeQueryHighestNodeNumber',\
    KeQueryInterruptTime,'KeQueryInterruptTime',\
    KeQueryInterruptTimePrecise,'KeQueryInterruptTimePrecise',\
    KeQueryLogicalProcessorRelationship,'KeQueryLogicalProcessorRelationship',\
    KeQueryMaximumGroupCount,'KeQueryMaximumGroupCount',\
    KeQueryMaximumProcessorCount,'KeQueryMaximumProcessorCount',\
    KeQueryMaximumProcessorCountEx,'KeQueryMaximumProcessorCountEx',\
    KeQueryNodeActiveAffinity,'KeQueryNodeActiveAffinity',\
    KeQueryNodeMaximumProcessorCount,'KeQueryNodeMaximumProcessorCount',\
    KeQueryPriorityThread,'KeQueryPriorityThread',\
    KeQueryRuntimeThread,'KeQueryRuntimeThread',\
    KeQuerySystemTime,'KeQuerySystemTime',\
    KeQuerySystemTimePrecise,'KeQuerySystemTimePrecise',\
    KeQueryTickCount,'KeQueryTickCount',\
    KeQueryTimeIncrement,'KeQueryTimeIncrement',\
    KeQueryTotalCycleTimeThread,'KeQueryTotalCycleTimeThread',\
    KeQueryUnbiasedInterruptTime,'KeQueryUnbiasedInterruptTime',\
    KeRaiseUserException,'KeRaiseUserException',\
    KeReadStateEvent,'KeReadStateEvent',\
    KeReadStateMutant,'KeReadStateMutant',\
    KeReadStateMutex,'KeReadStateMutex',\
    KeReadStateQueue,'KeReadStateQueue',\
    KeReadStateSemaphore,'KeReadStateSemaphore',\
    KeReadStateTimer,'KeReadStateTimer',\
    KeRegisterBoundCallback,'KeRegisterBoundCallback',\
    KeRegisterBugCheckCallback,'KeRegisterBugCheckCallback',\
    KeRegisterBugCheckReasonCallback,'KeRegisterBugCheckReasonCallback',\
    KeRegisterNmiCallback,'KeRegisterNmiCallback',\
    KeRegisterProcessorChangeCallback,'KeRegisterProcessorChangeCallback',\
    KeReleaseGuardedMutex,'KeReleaseGuardedMutex',\
    KeReleaseGuardedMutexUnsafe,'KeReleaseGuardedMutexUnsafe',\
    KeReleaseInStackQueuedSpinLockForDpc,'KeReleaseInStackQueuedSpinLockForDpc',\
    KeReleaseInStackQueuedSpinLockFromDpcLevel,'KeReleaseInStackQueuedSpinLockFromDpcLevel',\
    KeReleaseInterruptSpinLock,'KeReleaseInterruptSpinLock',\
    KeReleaseMutant,'KeReleaseMutant',\
    KeReleaseMutex,'KeReleaseMutex',\
    KeReleaseSemaphore,'KeReleaseSemaphore',\
    KeReleaseSpinLockForDpc,'KeReleaseSpinLockForDpc',\
    KeReleaseSpinLockFromDpcLevel,'KeReleaseSpinLockFromDpcLevel',\
    KeRemoveByKeyDeviceQueue,'KeRemoveByKeyDeviceQueue',\
    KeRemoveByKeyDeviceQueueIfBusy,'KeRemoveByKeyDeviceQueueIfBusy',\
    KeRemoveDeviceQueue,'KeRemoveDeviceQueue',\
    KeRemoveEntryDeviceQueue,'KeRemoveEntryDeviceQueue',\
    KeRemoveQueue,'KeRemoveQueue',\
    KeRemoveQueueDpc,'KeRemoveQueueDpc',\
    KeRemoveQueueEx,'KeRemoveQueueEx',\
    KeRemoveSystemServiceTable,'KeRemoveSystemServiceTable',\
    KeResetEvent,'KeResetEvent',\
    KeRestoreExtendedProcessorState,'KeRestoreExtendedProcessorState',\
    KeRestoreFloatingPointState,'KeRestoreFloatingPointState',\
    KeRevertToUserAffinityThreadEx,'KeRevertToUserAffinityThreadEx',\
    KeRevertToUserGroupAffinityThread,'KeRevertToUserGroupAffinityThread',\
    KeRundownQueue,'KeRundownQueue',\
    KeSaveExtendedProcessorState,'KeSaveExtendedProcessorState',\
    KeSaveFloatingPointState,'KeSaveFloatingPointState',\
    KeSaveStateForHibernate,'KeSaveStateForHibernate',\
    KeSetAffinityThread,'KeSetAffinityThread',\
    KeSetBasePriorityThread,'KeSetBasePriorityThread',\
    KeSetCoalescableTimer,'KeSetCoalescableTimer',\
    KeSetDmaIoCoherency,'KeSetDmaIoCoherency',\
    KeSetEvent,'KeSetEvent',\
    KeSetEventBoostPriority,'KeSetEventBoostPriority',\
    KeSetHardwareCounterConfiguration,'KeSetHardwareCounterConfiguration',\
    KeSetIdealProcessorThread,'KeSetIdealProcessorThread',\
    KeSetImportanceDpc,'KeSetImportanceDpc',\
    KeSetKernelStackSwapEnable,'KeSetKernelStackSwapEnable',\
    KeSetPriorityThread,'KeSetPriorityThread',\
    KeSetProfileIrql,'KeSetProfileIrql',\
    KeSetSystemAffinityThread,'KeSetSystemAffinityThread',\
    KeSetSystemAffinityThreadEx,'KeSetSystemAffinityThreadEx',\
    KeSetSystemGroupAffinityThread,'KeSetSystemGroupAffinityThread',\
    KeSetTargetProcessorDpc,'KeSetTargetProcessorDpc',\
    KeSetTargetProcessorDpcEx,'KeSetTargetProcessorDpcEx',\
    KeSetTimeIncrement,'KeSetTimeIncrement',\
    KeSetTimer,'KeSetTimer',\
    KeSetTimerEx,'KeSetTimerEx',\
    KeShouldYieldProcessor,'KeShouldYieldProcessor',\
    KeStackAttachProcess,'KeStackAttachProcess',\
    KeSynchronizeExecution,'KeSynchronizeExecution',\
    KeTerminateThread,'KeTerminateThread',\
    KeTestAlertThread,'KeTestAlertThread',\
    KeTestSpinLock,'KeTestSpinLock',\
    KeTryToAcquireGuardedMutex,'KeTryToAcquireGuardedMutex',\
    KeTryToAcquireSpinLockAtDpcLevel,'KeTryToAcquireSpinLockAtDpcLevel',\
    KeUnstackDetachProcess,'KeUnstackDetachProcess',\
    KeUpdateRunTime,'KeUpdateRunTime',\
    KeUserModeCallback,'KeUserModeCallback',\
    KeWaitForMultipleObjects,'KeWaitForMultipleObjects',\
    KeWaitForMutexObject,'KeWaitForMutexObject',\
    KeWaitForSingleObject,'KeWaitForSingleObject',\
    KiAcquireSpinLock,'KiAcquireSpinLock',\
    KiCheckForKernelApcDelivery,'KiCheckForKernelApcDelivery',\
    KiCoprocessorError,'KiCoprocessorError',\
    KiDeliverApc,'KiDeliverApc',\
    Kii386SpinOnSpinLock,'Kii386SpinOnSpinLock',\
    KiIpiServiceRoutine,'KiIpiServiceRoutine',\
    KiReleaseSpinLock,'KiReleaseSpinLock',\
    LdrAccessResource,'LdrAccessResource',\
    LdrEnumResources,'LdrEnumResources',\
    LdrFindResource_U,'LdrFindResource_U',\
    LdrFindResourceDirectory_U,'LdrFindResourceDirectory_U',\
    LpcRequestPort,'LpcRequestPort',\
    LpcRequestWaitReplyPort,'LpcRequestWaitReplyPort',\
    LpcRequestWaitReplyPortEx,'LpcRequestWaitReplyPortEx',\
    LsaCallAuthenticationPackage,'LsaCallAuthenticationPackage',\
    LsaDeregisterLogonProcess,'LsaDeregisterLogonProcess',\
    LsaFreeReturnBuffer,'LsaFreeReturnBuffer',\
    LsaLogonUser,'LsaLogonUser',\
    LsaLookupAuthenticationPackage,'LsaLookupAuthenticationPackage',\
    LsaRegisterLogonProcess,'LsaRegisterLogonProcess',\
    mbstowcs,'mbstowcs',\
    mbtowc,'mbtowc',\
    memchr,'memchr',\
    memcpy,'memcpy',\
    memcpy_s,'memcpy_s',\
    memmove,'memmove',\
    memmove_s,'memmove_s',\
    memset,'memset',\
    MmAddPhysicalMemory,'MmAddPhysicalMemory',\
    MmAddVerifierThunks,'MmAddVerifierThunks',\
    MmAdjustWorkingSetSize,'MmAdjustWorkingSetSize',\
    MmAdvanceMdl,'MmAdvanceMdl',\
    MmAllocateContiguousMemory,'MmAllocateContiguousMemory',\
    MmAllocateContiguousMemorySpecifyCache,'MmAllocateContiguousMemorySpecifyCache',\
    MmAllocateContiguousMemorySpecifyCacheNode,'MmAllocateContiguousMemorySpecifyCacheNode',\
    MmAllocateContiguousNodeMemory,'MmAllocateContiguousNodeMemory',\
    MmAllocateMappingAddress,'MmAllocateMappingAddress',\
    MmAllocateMdlForIoSpace,'MmAllocateMdlForIoSpace',\
    MmAllocateNodePagesForMdlEx,'MmAllocateNodePagesForMdlEx',\
    MmAllocateNonCachedMemory,'MmAllocateNonCachedMemory',\
    MmAllocatePagesForMdl,'MmAllocatePagesForMdl',\
    MmAllocatePagesForMdlEx,'MmAllocatePagesForMdlEx',\
    MmBuildMdlForNonPagedPool,'MmBuildMdlForNonPagedPool',\
    MmCanFileBeTruncated,'MmCanFileBeTruncated',\
    MmCommitSessionMappedView,'MmCommitSessionMappedView',\
    MmCopyMemory,'MmCopyMemory',\
    MmCopyVirtualMemory,'MmCopyVirtualMemory',\
    MmCreateMdl,'MmCreateMdl',\
    MmCreateMirror,'MmCreateMirror',\
    MmCreateSection,'MmCreateSection',\
    MmDisableModifiedWriteOfSection,'MmDisableModifiedWriteOfSection',\
    MmDoesFileHaveUserWritableReferences,'MmDoesFileHaveUserWritableReferences',\
    MmFlushImageSection,'MmFlushImageSection',\
    MmForceSectionClosed,'MmForceSectionClosed',\
    MmFreeContiguousMemory,'MmFreeContiguousMemory',\
    MmFreeContiguousMemorySpecifyCache,'MmFreeContiguousMemorySpecifyCache',\
    MmFreeMappingAddress,'MmFreeMappingAddress',\
    MmFreeNonCachedMemory,'MmFreeNonCachedMemory',\
    MmFreePagesFromMdl,'MmFreePagesFromMdl',\
    MmGetMaximumFileSectionSize,'MmGetMaximumFileSectionSize',\
    MmGetPhysicalAddress,'MmGetPhysicalAddress',\
    MmGetPhysicalMemoryRanges,'MmGetPhysicalMemoryRanges',\
    MmGetSystemRoutineAddress,'MmGetSystemRoutineAddress',\
    MmGetVirtualForPhysical,'MmGetVirtualForPhysical',\
    MmGrowKernelStack,'MmGrowKernelStack',\
    MmIsAddressValid,'MmIsAddressValid',\
    MmIsDriverSuspectForVerifier,'MmIsDriverSuspectForVerifier',\
    MmIsDriverVerifying,'MmIsDriverVerifying',\
    MmIsDriverVerifyingByAddress,'MmIsDriverVerifyingByAddress',\
    MmIsIoSpaceActive,'MmIsIoSpaceActive',\
    MmIsNonPagedSystemAddressValid,'MmIsNonPagedSystemAddressValid',\
    MmIsRecursiveIoFault,'MmIsRecursiveIoFault',\
    MmIsThisAnNtAsSystem,'MmIsThisAnNtAsSystem',\
    MmIsVerifierEnabled,'MmIsVerifierEnabled',\
    MmLoadSystemImage,'MmLoadSystemImage',\
    MmLockPagableDataSection,'MmLockPagableDataSection',\
    MmLockPagableImageSection,'MmLockPagableImageSection',\
    MmLockPagableSectionByHandle,'MmLockPagableSectionByHandle',\
    MmMapIoSpace,'MmMapIoSpace',\
    MmMapIoSpaceEx,'MmMapIoSpaceEx',\
    MmMapLockedPages,'MmMapLockedPages',\
    MmMapLockedPagesSpecifyCache,'MmMapLockedPagesSpecifyCache',\
    MmMapLockedPagesWithReservedMapping,'MmMapLockedPagesWithReservedMapping',\
    MmMapMemoryDumpMdl,'MmMapMemoryDumpMdl',\
    MmMapUserAddressesToPage,'MmMapUserAddressesToPage',\
    MmMapVideoDisplay,'MmMapVideoDisplay',\
    MmMapViewInSessionSpace,'MmMapViewInSessionSpace',\
    MmMapViewInSystemSpace,'MmMapViewInSystemSpace',\
    MmMapViewOfSection,'MmMapViewOfSection',\
    MmMarkPhysicalMemoryAsBad,'MmMarkPhysicalMemoryAsBad',\
    MmMarkPhysicalMemoryAsGood,'MmMarkPhysicalMemoryAsGood',\
    MmMdlPagesAreZero,'MmMdlPagesAreZero',\
    MmPageEntireDriver,'MmPageEntireDriver',\
    MmPrefetchPages,'MmPrefetchPages',\
    MmProbeAndLockPages,'MmProbeAndLockPages',\
    MmProbeAndLockProcessPages,'MmProbeAndLockProcessPages',\
    MmProbeAndLockSelectedPages,'MmProbeAndLockSelectedPages',\
    MmProtectMdlSystemAddress,'MmProtectMdlSystemAddress',\
    MmQuerySystemSize,'MmQuerySystemSize',\
    MmRemovePhysicalMemory,'MmRemovePhysicalMemory',\
    MmResetDriverPaging,'MmResetDriverPaging',\
    MmRotatePhysicalView,'MmRotatePhysicalView',\
    MmSecureVirtualMemory,'MmSecureVirtualMemory',\
    MmSetAddressRangeModified,'MmSetAddressRangeModified',\
    MmSetBankedSection,'MmSetBankedSection',\
    MmSizeOfMdl,'MmSizeOfMdl',\
    MmTrimAllSystemPagableMemory,'MmTrimAllSystemPagableMemory',\
    MmUnloadSystemImage,'MmUnloadSystemImage',\
    MmUnlockPagableImageSection,'MmUnlockPagableImageSection',\
    MmUnlockPages,'MmUnlockPages',\
    MmUnmapIoSpace,'MmUnmapIoSpace',\
    MmUnmapLockedPages,'MmUnmapLockedPages',\
    MmUnmapReservedMapping,'MmUnmapReservedMapping',\
    MmUnmapVideoDisplay,'MmUnmapVideoDisplay',\
    MmUnmapViewInSessionSpace,'MmUnmapViewInSessionSpace',\
    MmUnmapViewInSystemSpace,'MmUnmapViewInSystemSpace',\
    MmUnmapViewOfSection,'MmUnmapViewOfSection',\
    MmUnsecureVirtualMemory,'MmUnsecureVirtualMemory',\
    NlsOemLeadByteInfo,'NlsOemLeadByteInfo',\
    NtAddAtom,'NtAddAtom',\
    NtAdjustPrivilegesToken,'NtAdjustPrivilegesToken',\
    NtAllocateLocallyUniqueId,'NtAllocateLocallyUniqueId',\
    NtAllocateUuids,'NtAllocateUuids',\
    NtAllocateVirtualMemory,'NtAllocateVirtualMemory',\
    NtClose,'NtClose',\
    NtCommitComplete,'NtCommitComplete',\
    NtCommitEnlistment,'NtCommitEnlistment',\
    NtCommitTransaction,'NtCommitTransaction',\
    NtConnectPort,'NtConnectPort',\
    NtCreateEnlistment,'NtCreateEnlistment',\
    NtCreateEvent,'NtCreateEvent',\
    NtCreateFile,'NtCreateFile',\
    NtCreateResourceManager,'NtCreateResourceManager',\
    NtCreateSection,'NtCreateSection',\
    NtCreateTransaction,'NtCreateTransaction',\
    NtCreateTransactionManager,'NtCreateTransactionManager',\
    NtDeleteAtom,'NtDeleteAtom',\
    NtDeleteFile,'NtDeleteFile',\
    NtDeviceIoControlFile,'NtDeviceIoControlFile',\
    NtDuplicateObject,'NtDuplicateObject',\
    NtDuplicateToken,'NtDuplicateToken',\
    NtEnumerateTransactionObject,'NtEnumerateTransactionObject',\
    NtFindAtom,'NtFindAtom',\
    NtFreeVirtualMemory,'NtFreeVirtualMemory',\
    NtFreezeTransactions,'NtFreezeTransactions',\
    NtFsControlFile,'NtFsControlFile',\
    NtGetNotificationResourceManager,'NtGetNotificationResourceManager',\
    NtLockFile,'NtLockFile',\
    NtMakePermanentObject,'NtMakePermanentObject',\
    NtMapViewOfSection,'NtMapViewOfSection',\
    NtNotifyChangeDirectoryFile,'NtNotifyChangeDirectoryFile',\
    NtOpenEnlistment,'NtOpenEnlistment',\
    NtOpenFile,'NtOpenFile',\
    NtOpenProcess,'NtOpenProcess',\
    NtOpenProcessToken,'NtOpenProcessToken',\
    NtOpenProcessTokenEx,'NtOpenProcessTokenEx',\
    NtOpenResourceManager,'NtOpenResourceManager',\
    NtOpenThread,'NtOpenThread',\
    NtOpenThreadToken,'NtOpenThreadToken',\
    NtOpenThreadTokenEx,'NtOpenThreadTokenEx',\
    NtOpenTransaction,'NtOpenTransaction',\
    NtOpenTransactionManager,'NtOpenTransactionManager',\
    NtPrepareComplete,'NtPrepareComplete',\
    NtPrepareEnlistment,'NtPrepareEnlistment',\
    NtPrePrepareComplete,'NtPrePrepareComplete',\
    NtPrePrepareEnlistment,'NtPrePrepareEnlistment',\
    NtPropagationComplete,'NtPropagationComplete',\
    NtPropagationFailed,'NtPropagationFailed',\
    NtQueryDirectoryFile,'NtQueryDirectoryFile',\
    NtQueryEaFile,'NtQueryEaFile',\
    NtQueryInformationAtom,'NtQueryInformationAtom',\
    NtQueryInformationEnlistment,'NtQueryInformationEnlistment',\
    NtQueryInformationFile,'NtQueryInformationFile',\
    NtQueryInformationProcess,'NtQueryInformationProcess',\
    NtQueryInformationResourceManager,'NtQueryInformationResourceManager',\
    NtQueryInformationThread,'NtQueryInformationThread',\
    NtQueryInformationToken,'NtQueryInformationToken',\
    NtQueryInformationTransaction,'NtQueryInformationTransaction',\
    NtQueryInformationTransactionManager,'NtQueryInformationTransactionManager',\
    NtQueryQuotaInformationFile,'NtQueryQuotaInformationFile',\
    NtQuerySecurityAttributesToken,'NtQuerySecurityAttributesToken',\
    NtQuerySecurityObject,'NtQuerySecurityObject',\
    NtQuerySystemInformation,'NtQuerySystemInformation',\
    NtQuerySystemInformationEx,'NtQuerySystemInformationEx',\
    NtQueryVolumeInformationFile,'NtQueryVolumeInformationFile',\
    NtReadFile,'NtReadFile',\
    NtReadOnlyEnlistment,'NtReadOnlyEnlistment',\
    NtRecoverEnlistment,'NtRecoverEnlistment',\
    NtRecoverResourceManager,'NtRecoverResourceManager',\
    NtRecoverTransactionManager,'NtRecoverTransactionManager',\
    NtRequestPort,'NtRequestPort',\
    NtRequestWaitReplyPort,'NtRequestWaitReplyPort',\
    NtRollbackComplete,'NtRollbackComplete',\
    NtRollbackEnlistment,'NtRollbackEnlistment',\
    NtRollbackTransaction,'NtRollbackTransaction',\
    NtSetEaFile,'NtSetEaFile',\
    NtSetEvent,'NtSetEvent',\
    NtSetInformationEnlistment,'NtSetInformationEnlistment',\
    NtSetInformationFile,'NtSetInformationFile',\
    NtSetInformationProcess,'NtSetInformationProcess',\
    NtSetInformationResourceManager,'NtSetInformationResourceManager',\
    NtSetInformationThread,'NtSetInformationThread',\
    NtSetInformationToken,'NtSetInformationToken',\
    NtSetInformationTransaction,'NtSetInformationTransaction',\
    NtSetQuotaInformationFile,'NtSetQuotaInformationFile',\
    NtSetSecurityObject,'NtSetSecurityObject',\
    NtSetVolumeInformationFile,'NtSetVolumeInformationFile',\
    NtShutdownSystem,'NtShutdownSystem',\
    NtThawTransactions,'NtThawTransactions',\
    NtTraceControl,'NtTraceControl',\
    NtTraceEvent,'NtTraceEvent',\
    NtUnlockFile,'NtUnlockFile',\
    NtVdmControl,'NtVdmControl',\
    NtWaitForSingleObject,'NtWaitForSingleObject',\
    NtWriteFile,'NtWriteFile',\
    ObAssignSecurity,'ObAssignSecurity',\
    ObCheckCreateObjectAccess,'ObCheckCreateObjectAccess',\
    ObCheckObjectAccess,'ObCheckObjectAccess',\
    ObCloseHandle,'ObCloseHandle',\
    ObCreateObject,'ObCreateObject',\
    ObCreateObjectType,'ObCreateObjectType',\
    ObDeleteCapturedInsertInfo,'ObDeleteCapturedInsertInfo',\
    ObDereferenceObject,'ObDereferenceObject',\
    ObDereferenceObjectDeferDelete,'ObDereferenceObjectDeferDelete',\
    ObDereferenceObjectDeferDeleteWithTag,'ObDereferenceObjectDeferDeleteWithTag',\
    ObDereferenceSecurityDescriptor,'ObDereferenceSecurityDescriptor',\
    ObDuplicateObject,'ObDuplicateObject',\
    ObfDereferenceObject,'ObfDereferenceObject',\
    ObFindHandleForObject,'ObFindHandleForObject',\
    ObfReferenceObject,'ObfReferenceObject',\
    ObfReferenceObjectWithTag,'ObfReferenceObjectWithTag',\
    ObGetFilterVersion,'ObGetFilterVersion',\
    ObGetObjectSecurity,'ObGetObjectSecurity',\
    ObInsertObject,'ObInsertObject',\
    ObIsDosDeviceLocallyMapped,'ObIsDosDeviceLocallyMapped',\
    ObIsKernelHandle,'ObIsKernelHandle',\
    ObLogSecurityDescriptor,'ObLogSecurityDescriptor',\
    ObMakeTemporaryObject,'ObMakeTemporaryObject',\
    ObOpenObjectByName,'ObOpenObjectByName',\
    ObOpenObjectByPointer,'ObOpenObjectByPointer',\
    ObOpenObjectByPointerWithTag,'ObOpenObjectByPointerWithTag',\
    ObQueryNameInfo,'ObQueryNameInfo',\
    ObQueryNameString,'ObQueryNameString',\
    ObQueryObjectAuditingByHandle,'ObQueryObjectAuditingByHandle',\
    ObReferenceObjectByHandle,'ObReferenceObjectByHandle',\
    ObReferenceObjectByHandleWithTag,'ObReferenceObjectByHandleWithTag',\
    ObReferenceObjectByName,'ObReferenceObjectByName',\
    ObReferenceObjectByPointer,'ObReferenceObjectByPointer',\
    ObReferenceObjectByPointerWithTag,'ObReferenceObjectByPointerWithTag',\
    ObReferenceObjectSafe,'ObReferenceObjectSafe',\
    ObReferenceSecurityDescriptor,'ObReferenceSecurityDescriptor',\
    ObRegisterCallbacks,'ObRegisterCallbacks',\
    ObReleaseObjectSecurity,'ObReleaseObjectSecurity',\
    ObSetHandleAttributes,'ObSetHandleAttributes',\
    ObSetSecurityDescriptorInfo,'ObSetSecurityDescriptorInfo',\
    ObSetSecurityObjectByPointer,'ObSetSecurityObjectByPointer',\
    ObUnRegisterCallbacks,'ObUnRegisterCallbacks',\
    ObWaitForSingleObject,'ObWaitForSingleObject',\
    PcwAddInstance,'PcwAddInstance',\
    PcwCloseInstance,'PcwCloseInstance',\
    PcwCreateInstance,'PcwCreateInstance',\
    PcwRegister,'PcwRegister',\
    PcwUnregister,'PcwUnregister',\
    PfxFindPrefix,'PfxFindPrefix',\
    PfxInitialize,'PfxInitialize',\
    PfxInsertPrefix,'PfxInsertPrefix',\
    PfxRemovePrefix,'PfxRemovePrefix',\
    PoCallDriver,'PoCallDriver',\
    PoCancelDeviceNotify,'PoCancelDeviceNotify',\
    PoClearPowerRequest,'PoClearPowerRequest',\
    PoCreatePowerRequest,'PoCreatePowerRequest',\
    PoCreateThermalRequest,'PoCreateThermalRequest',\
    PoDeletePowerRequest,'PoDeletePowerRequest',\
    PoDeleteThermalRequest,'PoDeleteThermalRequest',\
    PoEndDeviceBusy,'PoEndDeviceBusy',\
    PoFxActivateComponent,'PoFxActivateComponent',\
    PoFxCompleteDevicePowerNotRequired,'PoFxCompleteDevicePowerNotRequired',\
    PoFxCompleteIdleCondition,'PoFxCompleteIdleCondition',\
    PoFxCompleteIdleState,'PoFxCompleteIdleState',\
    PoFxIdleComponent,'PoFxIdleComponent',\
    PoFxIssueComponentPerfStateChange,'PoFxIssueComponentPerfStateChange',\
    PoFxIssueComponentPerfStateChangeMultiple,'PoFxIssueComponentPerfStateChangeMultiple',\
    PoFxNotifySurprisePowerOn,'PoFxNotifySurprisePowerOn',\
    PoFxPowerControl,'PoFxPowerControl',\
    PoFxPowerOnCrashdumpDevice,'PoFxPowerOnCrashdumpDevice',\
    PoFxQueryCurrentComponentPerfState,'PoFxQueryCurrentComponentPerfState',\
    PoFxRegisterComponentPerfStates,'PoFxRegisterComponentPerfStates',\
    PoFxRegisterCrashdumpDevice,'PoFxRegisterCrashdumpDevice',\
    PoFxRegisterDevice,'PoFxRegisterDevice',\
    PoFxReportDevicePoweredOn,'PoFxReportDevicePoweredOn',\
    PoFxSetComponentLatency,'PoFxSetComponentLatency',\
    PoFxSetComponentResidency,'PoFxSetComponentResidency',\
    PoFxSetComponentWake,'PoFxSetComponentWake',\
    PoFxSetDeviceIdleTimeout,'PoFxSetDeviceIdleTimeout',\
    PoFxStartDevicePowerManagement,'PoFxStartDevicePowerManagement',\
    PoFxUnregisterDevice,'PoFxUnregisterDevice',\
    PoGetSystemWake,'PoGetSystemWake',\
    PoGetThermalRequestSupport,'PoGetThermalRequestSupport',\
    PoQueryWatchdogTime,'PoQueryWatchdogTime',\
    PoRegisterDeviceForIdleDetection,'PoRegisterDeviceForIdleDetection',\
    PoRegisterDeviceNotify,'PoRegisterDeviceNotify',\
    PoRegisterPowerSettingCallback,'PoRegisterPowerSettingCallback',\
    PoRegisterSystemState,'PoRegisterSystemState',\
    PoRequestPowerIrp,'PoRequestPowerIrp',\
    PoRequestShutdownEvent,'PoRequestShutdownEvent',\
    PoSetDeviceBusyEx,'PoSetDeviceBusyEx',\
    PoSetHiberRange,'PoSetHiberRange',\
    PoSetPowerRequest,'PoSetPowerRequest',\
    PoSetPowerState,'PoSetPowerState',\
    PoSetSystemState,'PoSetSystemState',\
    PoSetSystemWake,'PoSetSystemWake',\
    PoSetThermalActiveCooling,'PoSetThermalActiveCooling',\
    PoSetThermalPassiveCooling,'PoSetThermalPassiveCooling',\
    PoShutdownBugCheck,'PoShutdownBugCheck',\
    PoStartDeviceBusy,'PoStartDeviceBusy',\
    PoStartNextPowerIrp,'PoStartNextPowerIrp',\
    PoUnregisterPowerSettingCallback,'PoUnregisterPowerSettingCallback',\
    PoUnregisterSystemState,'PoUnregisterSystemState',\
    ProbeForRead,'ProbeForRead',\
    ProbeForWrite,'ProbeForWrite',\
    PsAcquireProcessExitSynchronization,'PsAcquireProcessExitSynchronization',\
    PsAllocateMonitorContextServerSilo,'PsAllocateMonitorContextServerSilo',\
    PsAssignImpersonationToken,'PsAssignImpersonationToken',\
    PsAttachSiloToCurrentThread,'PsAttachSiloToCurrentThread',\
    PsChargePoolQuota,'PsChargePoolQuota',\
    PsChargeProcessNonPagedPoolQuota,'PsChargeProcessNonPagedPoolQuota',\
    PsChargeProcessPagedPoolQuota,'PsChargeProcessPagedPoolQuota',\
    PsChargeProcessPoolQuota,'PsChargeProcessPoolQuota',\
    PsCreateSystemProcess,'PsCreateSystemProcess',\
    PsCreateSystemThread,'PsCreateSystemThread',\
    PsCreateSystemThreadEx,'PsCreateSystemThreadEx',\
    PsDeleteMonitorContextServerSilo,'PsDeleteMonitorContextServerSilo',\
    PsDereferenceImpersonationToken,'PsDereferenceImpersonationToken',\
    PsDereferenceMonitorContextServerSilo,'PsDereferenceMonitorContextServerSilo',\
    PsDereferencePrimaryToken,'PsDereferencePrimaryToken',\
    PsDetachSiloFromCurrentThread,'PsDetachSiloFromCurrentThread',\
    PsDisableImpersonation,'PsDisableImpersonation',\
    PsEqualCurrentServerSilo,'PsEqualCurrentServerSilo',\
    PsEqualCurrentSilo,'PsEqualCurrentSilo',\
    PsEstablishWin32Callouts,'PsEstablishWin32Callouts',\
    PsGetContextThread,'PsGetContextThread',\
    PsGetCurrentProcess,'PsGetCurrentProcess',\
    PsGetCurrentProcessId,'PsGetCurrentProcessId',\
    PsGetCurrentProcessSessionId,'PsGetCurrentProcessSessionId',\
    PsGetCurrentProcessWin32Process,'PsGetCurrentProcessWin32Process',\
    PsGetCurrentServerSilo,'PsGetCurrentServerSilo',\
    PsGetCurrentServerSiloName,'PsGetCurrentServerSiloName',\
    PsGetCurrentSilo,'PsGetCurrentSilo',\
    PsGetCurrentSiloObject,'PsGetCurrentSiloObject',\
    PsGetCurrentThread,'PsGetCurrentThread',\
    PsGetCurrentThreadId,'PsGetCurrentThreadId',\
    PsGetCurrentThreadPreviousMode,'PsGetCurrentThreadPreviousMode',\
    PsGetCurrentThreadProcess,'PsGetCurrentThreadProcess',\
    PsGetCurrentThreadProcessId,'PsGetCurrentThreadProcessId',\
    PsGetCurrentThreadStackBase,'PsGetCurrentThreadStackBase',\
    PsGetCurrentThreadStackLimit,'PsGetCurrentThreadStackLimit',\
    PsGetCurrentThreadTeb,'PsGetCurrentThreadTeb',\
    PsGetCurrentThreadWin32Thread,'PsGetCurrentThreadWin32Thread',\
    PsGetJobLock,'PsGetJobLock',\
    PsGetJobServerSilo,'PsGetJobServerSilo',\
    PsGetJobSessionId,'PsGetJobSessionId',\
    PsGetJobUIRestrictionsClass,'PsGetJobUIRestrictionsClass',\
    PsGetMonitorContextServerSilo,'PsGetMonitorContextServerSilo',\
    PsGetProcessCreateTimeQuadPart,'PsGetProcessCreateTimeQuadPart',\
    PsGetProcessDebugPort,'PsGetProcessDebugPort',\
    PsGetProcessExitProcessCalled,'PsGetProcessExitProcessCalled',\
    PsGetProcessExitStatus,'PsGetProcessExitStatus',\
    PsGetProcessExitTime,'PsGetProcessExitTime',\
    PsGetProcessId,'PsGetProcessId',\
    PsGetProcessImageFileName,'PsGetProcessImageFileName',\
    PsGetProcessInheritedFromUniqueProcessId,'PsGetProcessInheritedFromUniqueProcessId',\
    PsGetProcessJob,'PsGetProcessJob',\
    PsGetProcessPeb,'PsGetProcessPeb',\
    PsGetProcessPriorityClass,'PsGetProcessPriorityClass',\
    PsGetProcessSectionBaseAddress,'PsGetProcessSectionBaseAddress',\
    PsGetProcessSecurityPort,'PsGetProcessSecurityPort',\
    PsGetProcessSessionId,'PsGetProcessSessionId',\
    PsGetProcessWin32Process,'PsGetProcessWin32Process',\
    PsGetProcessWin32WindowStation,'PsGetProcessWin32WindowStation',\
    PsGetServerSiloServiceSessionId,'PsGetServerSiloServiceSessionId',\
    PsGetSiloObjectFromJob,'PsGetSiloObjectFromJob',\
    PsGetThreadCreateTime,'PsGetThreadCreateTime',\
    PsGetThreadExitStatus,'PsGetThreadExitStatus',\
    PsGetThreadFreezeCount,'PsGetThreadFreezeCount',\
    PsGetThreadHardErrorsAreDisabled,'PsGetThreadHardErrorsAreDisabled',\
    PsGetThreadId,'PsGetThreadId',\
    PsGetThreadProcess,'PsGetThreadProcess',\
    PsGetThreadProcessId,'PsGetThreadProcessId',\
    PsGetThreadProperty,'PsGetThreadProperty',\
    PsGetThreadSessionId,'PsGetThreadSessionId',\
    PsGetThreadTeb,'PsGetThreadTeb',\
    PsGetThreadWin32Thread,'PsGetThreadWin32Thread',\
    PsGetVersion,'PsGetVersion',\
    PsImpersonateClient,'PsImpersonateClient',\
    PsInsertSiloObjectFromJob,'PsInsertSiloObjectFromJob',\
    PsIsCurrentThreadInServerSilo,'PsIsCurrentThreadInServerSilo',\
    PsIsCurrentThreadPrefetching,'PsIsCurrentThreadPrefetching',\
    PsIsDiskCountersEnabled,'PsIsDiskCountersEnabled',\
    PsIsHostSilo,'PsIsHostSilo',\
    PsIsProcessBeingDebugged,'PsIsProcessBeingDebugged',\
    PsIsSystemProcess,'PsIsSystemProcess',\
    PsIsSystemThread,'PsIsSystemThread',\
    PsIsThreadImpersonating,'PsIsThreadImpersonating',\
    PsIsThreadTerminating,'PsIsThreadTerminating',\
    PsLookupProcessByProcessId,'PsLookupProcessByProcessId',\
    PsLookupProcessThreadByCid,'PsLookupProcessThreadByCid',\
    PsLookupThreadByThreadId,'PsLookupThreadByThreadId',\
    PsProcessType,'PsProcessType',\
    PsQueryTotalCycleTimeProcess,'PsQueryTotalCycleTimeProcess',\
    PsReferenceImpersonationToken,'PsReferenceImpersonationToken',\
    PsReferenceMonitorContextServerSilo,'PsReferenceMonitorContextServerSilo',\
    PsReferencePrimaryToken,'PsReferencePrimaryToken',\
    PsReferenceProcessFilePointer,'PsReferenceProcessFilePointer',\
    PsRegisterMonitorServerSilo,'PsRegisterMonitorServerSilo',\
    PsRegisterPicoProvider,'PsRegisterPicoProvider',\
    PsRemoveCreateThreadNotifyRoutine,'PsRemoveCreateThreadNotifyRoutine',\
    PsRemoveLoadImageNotifyRoutine,'PsRemoveLoadImageNotifyRoutine',\
    PsRemoveSiloObjectFromJob,'PsRemoveSiloObjectFromJob',\
    PsRestoreImpersonation,'PsRestoreImpersonation',\
    PsResumeProcess,'PsResumeProcess',\
    PsReturnPoolQuota,'PsReturnPoolQuota',\
    PsReturnProcessNonPagedPoolQuota,'PsReturnProcessNonPagedPoolQuota',\
    PsReturnProcessPagedPoolQuota,'PsReturnProcessPagedPoolQuota',\
    PsRevertThreadToSelf,'PsRevertThreadToSelf',\
    PsRevertToSelf,'PsRevertToSelf',\
    PsSetContextThread,'PsSetContextThread',\
    PsSetCreateProcessNotifyRoutine,'PsSetCreateProcessNotifyRoutine',\
    PsSetCreateProcessNotifyRoutineEx,'PsSetCreateProcessNotifyRoutineEx',\
    PsSetCreateThreadNotifyRoutine,'PsSetCreateThreadNotifyRoutine',\
    PsSetCreateThreadNotifyRoutineEx,'PsSetCreateThreadNotifyRoutineEx',\
    PsSetCurrentThreadPrefetching,'PsSetCurrentThreadPrefetching',\
    PsSetJobUIRestrictionsClass,'PsSetJobUIRestrictionsClass',\
    PsSetLegoNotifyRoutine,'PsSetLegoNotifyRoutine',\
    PsSetLoadImageNotifyRoutine,'PsSetLoadImageNotifyRoutine',\
    PsSetMonitorContextServerSilo,'PsSetMonitorContextServerSilo',\
    PsSetProcessPriorityByClass,'PsSetProcessPriorityByClass',\
    PsSetProcessPriorityClass,'PsSetProcessPriorityClass',\
    PsSetProcessSecurityPort,'PsSetProcessSecurityPort',\
    PsSetProcessWin32Process,'PsSetProcessWin32Process',\
    PsSetProcessWindowStation,'PsSetProcessWindowStation',\
    PsSetThreadHardErrorsAreDisabled,'PsSetThreadHardErrorsAreDisabled',\
    PsSetThreadWin32Thread,'PsSetThreadWin32Thread',\
    PsStartMonitorServerSilo,'PsStartMonitorServerSilo',\
    PsSuspendProcess,'PsSuspendProcess',\
    PsTerminateSystemThread,'PsTerminateSystemThread',\
    PsThreadType,'PsThreadType',\
    PsUnregisterMonitorServerSilo,'PsUnregisterMonitorServerSilo',\
    PsUpdateDiskCounters,'PsUpdateDiskCounters',\
    PsWrapApcWow64Thread,'PsWrapApcWow64Thread',\
    qsort,'qsort',\
    rand,'rand',\
    READ_REGISTER_BUFFER_UCHAR,'READ_REGISTER_BUFFER_UCHAR',\
    READ_REGISTER_BUFFER_ULONG,'READ_REGISTER_BUFFER_ULONG',\
    READ_REGISTER_BUFFER_USHORT,'READ_REGISTER_BUFFER_USHORT',\
    READ_REGISTER_UCHAR,'READ_REGISTER_UCHAR',\
    READ_REGISTER_ULONG,'READ_REGISTER_ULONG',\
    READ_REGISTER_USHORT,'READ_REGISTER_USHORT',\
    RtlAbsoluteToSelfRelativeSD,'RtlAbsoluteToSelfRelativeSD',\
    RtlAddAccessAllowedAce,'RtlAddAccessAllowedAce',\
    RtlAddAccessAllowedAceEx,'RtlAddAccessAllowedAceEx',\
    RtlAddAccessDeniedAceEx,'RtlAddAccessDeniedAceEx',\
    RtlAddAccessDeniedObjectAce,'RtlAddAccessDeniedObjectAce',\
    RtlAddAce,'RtlAddAce',\
    RtlAddAtomToAtomTable,'RtlAddAtomToAtomTable',\
    RtlAddAuditAccessAceEx,'RtlAddAuditAccessAceEx',\
    RtlAddAuditAccessObjectAce,'RtlAddAuditAccessObjectAce',\
    RtlAddRange,'RtlAddRange',\
    RtlAllocateHeap,'RtlAllocateHeap',\
    RtlAnsiCharToUnicodeChar,'RtlAnsiCharToUnicodeChar',\
    RtlAnsiStringToUnicodeSize,'RtlAnsiStringToUnicodeSize',\
    RtlAnsiStringToUnicodeString,'RtlAnsiStringToUnicodeString',\
    RtlAppendAsciizToString,'RtlAppendAsciizToString',\
    RtlAppendStringToString,'RtlAppendStringToString',\
    RtlAppendUnicodeStringToString,'RtlAppendUnicodeStringToString',\
    RtlAppendUnicodeToString,'RtlAppendUnicodeToString',\
    RtlAreAllAccessesGranted,'RtlAreAllAccessesGranted',\
    RtlAreAnyAccessesGranted,'RtlAreAnyAccessesGranted',\
    RtlAreBitsClear,'RtlAreBitsClear',\
    RtlAreBitsSet,'RtlAreBitsSet',\
    RtlAssert,'RtlAssert',\
    RtlCaptureContext,'RtlCaptureContext',\
    RtlCaptureStackBackTrace,'RtlCaptureStackBackTrace',\
    RtlCharToInteger,'RtlCharToInteger',\
    RtlCheckPortableOperatingSystem,'RtlCheckPortableOperatingSystem',\
    RtlCheckRegistryKey,'RtlCheckRegistryKey',\
    RtlClearAllBits,'RtlClearAllBits',\
    RtlClearBit,'RtlClearBit',\
    RtlClearBits,'RtlClearBits',\
    RtlCmDecodeMemIoResource,'RtlCmDecodeMemIoResource',\
    RtlCmEncodeMemIoResource,'RtlCmEncodeMemIoResource',\
    RtlCompareAltitudes,'RtlCompareAltitudes',\
    RtlCompareMemory,'RtlCompareMemory',\
    RtlCompareMemoryUlong,'RtlCompareMemoryUlong',\
    RtlCompareString,'RtlCompareString',\
    RtlCompareUnicodeString,'RtlCompareUnicodeString',\
    RtlCompareUnicodeStrings,'RtlCompareUnicodeStrings',\
    RtlCompressBuffer,'RtlCompressBuffer',\
    RtlCompressChunks,'RtlCompressChunks',\
    RtlComputeCrc32,'RtlComputeCrc32',\
    RtlConvertLongToLargeInteger,'RtlConvertLongToLargeInteger',\
    RtlConvertSidToUnicodeString,'RtlConvertSidToUnicodeString',\
    RtlConvertUlongToLargeInteger,'RtlConvertUlongToLargeInteger',\
    RtlCopyLuid,'RtlCopyLuid',\
    RtlCopyLuidAndAttributesArray,'RtlCopyLuidAndAttributesArray',\
    RtlCopyMemory,'RtlCopyMemory',\
    RtlCopyRangeList,'RtlCopyRangeList',\
    RtlCopySid,'RtlCopySid',\
    RtlCopySidAndAttributesArray,'RtlCopySidAndAttributesArray',\
    RtlCopyString,'RtlCopyString',\
    RtlCopyUnicodeString,'RtlCopyUnicodeString',\
    RtlCreateAcl,'RtlCreateAcl',\
    RtlCreateAtomTable,'RtlCreateAtomTable',\
    RtlCreateHeap,'RtlCreateHeap',\
    RtlCreateRegistryKey,'RtlCreateRegistryKey',\
    RtlCreateSecurityDescriptor,'RtlCreateSecurityDescriptor',\
    RtlCreateSystemVolumeInformationFolder,'RtlCreateSystemVolumeInformationFolder',\
    RtlCreateUnicodeString,'RtlCreateUnicodeString',\
    RtlCreateUserThread,'RtlCreateUserThread',\
    RtlCultureNameToLCID,'RtlCultureNameToLCID',\
    RtlCustomCPToUnicodeN,'RtlCustomCPToUnicodeN',\
    RtlDecompressBuffer,'RtlDecompressBuffer',\
    RtlDecompressBufferEx,'RtlDecompressBufferEx',\
    RtlDecompressBufferEx2,'RtlDecompressBufferEx2',\
    RtlDecompressChunks,'RtlDecompressChunks',\
    RtlDecompressFragment,'RtlDecompressFragment',\
    RtlDecompressFragmentEx,'RtlDecompressFragmentEx',\
    RtlDelete,'RtlDelete',\
    RtlDeleteAce,'RtlDeleteAce',\
    RtlDeleteAtomFromAtomTable,'RtlDeleteAtomFromAtomTable',\
    RtlDeleteElementGenericTable,'RtlDeleteElementGenericTable',\
    RtlDeleteElementGenericTableAvl,'RtlDeleteElementGenericTableAvl',\
    RtlDeleteElementGenericTableAvlEx,'RtlDeleteElementGenericTableAvlEx',\
    RtlDeleteNoSplay,'RtlDeleteNoSplay',\
    RtlDeleteOwnersRanges,'RtlDeleteOwnersRanges',\
    RtlDeleteRange,'RtlDeleteRange',\
    RtlDeleteRegistryValue,'RtlDeleteRegistryValue',\
    RtlDescribeChunk,'RtlDescribeChunk',\
    RtlDestroyAtomTable,'RtlDestroyAtomTable',\
    RtlDestroyHeap,'RtlDestroyHeap',\
    RtlDowncaseUnicodeChar,'RtlDowncaseUnicodeChar',\
    RtlDowncaseUnicodeString,'RtlDowncaseUnicodeString',\
    RtlDuplicateUnicodeString,'RtlDuplicateUnicodeString',\
    RtlEmptyAtomTable,'RtlEmptyAtomTable',\
    RtlEndStrongEnumerationHashTable,'RtlEndStrongEnumerationHashTable',\
    RtlEnlargedIntegerMultiply,'RtlEnlargedIntegerMultiply',\
    RtlEnlargedUnsignedDivide,'RtlEnlargedUnsignedDivide',\
    RtlEnlargedUnsignedMultiply,'RtlEnlargedUnsignedMultiply',\
    RtlEnumerateGenericTable,'RtlEnumerateGenericTable',\
    RtlEnumerateGenericTableAvl,'RtlEnumerateGenericTableAvl',\
    RtlEnumerateGenericTableLikeADirectory,'RtlEnumerateGenericTableLikeADirectory',\
    RtlEnumerateGenericTableWithoutSplaying,'RtlEnumerateGenericTableWithoutSplaying',\
    RtlEnumerateGenericTableWithoutSplayingAvl,'RtlEnumerateGenericTableWithoutSplayingAvl',\
    RtlEqualLuid,'RtlEqualLuid',\
    RtlEqualSid,'RtlEqualSid',\
    RtlEqualString,'RtlEqualString',\
    RtlEqualUnicodeString,'RtlEqualUnicodeString',\
    RtlEthernetAddressToStringA,'RtlEthernetAddressToStringA',\
    RtlEthernetAddressToStringW,'RtlEthernetAddressToStringW',\
    RtlEthernetStringToAddressA,'RtlEthernetStringToAddressA',\
    RtlEthernetStringToAddressW,'RtlEthernetStringToAddressW',\
    RtlExtendedIntegerMultiply,'RtlExtendedIntegerMultiply',\
    RtlExtendedLargeIntegerDivide,'RtlExtendedLargeIntegerDivide',\
    RtlExtendedMagicDivide,'RtlExtendedMagicDivide',\
    RtlFillMemoryUlong,'RtlFillMemoryUlong',\
    RtlFindClearBits,'RtlFindClearBits',\
    RtlFindClearBitsAndSet,'RtlFindClearBitsAndSet',\
    RtlFindClearRuns,'RtlFindClearRuns',\
    RtlFindFirstRunClear,'RtlFindFirstRunClear',\
    RtlFindLastBackwardRunClear,'RtlFindLastBackwardRunClear',\
    RtlFindLeastSignificantBit,'RtlFindLeastSignificantBit',\
    RtlFindLongestRunClear,'RtlFindLongestRunClear',\
    RtlFindMessage,'RtlFindMessage',\
    RtlFindMostSignificantBit,'RtlFindMostSignificantBit',\
    RtlFindNextForwardRunClear,'RtlFindNextForwardRunClear',\
    RtlFindRange,'RtlFindRange',\
    RtlFindSetBits,'RtlFindSetBits',\
    RtlFindSetBitsAndClear,'RtlFindSetBitsAndClear',\
    RtlFindUnicodePrefix,'RtlFindUnicodePrefix',\
    RtlFirstFreeAce,'RtlFirstFreeAce',\
    RtlFormatCurrentUserKeyPath,'RtlFormatCurrentUserKeyPath',\
    RtlFormatMessage,'RtlFormatMessage',\
    RtlFreeAnsiString,'RtlFreeAnsiString',\
    RtlFreeHeap,'RtlFreeHeap',\
    RtlFreeOemString,'RtlFreeOemString',\
    RtlFreeRangeList,'RtlFreeRangeList',\
    RtlFreeUnicodeString,'RtlFreeUnicodeString',\
    RtlGenerate8dot3Name,'RtlGenerate8dot3Name',\
    RtlGetAce,'RtlGetAce',\
    RtlGetCallersAddress,'RtlGetCallersAddress',\
    RtlGetCompressionWorkSpaceSize,'RtlGetCompressionWorkSpaceSize',\
    RtlGetControlSecurityDescriptor,'RtlGetControlSecurityDescriptor',\
    RtlGetDaclSecurityDescriptor,'RtlGetDaclSecurityDescriptor',\
    RtlGetDefaultCodePage,'RtlGetDefaultCodePage',\
    RtlGetElementGenericTable,'RtlGetElementGenericTable',\
    RtlGetElementGenericTableAvl,'RtlGetElementGenericTableAvl',\
    RtlGetEnabledExtendedFeatures,'RtlGetEnabledExtendedFeatures',\
    RtlGetFirstRange,'RtlGetFirstRange',\
    RtlGetGroupSecurityDescriptor,'RtlGetGroupSecurityDescriptor',\
    RtlGetNextEntryHashTable,'RtlGetNextEntryHashTable',\
    RtlGetNextRange,'RtlGetNextRange',\
    RtlGetNtGlobalFlags,'RtlGetNtGlobalFlags',\
    RtlGetOwnerSecurityDescriptor,'RtlGetOwnerSecurityDescriptor',\
    RtlGetSaclSecurityDescriptor,'RtlGetSaclSecurityDescriptor',\
    RtlGetSetBootStatusData,'RtlGetSetBootStatusData',\
    RtlGetThreadLangIdByIndex,'RtlGetThreadLangIdByIndex',\
    RtlGetVersion,'RtlGetVersion',\
    RtlGUIDFromString,'RtlGUIDFromString',\
    RtlHashUnicodeString,'RtlHashUnicodeString',\
    RtlImageDirectoryEntryToData,'RtlImageDirectoryEntryToData',\
    RtlImageNtHeader,'RtlImageNtHeader',\
    RtlInitAnsiString,'RtlInitAnsiString',\
    RtlInitAnsiStringEx,'RtlInitAnsiStringEx',\
    RtlInitCodePageTable,'RtlInitCodePageTable',\
    RtlInitEnumerationHashTable,'RtlInitEnumerationHashTable',\
    RtlInitializeBitMap,'RtlInitializeBitMap',\
    RtlInitializeGenericTable,'RtlInitializeGenericTable',\
    RtlInitializeGenericTableAvl,'RtlInitializeGenericTableAvl',\
    RtlInitializeRangeList,'RtlInitializeRangeList',\
    RtlInitializeSid,'RtlInitializeSid',\
    RtlInitializeSidEx,'RtlInitializeSidEx',\
    RtlInitializeUnicodePrefix,'RtlInitializeUnicodePrefix',\
    RtlInitString,'RtlInitString',\
    RtlInitStringEx,'RtlInitStringEx',\
    RtlInitStrongEnumerationHashTable,'RtlInitStrongEnumerationHashTable',\
    RtlInitUnicodeString,'RtlInitUnicodeString',\
    RtlInitUnicodeStringEx,'RtlInitUnicodeStringEx',\
    RtlInitWeakEnumerationHashTable,'RtlInitWeakEnumerationHashTable',\
    RtlInsertElementGenericTable,'RtlInsertElementGenericTable',\
    RtlInsertElementGenericTableAvl,'RtlInsertElementGenericTableAvl',\
    RtlInsertElementGenericTableFull,'RtlInsertElementGenericTableFull',\
    RtlInsertElementGenericTableFullAvl,'RtlInsertElementGenericTableFullAvl',\
    RtlInsertEntryHashTable,'RtlInsertEntryHashTable',\
    RtlInsertUnicodePrefix,'RtlInsertUnicodePrefix',\
    RtlInt64ToUnicodeString,'RtlInt64ToUnicodeString',\
    RtlIntegerToChar,'RtlIntegerToChar',\
    RtlIntegerToUnicode,'RtlIntegerToUnicode',\
    RtlIntegerToUnicodeString,'RtlIntegerToUnicodeString',\
    RtlInvertRangeList,'RtlInvertRangeList',\
    RtlIoDecodeMemIoResource,'RtlIoDecodeMemIoResource',\
    RtlIoEncodeMemIoResource,'RtlIoEncodeMemIoResource',\
    RtlIpv4AddressToStringA,'RtlIpv4AddressToStringA',\
    RtlIpv4AddressToStringExA,'RtlIpv4AddressToStringExA',\
    RtlIpv4AddressToStringExW,'RtlIpv4AddressToStringExW',\
    RtlIpv4AddressToStringW,'RtlIpv4AddressToStringW',\
    RtlIpv4StringToAddressA,'RtlIpv4StringToAddressA',\
    RtlIpv4StringToAddressExA,'RtlIpv4StringToAddressExA',\
    RtlIpv4StringToAddressExW,'RtlIpv4StringToAddressExW',\
    RtlIpv4StringToAddressW,'RtlIpv4StringToAddressW',\
    RtlIpv6AddressToStringA,'RtlIpv6AddressToStringA',\
    RtlIpv6AddressToStringExA,'RtlIpv6AddressToStringExA',\
    RtlIpv6AddressToStringExW,'RtlIpv6AddressToStringExW',\
    RtlIpv6AddressToStringW,'RtlIpv6AddressToStringW',\
    RtlIpv6StringToAddressA,'RtlIpv6StringToAddressA',\
    RtlIpv6StringToAddressExA,'RtlIpv6StringToAddressExA',\
    RtlIpv6StringToAddressExW,'RtlIpv6StringToAddressExW',\
    RtlIpv6StringToAddressW,'RtlIpv6StringToAddressW',\
    RtlIsGenericTableEmpty,'RtlIsGenericTableEmpty',\
    RtlIsGenericTableEmptyAvl,'RtlIsGenericTableEmptyAvl',\
    RtlIsNameLegalDOS8Dot3,'RtlIsNameLegalDOS8Dot3',\
    RtlIsNormalizedString,'RtlIsNormalizedString',\
    RtlIsNtDdiVersionAvailable,'RtlIsNtDdiVersionAvailable',\
    RtlIsRangeAvailable,'RtlIsRangeAvailable',\
    RtlIsServicePackVersionInstalled,'RtlIsServicePackVersionInstalled',\
    RtlIsValidOemCharacter,'RtlIsValidOemCharacter',\
    RtlLargeIntegerAdd,'RtlLargeIntegerAdd',\
    RtlLargeIntegerArithmeticShift,'RtlLargeIntegerArithmeticShift',\
    RtlLargeIntegerDivide,'RtlLargeIntegerDivide',\
    RtlLargeIntegerNegate,'RtlLargeIntegerNegate',\
    RtlLargeIntegerShiftLeft,'RtlLargeIntegerShiftLeft',\
    RtlLargeIntegerShiftRight,'RtlLargeIntegerShiftRight',\
    RtlLargeIntegerSubtract,'RtlLargeIntegerSubtract',\
    RtlLargeIntegerToChar,'RtlLargeIntegerToChar',\
    RtlLengthRequiredSid,'RtlLengthRequiredSid',\
    RtlLengthSecurityDescriptor,'RtlLengthSecurityDescriptor',\
    RtlLengthSid,'RtlLengthSid',\
    RtlLocalTimeToSystemTime,'RtlLocalTimeToSystemTime',\
    RtlLockBootStatusData,'RtlLockBootStatusData',\
    RtlLookupAtomInAtomTable,'RtlLookupAtomInAtomTable',\
    RtlLookupElementGenericTable,'RtlLookupElementGenericTable',\
    RtlLookupElementGenericTableAvl,'RtlLookupElementGenericTableAvl',\
    RtlLookupElementGenericTableFull,'RtlLookupElementGenericTableFull',\
    RtlLookupElementGenericTableFullAvl,'RtlLookupElementGenericTableFullAvl',\
    RtlLookupEntryHashTable,'RtlLookupEntryHashTable',\
    RtlLookupFirstMatchingElementGenericTableAvl,'RtlLookupFirstMatchingElementGenericTableAvl',\
    RtlMapGenericMask,'RtlMapGenericMask',\
    RtlMapSecurityErrorToNtStatus,'RtlMapSecurityErrorToNtStatus',\
    RtlMergeRangeLists,'RtlMergeRangeLists',\
    RtlMoveMemory,'RtlMoveMemory',\
    RtlMultiByteToUnicodeN,'RtlMultiByteToUnicodeN',\
    RtlMultiByteToUnicodeSize,'RtlMultiByteToUnicodeSize',\
    RtlNextUnicodePrefix,'RtlNextUnicodePrefix',\
    RtlNtStatusToDosError,'RtlNtStatusToDosError',\
    RtlNtStatusToDosErrorNoTeb,'RtlNtStatusToDosErrorNoTeb',\
    RtlNumberGenericTableElements,'RtlNumberGenericTableElements',\
    RtlNumberGenericTableElementsAvl,'RtlNumberGenericTableElementsAvl',\
    RtlNumberOfClearBits,'RtlNumberOfClearBits',\
    RtlNumberOfSetBits,'RtlNumberOfSetBits',\
    RtlNumberOfSetBitsUlongPtr,'RtlNumberOfSetBitsUlongPtr',\
    RtlOemStringToCountedUnicodeString,'RtlOemStringToCountedUnicodeString',\
    RtlOemStringToUnicodeSize,'RtlOemStringToUnicodeSize',\
    RtlOemStringToUnicodeString,'RtlOemStringToUnicodeString',\
    RtlOemToUnicodeN,'RtlOemToUnicodeN',\
    RtlOpenCurrentUser,'RtlOpenCurrentUser',\
    RtlOsDeploymentState,'RtlOsDeploymentState',\
    RtlPinAtomInAtomTable,'RtlPinAtomInAtomTable',\
    RtlPrefetchMemoryNonTemporal,'RtlPrefetchMemoryNonTemporal',\
    RtlPrefixString,'RtlPrefixString',\
    RtlPrefixUnicodeString,'RtlPrefixUnicodeString',\
    RtlQueryAtomInAtomTable,'RtlQueryAtomInAtomTable',\
    RtlQueryElevationFlags,'RtlQueryElevationFlags',\
    RtlQueryInformationAcl,'RtlQueryInformationAcl',\
    RtlQueryRegistryValues,'RtlQueryRegistryValues',\
    RtlQueryTimeZoneInformation,'RtlQueryTimeZoneInformation',\
    RtlRaiseException,'RtlRaiseException',\
    RtlRandom,'RtlRandom',\
    RtlRandomEx,'RtlRandomEx',\
    RtlRbInsertNodeEx,'RtlRbInsertNodeEx',\
    RtlRbRemoveNode,'RtlRbRemoveNode',\
    RtlRealPredecessor,'RtlRealPredecessor',\
    RtlRealSuccessor,'RtlRealSuccessor',\
    RtlRemoveUnicodePrefix,'RtlRemoveUnicodePrefix',\
    RtlReserveChunk,'RtlReserveChunk',\
    RtlRunOnceBeginInitialize,'RtlRunOnceBeginInitialize',\
    RtlRunOnceComplete,'RtlRunOnceComplete',\
    RtlRunOnceExecuteOnce,'RtlRunOnceExecuteOnce',\
    RtlRunOnceInitialize,'RtlRunOnceInitialize',\
    RtlSecondsSince1970ToTime,'RtlSecondsSince1970ToTime',\
    RtlSecondsSince1980ToTime,'RtlSecondsSince1980ToTime',\
    RtlSelfRelativeToAbsoluteSD,'RtlSelfRelativeToAbsoluteSD',\
    RtlSelfRelativeToAbsoluteSD2,'RtlSelfRelativeToAbsoluteSD2',\
    RtlSetAllBits,'RtlSetAllBits',\
    RtlSetBit,'RtlSetBit',\
    RtlSetBits,'RtlSetBits',\
    RtlSetControlSecurityDescriptor,'RtlSetControlSecurityDescriptor',\
    RtlSetDaclSecurityDescriptor,'RtlSetDaclSecurityDescriptor',\
    RtlSetGroupSecurityDescriptor,'RtlSetGroupSecurityDescriptor',\
    RtlSetOwnerSecurityDescriptor,'RtlSetOwnerSecurityDescriptor',\
    RtlSetSaclSecurityDescriptor,'RtlSetSaclSecurityDescriptor',\
    RtlSetTimeZoneInformation,'RtlSetTimeZoneInformation',\
    RtlSizeHeap,'RtlSizeHeap',\
    RtlSplay,'RtlSplay',\
    RtlStringFromGUID,'RtlStringFromGUID',\
    RtlStronglyEnumerateEntryHashTable,'RtlStronglyEnumerateEntryHashTable',\
    RtlSubAuthorityCountSid,'RtlSubAuthorityCountSid',\
    RtlSubAuthoritySid,'RtlSubAuthoritySid',\
    RtlSubtreePredecessor,'RtlSubtreePredecessor',\
    RtlSubtreeSuccessor,'RtlSubtreeSuccessor',\
    RtlSuffixUnicodeString,'RtlSuffixUnicodeString',\
    RtlSystemTimeToLocalTime,'RtlSystemTimeToLocalTime',\
    RtlTestBit,'RtlTestBit',\
    RtlTimeFieldsToTime,'RtlTimeFieldsToTime',\
    RtlTimeToElapsedTimeFields,'RtlTimeToElapsedTimeFields',\
    RtlTimeToSecondsSince1970,'RtlTimeToSecondsSince1970',\
    RtlTimeToSecondsSince1980,'RtlTimeToSecondsSince1980',\
    RtlTimeToTimeFields,'RtlTimeToTimeFields',\
    RtlTraceDatabaseAdd,'RtlTraceDatabaseAdd',\
    RtlTraceDatabaseCreate,'RtlTraceDatabaseCreate',\
    RtlTraceDatabaseDestroy,'RtlTraceDatabaseDestroy',\
    RtlTraceDatabaseEnumerate,'RtlTraceDatabaseEnumerate',\
    RtlTraceDatabaseFind,'RtlTraceDatabaseFind',\
    RtlTraceDatabaseLock,'RtlTraceDatabaseLock',\
    RtlTraceDatabaseUnlock,'RtlTraceDatabaseUnlock',\
    RtlTraceDatabaseValidate,'RtlTraceDatabaseValidate',\
    RtlUlongByteSwap,'RtlUlongByteSwap',\
    RtlUlonglongByteSwap,'RtlUlonglongByteSwap',\
    RtlUnicodeStringToAnsiSize,'RtlUnicodeStringToAnsiSize',\
    RtlUnicodeStringToAnsiString,'RtlUnicodeStringToAnsiString',\
    RtlUnicodeStringToCountedOemString,'RtlUnicodeStringToCountedOemString',\
    RtlUnicodeStringToInt64,'RtlUnicodeStringToInt64',\
    RtlUnicodeStringToInteger,'RtlUnicodeStringToInteger',\
    RtlUnicodeStringToOemSize,'RtlUnicodeStringToOemSize',\
    RtlUnicodeStringToOemString,'RtlUnicodeStringToOemString',\
    RtlUnicodeToCustomCPN,'RtlUnicodeToCustomCPN',\
    RtlUnicodeToMultiByteN,'RtlUnicodeToMultiByteN',\
    RtlUnicodeToMultiByteSize,'RtlUnicodeToMultiByteSize',\
    RtlUnicodeToOemN,'RtlUnicodeToOemN',\
    RtlUnicodeToUTF8N,'RtlUnicodeToUTF8N',\
    RtlUnlockBootStatusData,'RtlUnlockBootStatusData',\
    RtlUnwindEx,'RtlUnwindEx',\
    RtlUpcaseUnicodeChar,'RtlUpcaseUnicodeChar',\
    RtlUpcaseUnicodeString,'RtlUpcaseUnicodeString',\
    RtlUpcaseUnicodeStringToAnsiString,'RtlUpcaseUnicodeStringToAnsiString',\
    RtlUpcaseUnicodeStringToCountedOemString,'RtlUpcaseUnicodeStringToCountedOemString',\
    RtlUpcaseUnicodeStringToOemString,'RtlUpcaseUnicodeStringToOemString',\
    RtlUpcaseUnicodeToCustomCPN,'RtlUpcaseUnicodeToCustomCPN',\
    RtlUpcaseUnicodeToMultiByteN,'RtlUpcaseUnicodeToMultiByteN',\
    RtlUpcaseUnicodeToOemN,'RtlUpcaseUnicodeToOemN',\
    RtlUpperChar,'RtlUpperChar',\
    RtlUpperString,'RtlUpperString',\
    RtlUshortByteSwap,'RtlUshortByteSwap',\
    RtlUTF8ToUnicodeN,'RtlUTF8ToUnicodeN',\
    RtlValidAcl,'RtlValidAcl',\
    RtlValidateUnicodeString,'RtlValidateUnicodeString',\
    RtlValidRelativeSecurityDescriptor,'RtlValidRelativeSecurityDescriptor',\
    RtlValidSecurityDescriptor,'RtlValidSecurityDescriptor',\
    RtlValidSid,'RtlValidSid',\
    RtlVerifyVersionInfo,'RtlVerifyVersionInfo',\
    RtlVolumeDeviceToDosName,'RtlVolumeDeviceToDosName',\
    RtlWalkFrameChain,'RtlWalkFrameChain',\
    RtlWriteRegistryValue,'RtlWriteRegistryValue',\
    RtlxAnsiStringToUnicodeSize,'RtlxAnsiStringToUnicodeSize',\
    RtlxOemStringToUnicodeSize,'RtlxOemStringToUnicodeSize',\
    RtlxUnicodeStringToAnsiSize,'RtlxUnicodeStringToAnsiSize',\
    RtlxUnicodeStringToOemSize,'RtlxUnicodeStringToOemSize',\
    RtlZeroHeap,'RtlZeroHeap',\
    RtlZeroMemory,'RtlZeroMemory',\
    SeAccessCheck,'SeAccessCheck',\
    SeAccessCheckEx,'SeAccessCheckEx',\
    SeAdjustAccessStateForTrustLabel,'SeAdjustAccessStateForTrustLabel',\
    SeAppendPrivileges,'SeAppendPrivileges',\
    SeAssignSecurity,'SeAssignSecurity',\
    SeAssignSecurityEx,'SeAssignSecurityEx',\
    SeAuditFipsCryptoSelftests,'SeAuditFipsCryptoSelftests',\
    SeAuditHardLinkCreation,'SeAuditHardLinkCreation',\
    SeAuditHardLinkCreationWithTransaction,'SeAuditHardLinkCreationWithTransaction',\
    SeAuditingAnyFileEventsWithContext,'SeAuditingAnyFileEventsWithContext',\
    SeAuditingFileEvents,'SeAuditingFileEvents',\
    SeAuditingFileEventsWithContext,'SeAuditingFileEventsWithContext',\
    SeAuditingFileOrGlobalEvents,'SeAuditingFileOrGlobalEvents',\
    SeAuditingHardLinkEvents,'SeAuditingHardLinkEvents',\
    SeAuditingHardLinkEventsWithContext,'SeAuditingHardLinkEventsWithContext',\
    SeAuditTransactionStateChange,'SeAuditTransactionStateChange',\
    SeCaptureSecurityDescriptor,'SeCaptureSecurityDescriptor',\
    SeCaptureSubjectContext,'SeCaptureSubjectContext',\
    SeCaptureSubjectContextEx,'SeCaptureSubjectContextEx',\
    SeCloseObjectAuditAlarm,'SeCloseObjectAuditAlarm',\
    SeComputeAutoInheritByObjectType,'SeComputeAutoInheritByObjectType',\
    SeCreateAccessState,'SeCreateAccessState',\
    SeCreateAccessStateEx,'SeCreateAccessStateEx',\
    SeCreateClientSecurity,'SeCreateClientSecurity',\
    SeCreateClientSecurityFromSubjectContext,'SeCreateClientSecurityFromSubjectContext',\
    SeDeassignSecurity,'SeDeassignSecurity',\
    SeDeleteAccessState,'SeDeleteAccessState',\
    SeDeleteObjectAuditAlarm,'SeDeleteObjectAuditAlarm',\
    SeDeleteObjectAuditAlarmWithTransaction,'SeDeleteObjectAuditAlarmWithTransaction',\
    SeExamineSacl,'SeExamineSacl',\
    SeFilterToken,'SeFilterToken',\
    SeFreePrivileges,'SeFreePrivileges',\
    SeImpersonateClient,'SeImpersonateClient',\
    SeImpersonateClientEx,'SeImpersonateClientEx',\
    SeLocateProcessImageName,'SeLocateProcessImageName',\
    SeLockSubjectContext,'SeLockSubjectContext',\
    SeMarkLogonSessionForTerminationNotification,'SeMarkLogonSessionForTerminationNotification',\
    SeMarkLogonSessionForTerminationNotificationEx,'SeMarkLogonSessionForTerminationNotificationEx',\
    SeOpenObjectAuditAlarm,'SeOpenObjectAuditAlarm',\
    SeOpenObjectForDeleteAuditAlarm,'SeOpenObjectForDeleteAuditAlarm',\
    SeOpenObjectForDeleteAuditAlarmWithTransaction,'SeOpenObjectForDeleteAuditAlarmWithTransaction',\
    SePrivilegeCheck,'SePrivilegeCheck',\
    SePrivilegeObjectAuditAlarm,'SePrivilegeObjectAuditAlarm',\
    SeQueryAuthenticationIdToken,'SeQueryAuthenticationIdToken',\
    SeQueryInformationToken,'SeQueryInformationToken',\
    SeQuerySecurityDescriptorInfo,'SeQuerySecurityDescriptorInfo',\
    SeQuerySessionIdToken,'SeQuerySessionIdToken',\
    SeQuerySessionIdTokenEx,'SeQuerySessionIdTokenEx',\
    SeRegisterLogonSessionTerminatedRoutine,'SeRegisterLogonSessionTerminatedRoutine',\
    SeRegisterLogonSessionTerminatedRoutineEx,'SeRegisterLogonSessionTerminatedRoutineEx',\
    SeReleaseSecurityDescriptor,'SeReleaseSecurityDescriptor',\
    SeReleaseSubjectContext,'SeReleaseSubjectContext',\
    SeReportSecurityEvent,'SeAuditingHardLinkEventsWithContext',\
    SeReportSecurityEventWithSubCategory,'SeReportSecurityEventWithSubCategory',\
    SeSetAccessStateGenericMapping,'SeSetAccessStateGenericMapping',\
    SeSetAuditParameter,'SeSetAuditParameter',\
    SeSetSecurityDescriptorInfo,'SeSetSecurityDescriptorInfo',\
    SeSetSecurityDescriptorInfoEx,'SeSetSecurityDescriptorInfoEx',\
    SeShouldCheckForAccessRightsFromParent,'SeShouldCheckForAccessRightsFromParent',\
    SeSinglePrivilegeCheck,'SeSinglePrivilegeCheck',\
    SeTokenImpersonationLevel,'SeTokenImpersonationLevel',\
    SeTokenIsAdmin,'SeTokenIsAdmin',\
    SeTokenIsRestricted,'SeTokenIsRestricted',\
    SeTokenIsWriteRestricted,'SeTokenIsWriteRestricted',\
    SeTokenObjectType,'SeTokenObjectType',\
    SeTokenType,'SeTokenType',\
    SeUnlockSubjectContext,'SeUnlockSubjectContext',\
    SeUnregisterLogonSessionTerminatedRoutine,'SeUnregisterLogonSessionTerminatedRoutine',\
    SeUnregisterLogonSessionTerminatedRoutineEx,'SeUnregisterLogonSessionTerminatedRoutineEx',\
    SeValidSecurityDescriptor,'SeValidSecurityDescriptor',\
    TmCommitComplete,'TmCommitComplete',\
    TmCommitEnlistment,'TmCommitEnlistment',\
    TmCommitTransaction,'TmCommitTransaction',\
    TmCreateEnlistment,'TmCreateEnlistment',\
    TmDereferenceEnlistmentKey,'TmDereferenceEnlistmentKey',\
    TmEnableCallbacks,'TmEnableCallbacks',\
    TmGetTransactionId,'TmGetTransactionId',\
    TmInitializeTransactionManager,'TmInitializeTransactionManager',\
    TmIsTransactionActive,'TmIsTransactionActive',\
    TmPrepareComplete,'TmPrepareComplete',\
    TmPrepareEnlistment,'TmPrepareEnlistment',\
    TmPrePrepareComplete,'TmPrePrepareComplete',\
    TmPrePrepareEnlistment,'TmPrePrepareEnlistment',\
    TmReadOnlyEnlistment,'TmReadOnlyEnlistment',\
    TmRecoverEnlistment,'TmRecoverEnlistment',\
    TmRecoverResourceManager,'TmRecoverResourceManager',\
    TmRecoverTransactionManager,'TmRecoverTransactionManager',\
    TmReferenceEnlistmentKey,'TmReferenceEnlistmentKey',\
    TmRenameTransactionManager,'TmRenameTransactionManager',\
    TmRequestOutcomeEnlistment,'TmRequestOutcomeEnlistment',\
    TmRollbackComplete,'TmRollbackComplete',\
    TmRollbackEnlistment,'TmRollbackEnlistment',\
    TmRollbackTransaction,'TmRollbackTransaction',\
    TmSinglePhaseReject,'TmSinglePhaseReject',\
    tolower,'tolower',\
    toupper,'toupper',\
    towlower,'towlower',\
    towupper,'towupper',\
    vDbgPrintEx,'vDbgPrintEx',\
    vDbgPrintExWithPrefix,'vDbgPrintExWithPrefix',\
    VerSetConditionMask,'VerSetConditionMask',\
    VfIsVerificationEnabled,'VfIsVerificationEnabled',\
    vsprintf,'vsprintf',\
    vsprintf_s,'vsprintf_s',\
    vswprintf_s,'vswprintf_s',\
    wcscat,'wcscat',\
    wcscat_s,'wcscat_s',\
    wcschr,'wcschr',\
    wcscmp,'wcscmp',\
    wcscpy,'wcscpy',\
    wcscpy_s,'wcscpy_s',\
    wcscspn,'wcscspn',\
    wcslen,'wcslen',\
    wcsncat,'wcsncat',\
    wcsncat_s,'wcsncat_s',\
    wcsncmp,'wcsncmp',\
    wcsncpy,'wcsncpy',\
    wcsncpy_s,'wcsncpy_s',\
    wcsnlen,'wcsnlen',\
    wcsrchr,'wcsrchr',\
    wcsspn,'wcsspn',\
    wcsstr,'wcsstr',\
    wcstombs,'wcstombs',\
    wcstoul,'wcstoul',\
    wctomb,'wctomb',\
    WheaAddErrorSource,'WheaAddErrorSource',\
    WheaRegisterInUsePageOfflineNotification,'WheaRegisterInUsePageOfflineNotification',\
    WheaUnregisterInUsePageOfflineNotification,'WheaUnregisterInUsePageOfflineNotification',\
    WmiFlushTrace,'WmiFlushTrace',\
    WmiGetClock,'WmiGetClock',\
    WmiQueryTrace,'WmiQueryTrace',\
    WmiQueryTraceInformation,'WmiQueryTraceInformation',\
    WmiStartTrace,'WmiStartTrace',\
    WmiStopTrace,'WmiStopTrace',\
    WmiTraceFastEvent,'WmiTraceFastEvent',\
    WmiTraceMessage,'WmiTraceMessage',\
    WmiTraceMessageVa,'WmiTraceMessageVa',\
    WmiUpdateTrace,'WmiUpdateTrace',\
    WRITE_REGISTER_BUFFER_UCHAR,'WRITE_REGISTER_BUFFER_UCHAR',\
    WRITE_REGISTER_BUFFER_ULONG,'WRITE_REGISTER_BUFFER_ULONG',\
    WRITE_REGISTER_BUFFER_USHORT,'WRITE_REGISTER_BUFFER_USHORT',\
    WRITE_REGISTER_UCHAR,'WRITE_REGISTER_UCHAR',\
    WRITE_REGISTER_ULONG,'WRITE_REGISTER_ULONG',\
    WRITE_REGISTER_USHORT,'WRITE_REGISTER_USHORT',\
    XIPDispatch,'XIPDispatch',\
    ZwAccessCheckAndAuditAlarm,'ZwAccessCheckAndAuditAlarm',\
    ZwAddBootEntry,'ZwAddBootEntry',\
    ZwAddDriverEntry,'ZwAddDriverEntry',\
    ZwAdjustPrivilegesToken,'ZwAdjustPrivilegesToken',\
    ZwAlertThread,'ZwAlertThread',\
    ZwAllocateLocallyUniqueId,'ZwAllocateLocallyUniqueId',\
    ZwAllocateVirtualMemory,'ZwAllocateVirtualMemory',\
    ZwAlpcAcceptConnectPort,'ZwAlpcAcceptConnectPort',\
    ZwAlpcCancelMessage,'ZwAlpcCancelMessage',\
    ZwAlpcConnectPort,'ZwAlpcConnectPort',\
    ZwAlpcCreatePort,'ZwAlpcCreatePort',\
    ZwAlpcCreatePortSection,'ZwAlpcCreatePortSection',\
    ZwAlpcCreateResourceReserve,'ZwAlpcCreateResourceReserve',\
    ZwAlpcCreateSectionView,'ZwAlpcCreateSectionView',\
    ZwAlpcCreateSecurityContext,'ZwAlpcCreateSecurityContext',\
    ZwAlpcDeletePortSection,'ZwAlpcDeletePortSection',\
    ZwAlpcDeleteResourceReserve,'ZwAlpcDeleteResourceReserve',\
    ZwAlpcDeleteSectionView,'ZwAlpcDeleteSectionView',\
    ZwAlpcDeleteSecurityContext,'ZwAlpcDeleteSecurityContext',\
    ZwAlpcDisconnectPort,'ZwAlpcDisconnectPort',\
    ZwAlpcOpenSenderThread,'ZwAlpcOpenSenderThread',\
    ZwAlpcQueryInformation,'ZwAlpcQueryInformation',\
    ZwAlpcQueryInformationMessage,'ZwAlpcQueryInformationMessage',\
    ZwAlpcSendWaitReceivePort,'ZwAlpcSendWaitReceivePort',\
    ZwAlpcSetInformation,'ZwAlpcSetInformation',\
    ZwAssignProcessToJobObject,'ZwAssignProcessToJobObject',\
    ZwAssociateWaitCompletionPacket,'ZwAssociateWaitCompletionPacket',\
    ZwCancelIoFile,'ZwCancelIoFile',\
    ZwCancelIoFileEx,'ZwCancelIoFileEx',\
    ZwCancelTimer,'ZwCancelTimer',\
    ZwClearEvent,'ZwClearEvent',\
    ZwClose,'ZwClose',\
    ZwCloseObjectAuditAlarm,'ZwCloseObjectAuditAlarm',\
    ZwCommitComplete,'ZwCommitComplete',\
    ZwCommitEnlistment,'ZwCommitEnlistment',\
    ZwCommitTransaction,'ZwCommitTransaction',\
    ZwCompareTokens,'ZwCompareTokens',\
    ZwConnectPort,'ZwConnectPort',\
    ZwCreateDirectoryObject,'ZwCreateDirectoryObject',\
    ZwCreateEnlistment,'ZwCreateEnlistment',\
    ZwCreateEvent,'ZwCreateEvent',\
    ZwCreateFile,'ZwCreateFile',\
    ZwCreateIoCompletion,'ZwCreateIoCompletion',\
    ZwCreateJobObject,'ZwCreateJobObject',\
    ZwCreateKey,'ZwCreateKey',\
    ZwCreateKeyTransacted,'ZwCreateKeyTransacted',\
    ZwCreateResourceManager,'ZwCreateResourceManager',\
    ZwCreateSection,'ZwCreateSection',\
    ZwCreateSymbolicLinkObject,'ZwCreateSymbolicLinkObject',\
    ZwCreateTimer,'ZwCreateTimer',\
    ZwCreateTransaction,'ZwCreateTransaction',\
    ZwCreateTransactionManager,'ZwCreateTransactionManager',\
    ZwCreateWaitCompletionPacket,'ZwCreateWaitCompletionPacket',\
    ZwDeleteBootEntry,'ZwDeleteBootEntry',\
    ZwDeleteFile,'ZwDeleteFile',\
    ZwDeleteKey,'ZwDeleteKey',\
    ZwDeleteValueKey,'ZwDeleteValueKey',\
    ZwDeviceIoControlFile,'ZwDeviceIoControlFile',\
    ZwDisplayString,'ZwDisplayString',\
    ZwDuplicateObject,'ZwDuplicateObject',\
    ZwDuplicateToken,'ZwDuplicateToken',\
    ZwEnumerateBootEntries,'ZwEnumerateBootEntries',\
    ZwEnumerateDriverEntries,'ZwEnumerateDriverEntries',\
    ZwEnumerateKey,'ZwEnumerateKey',\
    ZwEnumerateTransactionObject,'ZwEnumerateTransactionObject',\
    ZwEnumerateValueKey,'ZwEnumerateValueKey',\
    ZwFlushBuffersFile,'ZwFlushBuffersFile',\
    ZwFlushBuffersFileEx,'ZwFlushBuffersFileEx',\
    ZwFlushInstructionCache,'ZwFlushInstructionCache',\
    ZwFlushKey,'ZwFlushKey',\
    ZwFlushVirtualMemory,'ZwFlushVirtualMemory',\
    ZwFreeVirtualMemory,'ZwFreeVirtualMemory',\
    ZwFsControlFile,'ZwFsControlFile',\
    ZwGetCachedSigningLevel,'ZwGetCachedSigningLevel',\
    ZwGetNextProcess,'ZwGetNextProcess',\
    ZwGetNotificationResourceManager,'ZwGetNotificationResourceManager',\
    ZwImpersonateAnonymousToken,'ZwImpersonateAnonymousToken',\
    ZwInitiatePowerAction,'ZwInitiatePowerAction',\
    ZwIsProcessInJob,'ZwIsProcessInJob',\
    ZwLoadDriver,'ZwLoadDriver',\
    ZwLoadKey,'ZwLoadKey',\
    ZwLoadKeyEx,'ZwLoadKeyEx',\
    ZwLockFile,'ZwLockFile',\
    ZwLockProductActivationKeys,'ZwLockProductActivationKeys',\
    ZwLockVirtualMemory,'ZwLockVirtualMemory',\
    ZwMakeTemporaryObject,'ZwMakeTemporaryObject',\
    ZwMapViewOfSection,'ZwMapViewOfSection',\
    ZwModifyBootEntry,'ZwModifyBootEntry',\
    ZwModifyDriverEntry,'ZwModifyDriverEntry',\
    ZwNotifyChangeDirectoryFile,'ZwNotifyChangeDirectoryFile',\
    ZwNotifyChangeKey,'ZwNotifyChangeKey',\
    ZwOpenDirectoryObject,'ZwOpenDirectoryObject',\
    ZwOpenEnlistment,'ZwOpenEnlistment',\
    ZwOpenEvent,'ZwOpenEvent',\
    ZwOpenFile,'ZwOpenFile',\
    ZwOpenJobObject,'ZwOpenJobObject',\
    ZwOpenKey,'ZwOpenKey',\
    ZwOpenKeyEx,'ZwOpenKeyEx',\
    ZwOpenKeyTransacted,'ZwOpenKeyTransacted',\
    ZwOpenKeyTransactedEx,'ZwOpenKeyTransactedEx',\
    ZwOpenProcess,'ZwOpenProcess',\
    ZwOpenProcessToken,'ZwOpenProcessToken',\
    ZwOpenProcessTokenEx,'ZwOpenProcessTokenEx',\
    ZwOpenResourceManager,'ZwOpenResourceManager',\
    ZwOpenSection,'ZwOpenSection',\
    ZwOpenSession,'ZwOpenSession',\
    ZwOpenSymbolicLinkObject,'ZwOpenSymbolicLinkObject',\
    ZwOpenThread,'ZwOpenThread',\
    ZwOpenThreadToken,'ZwOpenThreadToken',\
    ZwOpenThreadTokenEx,'ZwOpenThreadTokenEx',\
    ZwOpenTimer,'ZwOpenTimer',\
    ZwOpenTransaction,'ZwOpenTransaction',\
    ZwOpenTransactionManager,'ZwOpenTransactionManager',\
    ZwPowerInformation,'ZwPowerInformation',\
    ZwPrepareComplete,'ZwPrepareComplete',\
    ZwPrepareEnlistment,'ZwPrepareEnlistment',\
    ZwPrePrepareComplete,'ZwPrePrepareComplete',\
    ZwPrePrepareEnlistment,'ZwPrePrepareEnlistment',\
    ZwPropagationComplete,'ZwPropagationComplete',\
    ZwPropagationFailed,'ZwPropagationFailed',\
    ZwPulseEvent,'ZwPulseEvent',\
    ZwQueryBootEntryOrder,'ZwQueryBootEntryOrder',\
    ZwQueryBootOptions,'ZwQueryBootOptions',\
    ZwQueryDefaultLocale,'ZwQueryDefaultLocale',\
    ZwQueryDefaultUILanguage,'ZwQueryDefaultUILanguage',\
    ZwQueryDirectoryFile,'ZwQueryDirectoryFile',\
    ZwQueryDirectoryObject,'ZwQueryDirectoryObject',\
    ZwQueryDriverEntryOrder,'ZwQueryDriverEntryOrder',\
    ZwQueryEaFile,'ZwQueryEaFile',\
    ZwQueryFullAttributesFile,'ZwQueryFullAttributesFile',\
    ZwQueryInformationEnlistment,'ZwQueryInformationEnlistment',\
    ZwQueryInformationFile,'ZwQueryInformationFile',\
    ZwQueryInformationJobObject,'ZwQueryInformationJobObject',\
    ZwQueryInformationProcess,'ZwQueryInformationProcess',\
    ZwQueryInformationResourceManager,'ZwQueryInformationResourceManager',\
    ZwQueryInformationThread,'ZwQueryInformationThread',\
    ZwQueryInformationToken,'ZwQueryInformationToken',\
    ZwQueryInformationTransaction,'ZwQueryInformationTransaction',\
    ZwQueryInformationTransactionManager,'ZwQueryInformationTransactionManager',\
    ZwQueryInstallUILanguage,'ZwQueryInstallUILanguage',\
    ZwQueryKey,'ZwQueryKey',\
    ZwQueryObject,'ZwQueryObject',\
    ZwQueryQuotaInformationFile,'ZwQueryQuotaInformationFile',\
    ZwQuerySection,'ZwQuerySection',\
    ZwQuerySecurityAttributesToken,'ZwQuerySecurityAttributesToken',\
    ZwQuerySecurityObject,'ZwQuerySecurityObject',\
    ZwQuerySymbolicLinkObject,'ZwQuerySymbolicLinkObject',\
    ZwQuerySystemEnvironmentValueEx,'ZwQuerySystemEnvironmentValueEx',\
    ZwQuerySystemInformation,'ZwQuerySystemInformation',\
    ZwQuerySystemInformationEx,'ZwQuerySystemInformationEx',\
    ZwQueryValueKey,'ZwQueryValueKey',\
    ZwQueryVirtualMemory,'ZwQueryVirtualMemory',\
    ZwQueryVolumeInformationFile,'ZwQueryVolumeInformationFile',\
    ZwReadFile,'ZwReadFile',\
    ZwReadOnlyEnlistment,'ZwReadOnlyEnlistment',\
    ZwRecoverEnlistment,'ZwRecoverEnlistment',\
    ZwRecoverResourceManager,'ZwRecoverResourceManager',\
    ZwRecoverTransactionManager,'ZwRecoverTransactionManager',\
    ZwRemoveIoCompletion,'ZwRemoveIoCompletion',\
    ZwRemoveIoCompletionEx,'ZwRemoveIoCompletionEx',\
    ZwRenameKey,'ZwRenameKey',\
    ZwReplaceKey,'ZwReplaceKey',\
    ZwRequestPort,'ZwRequestPort',\
    ZwRequestWaitReplyPort,'ZwRequestWaitReplyPort',\
    ZwResetEvent,'ZwResetEvent',\
    ZwRestoreKey,'ZwRestoreKey',\
    ZwRollbackComplete,'ZwRollbackComplete',\
    ZwRollbackEnlistment,'ZwRollbackEnlistment',\
    ZwRollbackTransaction,'ZwRollbackTransaction',\
    ZwSaveKey,'ZwSaveKey',\
    ZwSaveKeyEx,'ZwSaveKeyEx',\
    ZwSecureConnectPort,'ZwSecureConnectPort',\
    ZwSetBootEntryOrder,'ZwSetBootEntryOrder',\
    ZwSetBootOptions,'ZwSetBootOptions',\
    ZwSetDefaultLocale,'ZwSetDefaultLocale',\
    ZwSetDefaultUILanguage,'ZwSetDefaultUILanguage',\
    ZwSetDriverEntryOrder,'ZwSetDriverEntryOrder',\
    ZwSetEaFile,'ZwSetEaFile',\
    ZwSetEvent,'ZwSetEvent',\
    ZwSetInformationEnlistment,'ZwSetInformationEnlistment',\
    ZwSetInformationFile,'ZwSetInformationFile',\
    ZwSetInformationJobObject,'ZwSetInformationJobObject',\
    ZwSetInformationKey,'ZwSetInformationKey',\
    ZwSetInformationObject,'ZwSetInformationObject',\
    ZwSetInformationProcess,'ZwSetInformationProcess',\
    ZwSetInformationResourceManager,'ZwSetInformationResourceManager',\
    ZwSetInformationThread,'ZwSetInformationThread',\
    ZwSetInformationToken,'ZwSetInformationToken',\
    ZwSetInformationTransaction,'ZwSetInformationTransaction',\
    ZwSetQuotaInformationFile,'ZwSetQuotaInformationFile',\
    ZwSetSecurityObject,'ZwSetSecurityObject',\
    ZwSetSystemEnvironmentValueEx,'ZwSetSystemEnvironmentValueEx',\
    ZwSetSystemInformation,'ZwSetSystemInformation',\
    ZwSetSystemTime,'ZwSetSystemTime',\
    ZwSetTimer,'ZwSetTimer',\
    ZwSetTimerEx,'ZwSetTimerEx',\
    ZwSetValueKey,'ZwSetValueKey',\
    ZwSetVolumeInformationFile,'ZwSetVolumeInformationFile',\
    ZwTerminateJobObject,'ZwTerminateJobObject',\
    ZwTerminateProcess,'ZwTerminateProcess',\
    ZwTraceControl,'ZwTraceControl',\
    ZwTraceEvent,'ZwTraceEvent',\
    ZwTranslateFilePath,'ZwTranslateFilePath',\
    ZwUnloadDriver,'ZwUnloadDriver',\
    ZwUnloadKey,'ZwUnloadKey',\
    ZwUnloadKey2,'ZwUnloadKey2',\
    ZwUnloadKeyEx,'ZwUnloadKeyEx',\
    ZwUnlockFile,'ZwUnlockFile',\
    ZwUnlockVirtualMemory,'ZwUnlockVirtualMemory',\
    ZwUnmapViewOfSection,'ZwUnmapViewOfSection',\
    ZwWaitForMultipleObjects,'ZwWaitForMultipleObjects',\
    ZwWaitForSingleObject,'ZwWaitForSingleObject',\
    ZwWriteFile,'ZwWriteFile',\
    ZwYieldExecution,'ZwYieldExecution'
end if

api RtlEthernetAddressToString,\
    RtlEthernetStringToAddress,\
    RtlIpv4AddressToString,\
    RtlIpv4AddressToStringEx,\
    RtlIpv4StringToAddress,\
    RtlIpv4StringToAddressEx,\
    RtlIpv6AddressToString,\
    RtlIpv6AddressToStringEx,\
    RtlIpv6StringToAddress,\
    RtlIpv6StringToAddressEx

end if ;NTOSKRNL_INC
